<?php 

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);

    $lista = UserAdmin::getBy(array('status' => 1));
?>
<div class="container">
    <h2>Admins</h2>
    <div class="row">
        <div class="col s6 m4 right">
            <button class="btn main-color darken-1 right tooltipped" data-tooltip="CRIAR NOVO" id="add">
                <i class="small icon-plus"></i>
            </button>
        </div>
    </div>
    <table id="listaRegistros" class="striped highlight display">
        <thead>
            <tr>
                <td>
                    Nome
                </td>
                <td>
                    Email
                </td>
                <td>
                </td>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($lista as $Registro) : ?>
                <tr data-id="<?=$Registro->id?>">
                    <td>
                        <?=$Registro->name?>
                    </td>
                    <td>
                        <?=$Registro->email?>
                    </td>
                    <td class="center">
                        <i class="small icon-pencil main-color-text darken-1 tooltipped clickable" id="edit" data-tooltip="EDITAR"></i>
                        <a href="<?=ADMIN_URL?>admins/<?=$Registro->id?>/logs"><i class="small icon-file-text main-color-text darken-1 tooltipped clickable" data-tooltip="LOGS"></i></a>
                        <i class="small icon-remove red-text tooltipped clickable" id="delete" data-tooltip="DELETAR"></i>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    var DataTable;

    $(function() {
        DataTable = $('#listaRegistros').DataTable({
            "lengthMenu": [[10, 25, 50], [10, 25, 50]],
            "language": dataTablePtBrTranslation
        });

        $('#listaRegistros').on('click', 'tbody td', function(){
            if ($(this).closest('tr').is('.selected')) {
                $('.selected').removeClass('selected');
            } else {
                $('.selected').removeClass('selected');
                $(this).closest('tr').addClass('selected');
            }
            
        });

        $('button#add').on('click', function(){
            location.href = "<?=ADMIN_URL?>admins/new/form";
        })
        
        $('body').on('click', 'i#edit', function(){
            var currentId = $(this).closest('[data-id]').data('id');

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            location.href = "<?=ADMIN_URL?>admins/"+ currentId +"/form/" ;
        })

        $('body').on('click', 'i#delete', function(){
            var currentId = $(this).closest('[data-id]').data('id');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>admin.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'delete',
                    id: currentId
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })
    } );
</script>