<?php 
    $tipo = empty(@$_GET['d']) ? 'usuario' : @$_GET['d'];

    switch ($tipo) {
        case 'evento':
            list($Denuncia) = EventReport::getBy([
                'id' => $referencia
            ], [
                'event_report_commentary AS commentary',
                'user_id',
                'event_id',
                'event_admin_commentary AS admin_commentary',
                'status',
                'id'
            ]);

            list($Denunciado) = Event::getBy([
                'id' => $Denuncia->event_id
            ], [
                'event_name AS name',
                'id',
                'event_url'
            ]);
            break;
        case 'empresa':
            list($Denuncia) = CompanyReport::getBy([
                'id' => $referencia
            ], [
                'company_report_commentary AS commentary',
                'user_id',
                'company_id',
                'company_admin_commentary AS admin_commentary',
                'status',
                'id'
            ]);

            list($Denunciado) = Company::getBy([
                'id' => $Denuncia->company_id
            ], [
                'company_name AS name',
                'id'
            ]);
            break;
        default:
            list($Denuncia) = UserReport::getBy([
                'id' => $referencia
            ], [
                'user_report_commentary AS commentary',
                'user_id',
                'user_id_reported',
                'user_admin_commentary AS admin_commentary',
                'status',
                'id'
            ]);

            list($Denunciado) = User::getBy([
                'id' => $Denuncia->user_id_reported
            ]);
            break;
    }

    list($Denunciante) = User::getBy([
        'id' => $Denuncia->user_id,
        'status' => 1
    ]);

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => !!$Denuncia
    ]);
?>

<div class="row">
    <h2>Denúncia</h2>

    <?php switch ($Denuncia->status) {
        case 1: ?>
            <div class="col s12 m8 offset-m2 avalicao status-box">
                <i class="icon-flag left"></i>
                <div class="content-info">A denúncia está em avaliação</div>
            </div>
        <?php break; ?>
        <?php case 2: ?>
            <div class="col s12 m8 offset-m2 aceita status-box">
                <i class="icon-flag left"></i>
                <div class="content-info">A denúncia foi aceita</div>
            </div>
        <?php break; ?>
        <?php case 3: ?>    
            <div class="col s12 m8 offset-m2 rejeitada status-box">
                <i class="icon-flag left"></i>
                <div class="content-info">A denúncia foi rejeitada</div>
            </div>
        <?php break; ?>
    <?php } ?>

    <div class="col s12 m8 offset-m2 info-box">
        <a href="<?=$Denunciante->getUrl()?>"><i class="icon-profile left grey-text text-darken-2"></i></a>
        <div class="content-info"><b>Denunciante:</b> <?=$Denunciante->name?></div>
    </div>
    <div class="col s12 m8 offset-m2 info-box">
        <a href="<?=$Denunciado->getUrl()?>"><i class="icon-profile left grey-text text-darken-2"></i></a>
        <div class="content-info"><b>Denunciado:</b> <?=$Denunciado->name?></div>
    </div>
    <div class="col s12 m8 offset-m2">
        <h4>Motivo</h4>
    </div>
    <div class="col s12 m8 offset-m2">
        <?=$Denuncia->commentary?><br>
    </div>

    <div class="input-field col s12 m8 offset-m2 annotation">
        <textarea id="anotacao" class="materialize-textarea" maxlength="255"><?=@$Denuncia->admin_commentary?></textarea>
        <label for="anotacao">Anotações</label>
    </div>

    <div class="col s12 m4 offset-m2">
        <div class="status-button aceita">
            <i class="icon-hammer"></i> ACEITAR
        </div>
    </div>
    <div class="col s12 m4">
        <div class="status-button rejeita">
            <i class="icon-hammer"></i> REJEITAR
        </div>
    </div>
</div>

<script type="text/javascript">

$(function() {
    var currentId = <?=$Denuncia->id?>;

    $('.status-button.aceita').on('click', function(){
        $.ajax({
            url:            '<?=ADMIN_URL?>denuncia.ajax',
            type:           'post',
            dataType:       'json',
            data:           {
                type: 'accept',
                id: currentId,
                anotacao: $('#anotacao').val(),
                model: '<?=$tipo?>'
            },
            updatePage:     false,
            onsuccess:      () => {
                setTimeout(() => {
                    location.href = '<?=ADMIN_URL?>denuncias'
                }, 1750)
            }
        })
    })

    $('.status-button.rejeita').on('click', function(){
        $.ajax({
            url:            '<?=ADMIN_URL?>denuncia.ajax',
            type:           'post',
            dataType:       'json',
            data:           {
                type: 'reject',
                id: currentId,
                anotacao: $('#anotacao').val(),
                model: '<?=$tipo?>'
            },
            updatePage:     false,
            onsuccess:      () => {
                setTimeout(() => {
                    location.href = '<?=ADMIN_URL?>denuncias'
                }, 1750)
            }
        })
    })
})
</script>