<?php 
    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);

    $tipo = empty(@$_GET['d']) ? 'usuario' : @$_GET['d'];
    switch ($tipo) {
        case 'empresa' :
            $lista = CompanyReport::getAdmin();
            break;
        case 'evento' :
            $lista = EventReport::getAdmin();
            break;
        default :
            $lista = UserReport::getAdmin();
    }
?>
<div class="container">
    <h2>Denúncias</h2>
    <div class="row">
        <div class="col s12 m4 center margin-me">
            <a class="btn <?=($tipo == 'usuario' ? 'main-color' : 'grey')?>" href="<?=ADMIN_URL?>denuncias?d=usuario">usuários</a>
            <br />
        </div>
        <div class="col s12 m4 center">
            <a class="btn <?=($tipo == 'evento' ? 'main-color' : 'grey')?>" href="<?=ADMIN_URL?>denuncias?d=evento">eventos</a>
            <br />
        </div>
        <div class="col s12 m4 center">
            <a class="btn <?=($tipo == 'empresa' ? 'main-color' : 'grey')?>" href="<?=ADMIN_URL?>denuncias?d=empresa">empresas</a>
            <br />
        </div>
    </div>
    <table id="listaRegistros" class="striped highlight display">
        <thead>
            <tr>
                <td>
                    Denunciado
                </td>
                <td>
                    Denunciante
                </td>
                <td>
                    Status
                </td>
                <td>
                </td>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($lista as $Registro) : ?>
                <tr data-id="<?=$Registro->id?>" data-reported="<?=$Registro->denunciado_id?>" data-reporter="<?=$Registro->denunciante_id?>">
                    <td>
                        <?=$Registro->denunciado?>
                        <i class="right small icon-remove light-green-text tooltipped reject_all_reported" data-tooltip="REJEITAR TODAS AS DENÚNCIAS A '<?=strtoupper($Registro->denunciado)?>'"></i>
                    </td>
                    <td>
                        <?=$Registro->denunciante?>
                        <i class="right small icon-remove light-green-text tooltipped reject_all_reporter" data-tooltip="REJEITAR TODAS AS DENÚNCIAS DE '<?=strtoupper($Registro->denunciante)?>'"></i>
                    </td>
                    <td class="center">
                        <?php switch ($Registro->status) {
                            case 1: ?>
                                <span class="blue-text">Em avaliação</span>
                            <?php break; ?>
                            <?php case 2: ?>
                                <span class="red-text">Ratificada</span>
                            <?php break; ?>
                            <?php case 3: ?>
                                <span class="light-green-text">Rejeitada</span>
                            <?php break; ?>
                        <?php } ?>
                    </td>
                    <td class="center">
                        <i class="icon-hammer small main-color-text darken-1 tooltipped details clickable" data-tooltip="DETALHES"></i>
                        <i class="small icon-flag red-text tooltipped accept clickable" data-tooltip="RATIFICAR"></i>
                        <i class="small icon-flag light-green-text tooltipped reject clickable" data-tooltip="REJEITAR"></i>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    var DataTable;

    $(function() {
        DataTable = $('#listaRegistros').DataTable({
            "lengthMenu": [[10, 25, 50], [10, 25, 50]],
            "language": dataTablePtBrTranslation
        });

        $('#listaRegistros').on('click', 'tbody td', function(){
            if ($(this).closest('tr').is('.selected')) {
                $('.selected').removeClass('selected');
            } else {
                $('.selected').removeClass('selected');
                $(this).closest('tr').addClass('selected');
            }
            
        });

        $('i.details').on('click', function(){
            var currentId = $(this).closest('[data-id]').data('id');

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            location.href = "<?=ADMIN_URL?>denuncias/"+ currentId +"/details/?d=<?=$tipo?>";
        })

        $('i.accept').on('click', function(){
            var currentId = $(this).closest('[data-id]').data('id');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>denuncia.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'accept',
                    id: currentId,
                    model: '<?=$tipo?>'
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })

        $('i.reject').on('click', function(){
            var currentId = $(this).closest('[data-id]').data('id');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>denuncia.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'reject',
                    id: currentId,
                    model: '<?=$tipo?>'
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })

        $('i.reject_all_reported').on('click', function(){
            var currentId = $(this).closest('[data-reported]').data('reported');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>denuncia.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'rejectAllReported',
                    id: currentId,
                    model: '<?=$tipo?>'
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })

        $('i.reject_all_reporter').on('click', function(){
            var currentId = $(this).closest('[data-reporter]').data('reporter');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>denuncia.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'rejectAllReporter',
                    id: currentId
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })

        
    } );
</script>