<?php 
    $id = $referencia;
    @list($Company) = Company::getBy(['id' => $id]);

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => !!$Company
    ]);

    $Events = Event::getBy(['company_id' => $id]);

    $Followers = CompanyFollow::getBy([
        CompanyFollow::_TABLE . '.user_id'   => $id
    ], [
        CompanyFollow::_TABLE . '.*',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            CompanyFollow::_TABLE . '.user_id' => User::_TABLE . '.id'
        ]
    ]);

    $ReceivedReports = CompanyReport::getBy([
        CompanyReport::_TABLE . '.company_id' => $id
    ], [
        CompanyReport::_TABLE . '.user_id',
        CompanyReport::_TABLE . '.status',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            User::_TABLE . '.id' => CompanyReport::_TABLE . '.user_id'
        ]
    ]);
?>

<div class="container">
    <h2>
        <?=$Company->company_name?> 
        <a href="<?=SITE_URL?>empresa/<?=$Company->id?>" class="right">
            <i class="icon-profile"></i> 
        </a>
    </h2>

    <?php if ($Events) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Eventos</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Events as $Event) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>evento/<?=$Event->event_url?>">
                                <?=$Event->event_name?> 
                            </a>
                            <a href="<?=ADMIN_URL?>eventos/<?=$Event->id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($Followers) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Seguidores</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Followers as $Follow) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Follow->user_id?>">
                                <?=$Follow->name?> 
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Follow->user_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($ReceivedReports) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Denúncias Recebidas</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($ReceivedReports as $Report) : ?>
                    <?php 
                        switch ($Report->status) {
                            case 1:
                                $class = 'blue-text text-lighten-2';
                                $name = 'Em Avaliação';
                                break;
                            case 2:
                                $class = 'red-text';
                                $name = 'Aceita';
                                break;
                            case 3:
                                $class = 'main-color-text darken-1';
                                $name = 'Rejeitada';
                        }
                    ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Report->reporter_id?>">
                                <?=$Report->target_name?> 
                            </a>
                            <i class="icon-flag small <?=$class?> tooltipped right" data-tooltip="<?=$name?>" style="line-height: 2.3;margin-left: 4px;"></i> 
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Report->reporter_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>
</div>