<?php 
    $id = $referencia;
    @list($Event) = Event::getBy(['id' => $id]);

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => !!$Event
    ]);

    $Invites = EventInvite::getBy([
        'event_id' => $id
    ], [
        'inviter.name AS inviter_name',
        EventInvite::_TABLE.".user_id_inviter",
        'invited.name AS invited_name',
        EventInvite::_TABLE.".user_id_invited"
    ], false, [
        User::_TABLE . ' AS inviter' => [
            "inviter.id" => EventInvite::_TABLE.".user_id_inviter"
        ],
        User::_TABLE . ' AS invited' => [
            "invited.id" => EventInvite::_TABLE.".user_id_invited"
        ]
    ]);

    $Interests = EventFollow::getBy([
        'event_id' => $id
    ], [
        User::_TABLE . ".id AS user_id",
        User::_TABLE . ".name",
        EventInterest::_TABLE . '.event_interest_have',
        EventInterest::_TABLE . '.positive'
    ], false, [
        User::_TABLE  => [
            User::_TABLE . ".id" => EventFollow::_TABLE.".user_id"
        ],
        EventInterest::_TABLE  => [
            EventInterest::_TABLE . ".id" => EventFollow::_TABLE.".interest_id"
        ]
    ]);

    $ReceivedReports = EventReport::getBy([
        EventReport::_TABLE . '.event_id' => $id
    ], [
        EventReport::_TABLE . '.user_id',
        EventReport::_TABLE . '.status',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            User::_TABLE . '.id' => EventReport::_TABLE . '.user_id'
        ]
    ]);
?>
<div class="container">
    <h2>
        <?=$Event->event_name?> 
        <a href="<?=SITE_URL?>evento/<?=$Event->event_url?>" class="right">
            <i class="icon-profile"></i> 
        </a>
    </h2>

    <?php if ($Interests) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Presenças</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Interests as $Follow) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Follow->user_id?>">
                                <?=$Follow->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Follow->user_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                            <?php if ($Follow->positive) : ?>
                                <i class="icon-thumbs-up right main-color-text darken-1" style="line-height: 2.3;margin-right: 4px;"></i>
                            <?php else : ?>
                                <i class="icon-thumbs-dowm right red-text" style="line-height: 2.3;margin-right: 4px;"></i>
                            <?php endif ?>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>
    
    <?php if ($Invites) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Convites</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Invites as $Invite) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Invite->user_id_inviter?>">
                                <?=$Invite->inviter_name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Invite->user_id_inviter?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                        <center><i class="icon-circle-down"></i></center>
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Invite->user_id_invited?>">
                                <?=$Invite->invited_name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Invite->user_id_invited?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>


    <?php if ($ReceivedReports) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Denúncias Recebidas</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($ReceivedReports as $Report) : ?>
                    <?php 
                        switch ($Report->status) {
                            case 1:
                                $class = 'blue-text text-lighten-2';
                                $name = 'Em Avaliação';
                                break;
                            case 2:
                                $class = 'red-text';
                                $name = 'Aceita';
                                break;
                            case 3:
                                $class = 'main-color-text darken-1';
                                $name = 'Rejeitada';
                        }
                    ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Report->reporter_id?>">
                                <?=$Report->target_name?> 
                            </a>
                            <i class="icon-flag small <?=$class?> tooltipped right" data-tooltip="<?=$name?>" style="line-height: 2.3;margin-left: 4px;"></i> 
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Report->reporter_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>
</div>