<?php 
    $id = $referencia;

    $isNovo = ($id === 'new');

    if (!$isNovo) {
        list($Evento) = Event::getBy(array('id' => $id));
        $Categorias = Category::getBy([
            Category::_TABLE . '.status' => 1
        ], [
            Category::_TABLE . '.*',
            EventCategory::_TABLE . '.event_id IS NOT NULL AS selected'
        ], false, [], [
            EventCategory::_TABLE => [
                EventCategory::_TABLE . '.category_id' => Category::_TABLE . '.id',
                EventCategory::_TABLE . '.event_id' => $Evento->id
            ]
        ], false, false, Category::_TABLE . '.category_name');

        LogAdmin::insert([
            'user_id'       => Session::getInfo('id'),
            'log_action'    => 'view_screen',
            'log_file'      => __FILE__,
            'log_success'   => !!$Evento
        ]);
    } else {
        $Evento = new ModelEvent(array());
        $Categorias = Category::getBy(['status' => 1]);

        LogAdmin::insert([
            'user_id'       => Session::getInfo('id'),
            'log_action'    => 'view_screen',
            'log_file'      => __FILE__,
            'log_success'   => true
        ]);
    }

    $listaEmpresas = Company::getBy(array('status' => 1));

    @list($City) = City::getBy(['id' => @$Evento->city_id]);
    $state_id = $City ? $City->state_id : 1;

    $states = State::getBy(['country_id' => 1]);
    $cities = City::getBy(['state_id' => $state_id]);
?>

<div class="container row">
    <form action="<?=ADMIN_URL?>evento.ajax" data-success-callback="location.href = '<?=ADMIN_URL?>eventos'">
        <input type="hidden" name="type" value="<?=($isNovo ? 'add' : 'edit')?>">
        <input type="hidden" name="dados[id]" value="<?=@$Evento->id?>">
        <h4>Evento <?=@$Evento->id?></h4>
        <div class="input-field col s12">
            <select id="empresa" name="dados[empresa]">
                <?php foreach ($listaEmpresas as $Empresa) : ?>
                    <option value="<?=$Empresa->id?>" <?=(@$Evento->company_id == $Empresa->id ? 'selected="selected"' : '')?>><?=$Empresa->company_name?></option>
                <?php endforeach ?>
            </select>
            <label for="empresa">Empresa</label>
        </div>
        <div class="input-field col s12">
            <input id="nome" type="text" class="validate" required name="dados[nome]" value="<?=@$Evento->event_name?>">
            <label for="nome" class="active">Título</label>
        </div>
        <div class="input-field col s12">
            <input id="url" type="text" class="validate" required name="dados[url]" value="<?=@$Evento->event_url?>">
            <label for="url" class="active">URL</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="data_inicio" type="text" class="validate datepicker" required name="dados[data_inicio]" value="<?=@($Evento->event_start_date)('d/m/Y')?>">
            <label for="data_inicio" class="active">Data de Início</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="hora_inicio" type="text" class="validate timepicker" required name="dados[hora_inicio]" value="<?=@($Evento->event_start_date)('H:i')?>">
            <label for="hora_inicio" class="active">Hora de Início</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="data_fim" type="text" class="validate datepicker" required name="dados[data_fim]" value="<?=@($Evento->event_end_date)('d/m/Y')?>">
            <label for="data_fim" class="active">Data de Fim</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="hora_fim" type="text" class="validate timepicker" required name="dados[hora_fim]" value="<?=@($Evento->event_end_date)('H:i')?>">
            <label for="hora_fim" class="active">Hora de Fim</label>
        </div>
        <div class="input-field col s12 m6">
            <select id="privacidade" name="dados[privacidade]">
                <option value="1" <?=(@$Evento->event_privacity == 1 ? 'selected="selected"' : '')?>>Somente convidados</option>
                <option value="2" <?=(@$Evento->event_privacity != 1 ? 'selected="selected"' : '')?>>Público</option>
            </select>
            <label for="privacidade">Privacidade</label>
        </div>
        <div class="input-field col s12 m3 offset-m3">
            <input id="valor" type="text" class="validate mask-money" name="dados[valor]" value="<?=@$Evento->event_value?>">
            <label for="valor" class="active">Valor</label>
        </div>


        <div class="row address">
            <div class="input-field col s12 m4">
                <input id="cep" type="text" class="validate" name="dados[cep]" value="<?=@$Evento->address_postal_code?>" data-cep="event-address" data-mask="00000-000">
                <label for="cep" class="active">CEP</label>
            </div>
            <div class="input-field col s12 m2">
                <select id="uf" data-event-address="uf">
                    <?php foreach ($states as $State) : ?>
                        <option value="<?=$State->uf?>" data-id="<?=$State->id?>" <?=($State->id == $state_id ? 'selected="selected"' : '')?>><?=$State->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="uf">UF</label>
            </div>
            <div class="input-field col s12 m3">
                <input type="hidden" value="" id="cidade_nome" data-event-address="localidade">
                <select id="cidade" name="dados[cidade]">
                    <?php foreach ($cities as $City) : ?>
                        <option value="<?=$City->id?>" <?=($City->id == @$Evento->city_id ? 'selected="selected"' : '')?>><?=$City->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="cidade">Cidade</label>
            </div>
            <div class="input-field col s12 m5">
                <input id="bairro" type="text" class="" name="dados[bairro]" value="<?=@$Evento->address_neightborhood?>" data-event-address="bairro">
                <label for="bairro" class="active">Bairro</label>
            </div>
            <div class="input-field col s12 m9">
                <input id="rua" type="text" class="" name="dados[rua]" value="<?=@$Evento->address_street?>" data-event-address="logradouro">
                <label for="rua" class="active">Rua</label>
            </div>
            <div class="input-field col s12 m3">
                <input id="numero" type="number" name="dados[numero]" value="<?=@$Evento->address_number?>">
                <label for="numero" class="active">Número</label>
            </div>
            <div class="input-field col s12">
                <input id="complemento" type="text" name="dados[complemento]" value="<?=@$Evento->address_complement?>">
                <label for="complemento" class="active">Complemento</label>
            </div>
        </div>

        <div class="input-field col s12">
            <textarea id="descricao" class="materialize-textarea" name="dados[descricao]"><?=@$Evento->event_description?></textarea>
            <label for="descricao">Descrição</label>
        </div>

        <div class="col s12 m8 offset-m2 info-box">
            <i class="icon-info left"></i>
            <div class="content-info">Os dados aqui não definem que o evento não será mostrado para pessoas que não se encaixem nesses requisitos, apenas que será mostrado preferencialmente para quem se encaixa nessas informações</div>
        </div>

        <div class="input-field col s12">
            <select id="categorias" name="categorias[]" multiple>
                <option disabled="disabled">Selecione as categorias do evento</option>
                <?php foreach ($Categorias as $Categoria) : ?>
                    <option value="<?=$Categoria->id?>" <?=(@$Categoria->selected ? 'selected="selected"' : '')?>><?=$Categoria->category_name?></option>
                <?php endforeach ?>
            </select>
            <label for="categorias">Categorias</label>
        </div>

        <div class="input-field col s12 m6 switch">
            <label for="homens" class="lever-title active">Para Homens</label><br>
            <label class="lever-container">
                Não
                <input id="homens" type="checkbox" name="dados[homens]" <?=@$Evento->to_male ? 'checked' : ''?>>
                <span class="lever"></span>
                Sim
            </label>
        </div>

        <div class="input-field col s12 m6 switch">
            <label for="mulheres" class="lever-title active">Para Mulheres</label><br>
            <label class="lever-container">
                Não
                <input id="mulheres" type="checkbox" name="dados[mulheres]" <?=@$Evento->to_female ? 'checked' : ''?>>
                <span class="lever"></span>
                Sim
            </label>
        </div>

        <div class="input-field col s12 m6">
            <input id="idade_min" type="number" name="dados[idade_min]" value="<?=@$Evento->min_age?>">
            <label for="idade_min" class="active">Idade Mínima</label>
        </div>

        <div class="input-field col s12 m6">
            <input id="idade_max" type="number" name="dados[idade_max]" value="<?=@$Evento->max_age?>">
            <label for="idade_max" class="active">Idade Máxima</label>
        </div>

        <div class="col right-align s12 m8 offset-m2">
            <button class="btn main-color darken-1">Salvar</button><br>
        </div>
    </form>
</div>

<script type="text/javascript">
    $(function(){
        $('#dono').val('<?=@$Evento->user_id?>')

        $('#uf').on('change', function(){
            $('#uf').material_select();
            $.ajax({
                url         : SITE_URL + 'cities.ajax?id=' + $('option:selected', this).data('id'),
                type        : 'get',
                dataType    : 'json',
                success     : function(res) {
                    $('#cidade').html('');
                    for (var i in res) {
                        $('#cidade').append(`<option value="${res[i].id}" data-name="${res[i].name}">${res[i].name}</option>`);
                    }
                    $('#cidade').material_select();

                    $('#cidade').val($('option[data-name="'+$('#cidade_nome').val()+'"]', '#cidade').attr('value')).material_select()
                }
            })
        })
    })
</script>