<?php 
    @list($Evento) = 
    Event::getBy(
        array(
            Event::_TABLE . '.id' => $referencia,
            Event::_TABLE . '.status' => 1
        )
    );


    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => !!$Evento
    ]);

    $Images = Archive::getBy(array(
        'tabela'    => Event::_TABLE,
        'tipo'      => 'pri',
        'referencia'=> $Evento->id,
        'status'    => 1
    ));
?>

<div class="content center-align" id="events">
    <form id="meus-eventos" class="row container" action="<?=ADMIN_URL?>evento" data-success-callback="location.href = '<?=ADMIN_URL?>eventos'" enctype="multipart/form-data">
        <input type="hidden" name="type" value="imagens">
        <input type="hidden" name="id" value="<?=@$Evento->id?>">
        <input type="hidden" name="deletedImages" value="">

        <!-- Imagens -->
        <div class="col s12 title">
            <h4 class="left">Imagens</h4>
        </div>

        <div class="col s12" id="image-slider">
            <label class="active left">Imagens</label><br>

            <div class="row">
                <?php foreach ($Images as $Image) : ?>
                    <div class="image-item old" data-id="<?=$Image->id?>">
                        <div class="card">
                            <div class="card-image">
                                <img src="<?=$Image->getUrl('pp')?>">
                            </div>
                            <div class="card-content">
                                <input name="oldImage[<?=$Image->id?>][titulo]" type="text" value="<?=$Image->titulo?>">
                                <textarea name="oldImage[<?=$Image->id?>][descricao]" class="materialize-textarea" maxlength="255"><?=$Image->descricao?></textarea><br>
                                
                                <i class="icon-remove red-text tooltipped clickable small-size delete-image" data-tooltip="Deletar Imagem"></i>
                            </div>
                        </div>
                    </div>
                <?php endforeach ?>
            </div>

            <i class="icon-add-image main-color-text right tooltipped clickable large-size" id="add-image" data-tooltip="Nova Imagem"></i>
        </div>
        <!-- END Imagens -->

        <div class="col s12 title">
            <button class="btn main-color darken-1 right">Salvar</button>
        </div>
    </form>
</div>

<script type="text/javascript">
    newImageQuantity = 0;
    $('#add-image').on('click', () => {
        var FileField = $('<input type="file" accept="image/*" class="hide">');
        FileField.click();
        FileField.on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                var template = 
                    $(`<div class="image-item new" data-id="${++newImageQuantity}">
                        <div class="card">
                            <div class="card-image">
                                <img src="/tcc/assets/images/no-image.svg">
                            </div>
                            <div class="card-content">
                                <input name="image[${newImageQuantity}][titulo]" type="text" value="Título">
                                <textarea name="image[${newImageQuantity}][descricao]" class="materialize-textarea" maxlength="255">Descrição</textarea><br>
                                <i class="icon-remove red-text tooltipped clickable small-size delete-image" data-tooltip="Deletar Imagem"></i>
                            </div>
                        </div>
                    </div>`);
                reader.onload = function(e) {
                  $('img', template).attr('src', e.target.result);
                }
            
                reader.readAsDataURL(this.files[0]);
                $('#image-slider .row').append(template);

                FileField.attr('name', 'newFile' + newImageQuantity)
                $('form#meus-eventos').append(FileField);
            }
        })
    })

    $('#image-slider textarea').on('blur', function(){
        $(this).css('height', '');
    })

    $('#image-slider').on('click', '.delete-image', function(){
        var imageContainer = $(this).closest('.image-item');
        var id = imageContainer.data('id');

        if (imageContainer.hasClass('old')) {
            var deletedImages = $('input[type=hidden][name=deletedImages]').val();
            if (deletedImages) {
                deletedImages = deletedImages.split(',');
            } else {
                deletedImages = [];
            }

            if (imageContainer.hasClass('deleted')) {
                for( var i = 0; i < deletedImages.length; i++){ 
                    if ( deletedImages[i] == id) {
                        deletedImages.splice(i, 1);
                        break;
                    }
                }

                imageContainer.removeClass('deleted');
                $(this).attr('data-tooltip', 'Deletar Imagem').tooltip();
            } else {
                deletedImages.push(id);

                imageContainer.addClass('deleted');
                $(this).attr('data-tooltip', 'Cancelar Deleção').tooltip();
            }
            $('input[type=hidden][name=deletedImages]').val(deletedImages.join(','));
        } else {
            $('input[type=file][name=newFile'+id+']').remove()
            imageContainer.remove()
        }
        
    })
</script>