<?php 

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);

    $lista = Event::getBy(
        array(
            Event::_TABLE . '.status' => 1
        ),
        array(
            Event::_TABLE . '.event_name',
            Event::_TABLE . '.event_start_date',
            Event::_TABLE . '.event_url',
            Event::_TABLE . '.id',
            Company::_TABLE . '.company_name AS empresa',
            User::_TABLE . '.name AS usuario'
        ),
        false,
        array(
            Company::_TABLE => array(
                Company::_TABLE . '.id' => Event::_TABLE . '.company_id'
            ),
            User::_TABLE => array(
                User::_TABLE . '.id' => Company::_TABLE . '.user_id'
            )
        ),
        array()
    );
?>
<div class="container">
    <h2>Eventos</h2>
    <div class="row">
        <div class="col s6 m4 right">
            <button class="btn main-color darken-1 right tooltipped" data-tooltip="CRIAR NOVO" id="add">
                <i class="small icon-plus"></i>
            </button>
        </div>
    </div>
    <table id="listaRegistros" class="striped highlight display">
        <thead>
            <tr>
                <td>
                    Nome
                </td>
                <td>
                    Companhia
                </td>
                <td>
                    Usuário
                </td>
                <td>
                    Data
                </td>
                <td>
                </td>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($lista as $Registro) : ?>
                <tr data-id="<?=$Registro->id?>">
                    <td>
                        <?=$Registro->event_name?>
                    </td>
                    <td>
                        <?=$Registro->empresa?>
                    </td>
                    <td>
                        <?=$Registro->usuario?>
                    </td>
                    <td>
                        <?=($Registro->event_start_date)('d/m/Y')?>
                    </td>
                    <td class="center">
                        <i class="icon-menu dropdown clickable"></i>
                        <ul class="dropdown-menu" data-id="<?=$Registro->id?>">
                            <li>
                                <a href="<?=ADMIN_URL?>eventos/<?=$Registro->id?>/form/">
                                    <i class="icon-pencil small main-color-text darken-1"></i> 
                                    Editar
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>eventos/<?=$Registro->id?>/imagens/">
                                    <i class="icon-images small main-color-text darken-1"></i> 
                                    Imagens
                                </a>
                            </li>
                            <li>
                                <a href="<?=SITE_URL?>evento/<?=$Registro->event_url?>">
                                    <i class="icon-profile small main-color-text darken-1"></i> 
                                    Perfil
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>eventos/<?=$Registro->id?>/estatisticas/">
                                    <i class="icon-chart small main-color-text darken-1"></i> 
                                    Estatísticas
                                </a>
                            </li>
                            <li class="delete">
                                <i class="small icon-remove main-color-text darken-1"></i> 
                                Deletar
                            </li>
                        </ul>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    $(function() {
        DataTable = $('#listaRegistros').DataTable({
            "lengthMenu": [[10, 25, 50], [10, 25, 50]],
            "language": dataTablePtBrTranslation
        });

        $('#listaRegistros').on('click', 'tbody td', function(){
            if ($(this).closest('tr').is('.selected')) {
                $('.selected').removeClass('selected');
            } else {
                $('.selected').removeClass('selected');
                $(this).closest('tr').addClass('selected');
            }
        });

        $('button#add').on('click', function(){
            location.href = "<?=ADMIN_URL?>eventos/new/form";
        })

        $('body').on('click', 'li.delete', function(){
            var currentId = $(this).closest('[data-id]').data('id');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>evento.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'delete',
                    id: currentId
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })
    } );
</script>