<?php 
    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
    
    @list($Usuario) = User::getBy(array('id' => $referencia, 'status' => 1));

    $Certificados = EventCertificate::getBy(
        [
            EventCertificate::_TABLE . '.user_id' => $Usuario->id, 
            EventCertificate::_TABLE . '.status' => 1
        ],
        [
            EventCertificate::_TABLE . '.code',
            EventCertificate::_TABLE . '.event_id',
            EventCertificate::_TABLE . '.date',
            Event::_TABLE . '.event_name as name',
            Event::_TABLE . '.event_url',
            Archive::_TABLE . '.arquivo',
            EventFollow::_TABLE . '.office'
        ],
        false,
        [
            Event::_TABLE => [
                Event::_TABLE . '.id' => EventCertificate::_TABLE . '.event_id',
                Event::_TABLE . '.status' => 1
            ],
            EventFollow::_TABLE => [
                EventFollow::_TABLE . '.event_id' => EventCertificate::_TABLE . '.event_id',
                EventFollow::_TABLE . '.user_id' => EventCertificate::_TABLE . '.user_id'
            ]
        ], [
            Archive::_TABLE => [
                Archive::_TABLE . '.referencia' => Event::_TABLE . '.id',
                Archive::_TABLE . '.tabela' => '"'.Event::_TABLE.'"',
                Archive::_TABLE . '.tipo' => '"pri"',
                Archive::_TABLE . '.status' => 1
            ]
        ], 
        EventCertificate::_TABLE . '.id'
    );
?>
<div class="container">
    <div class="row">
        <div class="col s12 center-align">
            <i class="icon-certificate2" id="icon"></i>
            <br>
            <h4 class="title bottom-divider">Certificados de <?=$Usuario->name?></h4>
        </div>
        <div class="col s12">
            <h4>Atividades</h4>
            <?php foreach ($Certificados as $Certificado) : ?>
                <div class="card large">
                    <div class="card-image">
                        <?php if ($Certificado->arquivo) : ?>
                            <img src="<?=IMG_PATH?>dinamicas/event/<?=$Certificado->event_id?>/pri/pub<?=$Certificado->arquivo?>" class="publication-img">
                        <?php else : ?>
                            <img src="<?=NO_IMAGE?>" class="publication-img">
                        <?php endif ?>
                    </div>
                    <div class="card-content">
                        <span class="card-title grey-text text-darken-4 truncate">
                            <span class="left">
                                <a href="<?=SITE_URL?>evento/<?=$Certificado->event_url?>"><?=$Certificado->name?></a> - <?=$Certificado->office?>
                            </span>
                            <span class="right">
                                <a href="<?=SITE_URL?>certificate.print?<?=$Certificado->code?>" target="certificate">
                                    <i class="icon-qrcode tooltipped main-color-text" data-tooltip="VISUALIZAR"></i>
                                </a>
                                <a href="<?=SITE_URL?>certificate.print?<?=$Certificado->code?>&print" target="certificate">
                                    <i class="icon-print tooltipped main-color-text" data-tooltip="IMPRIMIR"></i>
                                </a>
                            </span>
                        </span>
                    </div>
                    <p class="publication-date right-align grey-text"><?=$Certificado->date?></p>
                </div>
            <?php endforeach ?>
        </div>
    </div>
</div>