<?php 
    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
    
    $id = $referencia;
    @list($User) = User::getBy(['id' => $id]);

    $Companys = Company::getBy(['user_id' => $id]);

    $Followers = UserFollow::getBy([
        UserFollow::_TABLE . '.user_id_followed'   => $id
    ], [
        UserFollow::_TABLE . '.*',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            UserFollow::_TABLE . '.user_id_follower' => User::_TABLE . '.id'
        ]
    ]);

    $Follows = UserFollow::getBy([
        UserFollow::_TABLE . '.user_id_follower'   => $id
    ], [
        UserFollow::_TABLE . '.*',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            UserFollow::_TABLE . '.user_id_followed' => User::_TABLE . '.id'
        ]
    ]);

    $CompanyFollows = CompanyFollow::getBy([
        CompanyFollow::_TABLE . '.user_id'   => $id
    ], [
        CompanyFollow::_TABLE . '.*',
        Company::_TABLE . '.company_name as name'
    ], false, [
        Company::_TABLE => [
            CompanyFollow::_TABLE . '.company_id' => Company::_TABLE . '.id'
        ]
    ]);

    $Blocks = UserBlock::getBy([
        UserBlock::_TABLE . '.user_id'   => $id
    ], [
        UserBlock::_TABLE . '.*',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            UserBlock::_TABLE . '.user_id_block' => User::_TABLE . '.id'
        ]
    ]);

    $Blockeds = UserBlock::getBy([
        UserBlock::_TABLE . '.user_id_block'   => $id
    ], [
        UserBlock::_TABLE . '.*',
        User::_TABLE . '.name'
    ], false, [
        User::_TABLE => [
            UserBlock::_TABLE . '.user_id' => User::_TABLE . '.id'
        ]
    ]);

    $MadeReports = CompanyReport::getBy([
        CompanyReport::_TABLE . '.user_id' => $id
    ], [
        '"Company" AS type',
        CompanyReport::_TABLE . '.company_id AS target_id',
        CompanyReport::_TABLE . '.status',
        Company::_TABLE . '.company_name AS target_name'
    ], false, [
        Company::_TABLE => [
            Company::_TABLE . '.id' => CompanyReport::_TABLE . '.company_id'
        ]
    ]);
    $MadeReports = array_merge($MadeReports, EventReport::getBy([
        EventReport::_TABLE . '.user_id' => $id
    ], [
        '"Event" AS type',
        EventReport::_TABLE . '.event_id AS target_id',
        Event::_TABLE . '.event_url',
        EventReport::_TABLE . '.status',
        Event::_TABLE . '.event_name AS target_name'
    ], false, [
        Event::_TABLE => [
            Event::_TABLE . '.id' => EventReport::_TABLE . '.event_id'
        ]
    ]));
    $MadeReports = array_merge($MadeReports, UserReport::getBy([
        UserReport::_TABLE . '.user_id' => $id
    ], [
        '"User" AS type',
        UserReport::_TABLE . '.user_id_reported AS target_id',
        UserReport::_TABLE . '.status',
        User::_TABLE . '.name AS target_name'
    ], false, [
        User::_TABLE => [
            User::_TABLE . '.id' => UserReport::_TABLE . '.user_id_reported'
        ]
    ]));

    $ReceivedReports = UserReport::getBy([
        UserReport::_TABLE . '.user_id_reported' => $id
    ], [
        UserReport::_TABLE . '.user_id AS reporter_id',
        UserReport::_TABLE . '.status',
        User::_TABLE . '.name AS target_name'
    ], false, [
        User::_TABLE => [
            User::_TABLE . '.id' => UserReport::_TABLE . '.user_id'
        ]
    ]);

    $ReceivedInvites = EventInvite::getBy([
        EventInvite::_TABLE.".user_id_invited"   => $id
    ], 
    [
        EventInvite::_TABLE.".*",
        User::_TABLE.".name"
    ], false, [
        User::_TABLE => [
            User::_TABLE.".id" => EventInvite::_TABLE.".user_id_inviter"
        ]
    ]);

    $MadeInvites = EventInvite::getBy([
        EventInvite::_TABLE.".user_id_inviter"   => $id
    ], 
    [
        EventInvite::_TABLE.".*",
        User::_TABLE.".name"
    ], false, [
        User::_TABLE => [
            User::_TABLE.".id" => EventInvite::_TABLE.".user_id_invited"
        ]
    ]);
?>

<div class="container">
    <h2>
        <?=$User->name?> 
        <a href="<?=SITE_URL?>perfil/<?=$User->id?>" class="right">
            <i class="icon-profile"></i> 
        </a>
    </h2>

    <?php if ($Companys) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Empresas</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Companys as $Company) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>empresa/<?=$Company->id?>">
                                <?=$Company->company_name?> 
                            </a>
                            <a href="<?=ADMIN_URL?>empresas/<?=$Company->id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($Followers) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Seguidores</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Followers as $Follow) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Follow->user_id_follower?>">
                                <?=$Follow->name?> 
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Follow->user_id_follower?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($Follows) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Seguindo</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Follows as $Follow) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Follow->user_id_followed?>">
                                <?=$Follow->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Follow->user_id_followed?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($CompanyFollows) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Empresas Seguindo</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($CompanyFollows as $Follow) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>empresa/<?=$Follow->company_id?>">
                                <?=$Follow->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>empresas/<?=$Follow->company_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($ReceivedInvites) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Convites Recebidos</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($ReceivedInvites as $Invite) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Invite->user_id_inviter?>">
                                <?=$Invite->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Invite->user_id_inviter?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($MadeInvites) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Convites Feitos</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($MadeInvites as $Invite) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Invite->user_id_invited?>">
                                <?=$Invite->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Invite->user_id_invited?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($Blocks) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Bloqueados</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Blocks as $Block) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Block->user_id_block?>">
                                <?=$Block->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Block->user_id_block?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($Blockeds) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Bloqueado Por</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($Blockeds as $Block) : ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Block->user_id?>">
                                <?=$Block->name?>
                            </a>
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Block->user_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($MadeReports) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Denúncias Feitas</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($MadeReports as $Report) : ?>
                    <?php 
                        switch ($Report->type) {
                            case 'Event':
                                $url = 'eventos';
                                $perfil = 'evento';
                                $icon = 'event';
                                $id = $Report->event_url;
                                break;
                            case 'Company':
                                $url = 'empresas';
                                $perfil = 'empresa';
                                $icon = 'users';
                                $id = $Report->target_id;
                                break;
                            case 'User':
                                $url = 'usuarios';
                                $perfil = 'perfil';
                                $icon = 'user';
                                $id = $Report->target_id;
                        }

                        switch ($Report->status) {
                            case 1:
                                $class = 'blue-text text-lighten-2';
                                $name = 'Em Avaliação';
                                break;
                            case 2:
                                $class = 'red-text';
                                $name = 'Aceita';
                                break;
                            case 3:
                                $class = 'main-color-text darken-1';
                                $name = 'Rejeitada';
                        }
                    ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?><?=$perfil?>/<?=$id?>">
                                <i class="icon-<?=$icon?>"></i>
                                <?=$Report->target_name?> 
                            </a>
                            <i class="icon-flag small <?=$class?> tooltipped right" data-tooltip="<?=$name?>" style="line-height: 2.3;margin-left: 4px;"></i> 
                            <a href="<?=ADMIN_URL?><?=$url?>/<?=$Report->target_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>

    <?php if ($ReceivedReports) : ?>
        <div class="row">
            <div class="col s12 title">
                <h4>Denúncias Recebidas</h4>
            </div>
            <ul class="col s12 m6 offset-m3 collection">
                <?php foreach ($ReceivedReports as $Report) : ?>
                    <?php 
                        switch ($Report->status) {
                            case 1:
                                $class = 'blue-text text-lighten-2';
                                $name = 'Em Avaliação';
                                break;
                            case 2:
                                $class = 'red-text';
                                $name = 'Aceita';
                                break;
                            case 3:
                                $class = 'main-color-text darken-1';
                                $name = 'Rejeitada';
                        }
                    ?>
                    <li class="collection-item">
                        <b class="title">
                            <a href="<?=SITE_URL?>perfil/<?=$Report->reporter_id?>">
                                <?=$Report->target_name?> 
                            </a>
                            <i class="icon-flag small <?=$class?> tooltipped right" data-tooltip="<?=$name?>" style="line-height: 2.3;margin-left: 4px;"></i> 
                            <a href="<?=ADMIN_URL?>usuarios/<?=$Report->reporter_id?>/estatisticas/" class="right">
                                <i class="icon-chart small main-color-text darken-1 tooltipped" data-tooltip="Estatísticas"></i> 
                            </a>
                        </b>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    <?php endif ?>
</div>