<?php 
    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
    
    $id = $referencia;

    $isNovo = ($id === 'new');

    $usuarios = User::getBy(array('id' => $id));
    $Usuario = reset($usuarios);

    @list($City) = City::getBy(['id' => $Usuario->city_id]);
    $state_id = $City ? $City->state_id : 1;

    $states = State::getBy(['country_id' => 1]);
    $cities = City::getBy(['state_id' => $state_id]);
?>

<div class="container row">
    <form action="<?=ADMIN_URL?>usuario.ajax" data-success-callback="location.href = '<?=ADMIN_URL?>usuarios'">
        <input type="hidden" name="type" value="<?=($isNovo ? 'add' : 'edit')?>">
        <input type="hidden" name="dados[id]" value="<?=@$Usuario->id?>">
        <h4>Usuário <?=@$Usuario->id?></h4>
        <div class="input-field col s12 m8 offset-m2">
            <input id="nome" type="text" class="validate" required name="dados[nome]" value="<?=@$Usuario->name?>">
            <label for="nome" class="active">Nome</label>
        </div>

        <div class="input-field col s12 m4 offset-m2">
            <select id="sexo" name="dados[sexo]" required>
                <option value="F" <?=(@$Usuario->sex == 'F' ? 'selected="selected"' : '')?>>Feminino</option>
                <option value="M" <?=(@$Usuario->sex == 'M' ? 'selected="selected"' : '')?>>Masculino</option>
            </select>
            <label for="sexo">Sexo</label>
        </div>

        <div class="input-field col s12 m4">
            <input id="nascimento" type="date" class="validate" required name="dados[nascimento]" value="<?=@$Usuario->birthdate?>">
            <label for="nascimento" class="active">Data de Nascimento</label>
        </div>

        <div class="row address">
            <div class="input-field col s12 m4 offset-m2">
                <input id="cep" type="text" class="validate" name="dados[cep]" value="<?=@$Usuario->address_postal_code?>" data-cep="user-address" data-mask="00000-000">
                <label for="cep" class="active">CEP</label>
            </div>
            <div class="input-field col s12 m2 offset-m2">
                <select id="uf" data-user-address="uf">
                    <?php foreach ($states as $State) : ?>
                        <option value="<?=$State->uf?>" data-id="<?=$State->id?>" <?=($State->id == $state_id ? 'selected="selected"' : '')?>><?=$State->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="uf">UF</label>
            </div>
            <div class="input-field col s12 m3">
                <input type="hidden" value="" id="cidade_nome" data-user-address="localidade">
                <select id="cidade" name="dados[cidade]">
                    <?php foreach ($cities as $City) : ?>
                        <option value="<?=$City->id?>" <?=($City->id == $Usuario->city_id ? 'selected="selected"' : '')?>><?=$City->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="cidade">Cidade</label>
            </div>
            <div class="input-field col s12 m3">
                <input id="bairro" type="text" class="validate" name="dados[bairro]" value="<?=@$Usuario->address_neightborhood?>" data-user-address="bairro">
                <label for="bairro" class="active">Bairro</label>
            </div>
            <div class="input-field col s12 m6 offset-m2">
                <input id="rua" type="text" class="validate" name="dados[rua]" value="<?=@$Usuario->address_street?>" data-user-address="logradouro">
                <label for="rua" class="active">Rua</label>
            </div>
            <div class="input-field col s12 m2">
                <input id="numero" type="number" class="validate" name="dados[numero]" value="<?=@$Usuario->address_number?>">
                <label for="numero" class="active">Número</label>
            </div>
        </div>

        <div class="input-field col s12 m8 offset-m2">
            <input id="email" type="email" required name="dados[email]" value="<?=@$Usuario->email?>">
            <label for="email" class="active">Email</label>
        </div>
        <div class="input-field col s12 m8 offset-m2">
            <input id="senha" type="password" class="validate" name="dados[senha]" autocomplete="off">
            <label for="senha" class="active">Senha</label>
        </div>
        <div class="col right-align s12 m8 offset-m2">
            <button class="btn main-color darken-1">Salvar</button><br>
        </div>
    </form>
</div>