<?php 
    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
    
    $listaUsuarios = User::getBy(array('status' => 1));
?>
<div class="container">
    <h2>Usuários</h2>
    <div class="row">
        <div class="col s6 m4 right">
            <button class="btn main-color darken-1 right tooltipped" data-tooltip="CRIAR NOVO" id="add">
                <i class="small icon-plus"></i>
            </button>
        </div>
    </div>
    <table id="listaRegistros" class="striped highlight display">
        <thead>
            <tr>
                <td>
                    Nome
                </td>
                <td>
                    Email
                </td>
                <td>
                </td>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($listaUsuarios as $Usuario) : ?>
                <tr>
                    <td>
                        <?=$Usuario->name?>
                    </td>
                    <td>
                        <?=$Usuario->email?>
                    </td>
                    <td class="center">
                        <i class="icon-menu dropdown clickable"></i>
                        <ul class="dropdown-menu" data-id="<?=$Usuario->id?>">
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/form/">
                                    <i class="icon-pencil small main-color-text darken-1"></i> 
                                    Editar
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/fotoPerfil/">
                                    <i class="icon-user-picture small main-color-text darken-1"></i> 
                                    Foto Perfil
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/fotoCapa/">
                                    <i class="icon-image small main-color-text darken-1"></i> 
                                    Foto Capa
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/agenda/">
                                    <i class="icon-calendar small main-color-text darken-1"></i> 
                                    Agenda
                                </a>
                            </li>
                            <li>
                                <a href="<?=SITE_URL?>perfil/<?=$Usuario->id?>" target="_blank">
                                    <i class="icon-profile small main-color-text darken-1"></i> 
                                    Perfil
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/certificados/" target="_blank">
                                    <i class="icon-certificate1 small main-color-text darken-1"></i> 
                                    Certificados
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/logs">
                                    <i class="icon-file-text small main-color-text darken-1"></i>
                                    Logs
                                </a>
                            </li>
                            <li>
                                <a href="<?=ADMIN_URL?>usuarios/<?=$Usuario->id?>/estatisticas/">
                                    <i class="icon-chart small main-color-text darken-1"></i> 
                                    Estatísticas
                                </a>
                            </li>
                            <li class="delete">
                                <i class="small icon-remove main-color-text darken-1"></i> 
                                Deletar
                            </li>
                        </ul>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    $(function() {
        DataTable = $('#listaRegistros').DataTable({
            "lengthMenu": [[10, 25, 50], [10, 25, 50]],
            "language": dataTablePtBrTranslation
        });

        $('#listaRegistros').on('click', 'tbody td', function(){
            if ($(this).closest('tr').is('.selected')) {
                $('.selected').removeClass('selected');
            } else {
                $('.selected').removeClass('selected');
                $(this).closest('tr').addClass('selected');
            }
        });

        $('button#add').on('click', function(){
            location.href = "<?=ADMIN_URL?>usuarios/new/form";
        })

        $('body').on('click', 'li.delete', function(){
            var currentId = $(this).closest('[data-id]').data('id');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>usuario.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'delete',
                    id: currentId
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })
    } );
</script>