<?php 
    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);

    @list($User) = User::getBy(['id' => $referencia]);

    $lista = LogUser::getBy(['user_id' => $referencia], ['*'], false, [], [], false, false, 'date ASC');
?>
<div class="container">
    <h2>Logs de <?=$User->name?></h2>
    
    <table id="listaRegistros" class="striped highlight display responsive nowrap" style="width:100%">
        <thead>
            <tr>
                <td>
                    IP
                </td>
                <td>
                    Browser
                </td>
                <td>
                    Plataforma
                </td>
                <td>
                    Ação
                </td>
                <td>
                    Arquivo
                </td>
                <td>
                    Data
                </td>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($lista as $Registro) : ?>
                <tr data-id="<?=$Registro->id?>">
                    <td>
                        <?=$Registro->log_ip?>
                    </td>
                    <td>
                        <?=$Registro->log_browser?>
                    </td>
                    <td>
                        <?=$Registro->log_platform?>
                    </td>
                    <td>
                        <?=$Registro->log_action?>
                    </td>
                    <td>
                        <?=$Registro->log_file?>
                    </td>
                    <td>
                        <?=($Registro->date)('d/m/Y H:i:s')?>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    var DataTable;

    $(document).ready(() => {
        $.fn.dataTable.moment('DD/MM/YYYY HH:mm:ss')

        DataTable = $('#listaRegistros').DataTable({
            "lengthMenu": [[10, 25, 50], [10, 25, 50]],
            "language": dataTablePtBrTranslation,
            responsive: true,
            columnDefs: [
                { responsivePriority: 5 },
                { responsivePriority: 4 },
                { responsivePriority: 3 },
                { responsivePriority: 1 },
                { responsivePriority: 6 },
                { responsivePriority: 2 }
            ],
            "order": [[ 5, "desc" ]]
        });

        $('#listaRegistros').on('click', 'tbody td', function(){
            if ($(this).closest('tr').is('.selected')) {
                $('.selected').removeClass('selected');
            } else {
                $('.selected').removeClass('selected');
                $(this).closest('tr').addClass('selected');
            }
            
        });
        
        $('i#edit').on('click', function(){
            var currentId = $(this).closest('[data-id]').data('id');

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            location.href = "<?=ADMIN_URL?>admins/"+ currentId +"/form/" ;
        })

        $('i#delete').on('click', function(){
            var currentId = $(this).closest('[data-id]').data('id');;

            if (!currentId) {
                toast('Selecione um registro', 'red');
                return false;
            }

            $.ajax({
                url:            '<?=ADMIN_URL?>admin.ajax',
                type:           'post',
                dataType:       'json',
                data:           {
                    type: 'delete',
                    id: currentId
                },
                updatePage:     false,
                onsuccess:      () => {
                    setTimeout(() => {history.go(0)}, 1750)
                }
            });
        })
    } );
</script>