<?php 
    $dados = $_POST['dados'];
    $error = false;

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }
    
    if (empty($dados['dono'])) {
        Response::message('Dono vazio', Response::ERROR);
        $error = true;
    }

    if (!(bool)filter_var($dados['email'], FILTER_VALIDATE_EMAIL) AND !$error) {
        Response::message('Email inválido', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $Empresa = new ModelCompany(array(
            'user_id'               => $dados['dono'],
            'company_name'          => $dados['nome'],
            'company_email'         => $dados['email'],
            'company_cnpj'          => $dados['cnpj'],
            'company_description'   => $dados['descricao'],
            'company_site'          => $dados['site'], 
            'company_facebook'      => $dados['facebook'],
            'company_twitter'       => $dados['twitter'],
            'company_youtube'       => $dados['youtube'],
            'company_spotify'       => $dados['spotify'],
            'company_soundcloud'    => $dados['soundcloud'],
            'company_steam'         => $dados['steam'],
            'company_vimeo'         => $dados['vimeo'],
            'company_whatsapp'      => $dados['whatsapp'],
            'company_telegram'      => $dados['telegram'],
            'company_instagram'     => $dados['instagram'],
            'company_pinterest'     => $dados['pinterest'],
            'company_amazon'        => $dados['amazon'],
            'company_mercadolivre'  => $dados['mercadolivre'],
            'status'                => 1
        ));
        
        if (!$Empresa->save()) {
            Response::message('Erro ao cadastrar registro', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro realizado!', Response::SUCCESS);
        }
    }

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'insert',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>