<?php 
    $dados = $_POST['dados'];
    $id = $dados['id'];
    $error = false;

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }
    if (empty($dados['data_inicio'])) {
        Response::message('Data de início vazia', Response::ERROR);
        $error = true;
    }
    if (empty($dados['data_fim'])) {
        Response::message('Data de fim vazia', Response::ERROR);
        $error = true;
    }
    if (empty($dados['hora_inicio'])) {
        Response::message('Hora de início vazia', Response::ERROR);
        $error = true;
    }
    if (empty($dados['hora_fim'])) {
        Response::message('Hora de fim vazia', Response::ERROR);
        $error = true;
    }
    if (empty($id)) {
        Response::message('Impossível saber qual Evento está sendo editado', Response::ERROR);
        $error = true;
    }

    list($Evento) = Event::getBy(array('id' => $id));
    
    if (!$error) {
        $Evento->set(array(
            'id'                    => $id,
            'event_name'            => $dados['nome'],
            'event_start_date'      => $dados['data_inicio'].' '.$dados['hora_inicio'].':00',
            'event_end_date'        => $dados['data_fim'].' '.$dados['hora_fim'].':00',
            'event_value'           => $dados['valor'],
            'address_postal_code'   => soNumeros($dados['cep']),
            'city_id'               => $dados['cidade'],
            'address_neightborhood' => $dados['bairro'],
            'address_street'        => $dados['rua'],
            'address_number'        => $dados['numero'],
            'address_complement'    => $dados['complemento'],
            'event_description'     => $dados['descricao'],
            'company_id'            => $dados['empresa'],
            'event_privacity'       => $dados['privacidade'],
            'event_url'             => $dados['url'],
            'min_age'               => $dados['idade_min'],
            'max_age'               => $dados['idade_max'],
            'to_male'               => !!@$dados['homens'],
            'to_female'             => !!@$dados['mulheres'],
        ));

        $Evento->event_start_date->format = 'd/m/Y H:i:s';
        $Evento->event_end_date->format = 'd/m/Y H:i:s';
        $Evento->date_update = null;
        $Evento->date_insert = null;
        $Evento->date_cancel = null;
        $Evento->address_coordinates = $Evento->calculateCoordinates();
        
        if (!$Evento->save()) {
            Response::message('Erro ao editar registro', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro editado!', Response::SUCCESS);
        }
    }

    if (!$error) {
        $categories = EventCategory::getBy([
            'event_id' => $id
        ]);

        foreach (@$categories as $Category) {
            $Category->reallyDelete();
        }

        if (@$_POST['categorias'])
        foreach ($_POST['categorias'] as $categoryId) {
            EventCategory::insert(['event_id' => $id, 'category_id' => $categoryId]);
        }
    }

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'update',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>