<?php 
    $dados = $_POST['dados'];
    $error = false;

    if (empty($dados['email'])) {
        Response::message('Email vazio', Response::ERROR);
        $error = true;
    }

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $dadosUsuario = User::getBy(array(
            'email'     => $dados['email'],
            'status'    => 1
        ));
        
        if (sizeof($dadosUsuario) > 0 AND @$dadosUsuario[0]->id != $dados['id']) {
            Response::message('Já existe um usuário com esse email', Response::ERROR);
            $error = true;
        }
    }

    if (!$error) {
        $usuarioAtualizado = array(
            'name'                  => $dados['nome'],
            'email'                 => $dados['email'],
            'sex'                   => $dados['sexo'],
            'birthdate'             => $dados['nascimento'],
            'address_postal_code'   => soNumeros($dados['cep']),
            'city_id'               => $dados['cidade'],
            'address_neightborhood' => $dados['bairro'],
            'address_street'        => $dados['rua'],
            'address_number'        => $dados['numero'],
            'id'                    => $dados['id']
        );

        if ($dados['senha'])
           $usuarioAtualizado['password'] = md5($dados['senha']);

        $Usuario = new ModelUser($usuarioAtualizado);

        if (!$Usuario->save()) {
            Response::message('Erro ao editar registro', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro editado!', Response::SUCCESS);
        }
    }

    LogAdmin::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'update',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>