<?php 
    $dados = $_POST['dados'];
    $error = false;

    if (empty($dados['email'])) {
        Response::message('Email vazio', Response::ERROR);
        $error = true;
    }

    if (empty($dados['senha'])) {
        Response::message('Senha vazia', Response::ERROR);
        $error = true;
    }

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }

    if (!(bool)filter_var($dados['email'], FILTER_VALIDATE_EMAIL) AND !$error) {
        Response::message('Email inválido', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $dadosUsuario = User::getBy(array(
            'email'     => $dados['email'],
            'status'    => 1
        ));

        if ($dadosUsuario) {
            Response::message('Já existe um usuário com esse email', Response::ERROR);
            $error = true;
        }
    }

    if (!$error) {
        $Usuario = new ModelUser(array(
            'name'      => $dados['nome'],
            'email'     => $dados['email'],
            'password'  => md5($dados['senha']),
            'status'    => 1
        ));

        if (!$Usuario->save()) {
            Response::message('Erro ao cadastrar usuário', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro realizado!', Response::SUCCESS);

            $Usuario->photo = NO_IMAGE;
            Session::login($Usuario);
        }
    }

    LogUser::insert([
        'log_action'    => 'sign_up',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>