<?php
    $dados = $_POST['dados'];
    $error = false;

    if (strlen($dados['comentario']) < 15) {
        Response::message('Comentário muito curto', Response::ERROR);
        $error = true;
    }
    
    @list($Comentario) = CompanyRating::getBy(array(
        'company_id' => $dados['empresa'],
        'user_id'    => Session::getInfo('id'),
        'status'     => 1
    ));

    if ($Comentario) {
        Response::message('Você já avaliou essa empresa', Response::ERROR);
        $error = true;
    }

    $dados['nota'] = abs($dados['nota'] % 6);

    if (!$error) {
        $CompanyRating = new ModelCompanyRating(array(
            'user_id'                   => Session::getInfo('id'),
            'company_id'                => $dados['empresa'],
            'company_rating_rate'       => $dados['nota'],
            'company_rating_commentary' => $dados['comentario'],
            'status'                    => 1
        ));
        
        if (!$CompanyRating->save()) {
            Response::message('Erro ao cadastrar registro', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro realizado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'insert',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>