<?php 
    $dados = $_POST['dados'];
    $id = $_POST['id'];
    $error = false;

    if (empty($id)) {
        Response::message('Impossível saber qual empresa está sendo editada', Response::ERROR);
        $error = true;
    }

    if (empty($dados['email'])) {
        Response::message('Email vazio', Response::ERROR);
        $error = true;
    }

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }

    if (!validaCNPJ($dados['cnpj'])) {
        Response::message('CNPJ inválido', Response::ERROR);
        $error = true;
    }

    if (!(bool)filter_var($dados['email'], FILTER_VALIDATE_EMAIL) AND !$error) {
        Response::message('Email inválido', Response::ERROR);
        $error = true;
    }

    list($Empresa) = Company::getBy(array('id' => $id));
    if (!Session::is($Empresa->user_id)) {
        Response::message('Você não é o dono dessa empresa', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $Empresa->set(array(
            'id'                => $id,
            'company_name'      => $dados['nome'],
            'company_email'     => $dados['email'],
            'company_cnpj'      => $dados['cnpj'],
            'company_description'=> $dados['descricao'],
            'company_site'          => $dados['site'], 
            'company_facebook'      => $dados['facebook'],
            'company_twitter'       => $dados['twitter'],
            'company_youtube'       => $dados['youtube'],
            'company_spotify'       => $dados['spotify'],
            'company_soundcloud'    => $dados['soundcloud'],
            'company_steam'         => $dados['steam'],
            'company_vimeo'         => $dados['vimeo'],
            'company_whatsapp'      => $dados['whatsapp'],
            'company_telegram'      => $dados['telegram'],
            'company_instagram'     => $dados['instagram'],
            'company_pinterest'     => $dados['pinterest'],
            'company_amazon'        => $dados['amazon'],
            'company_mercadolivre'  => $dados['mercadolivre']
        ));

        if (!$Empresa->save()) {
            Response::message('Erro ao editar registro', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro editado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'update',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>