<?php 
    $id = $_POST['id'];
    $motivo = trim($_POST['motivo']);
    $error = false;

    if (empty($id)) {
        Response::message('Impossível saber qual empresa está sendo denunciada', Response::ERROR);
        $error = true;
    }

    if (!Session::isLogged()) {
        Response::message('Faça o login para poder denunciar', Response::ERROR);
        $error = true;
    }

    if (strlen($motivo) < 15) {
        Response::message('Motivo muito curto', Response::ERROR);
        $error = true;
    }

    @list($Empresa) = Company::getBy(array(
        'id' => $id
    ));
    if (Session::is($Empresa->user_id)) {
        Response::message('Você não pode denunciar sua própria empresa', Response::ERROR);
        $error = true;
    }

    @list($Denuncia) = CompanyReport::getBy(array(
        'company_id' => $id,
        'user_id'    => Session::getInfo('id')
    ));
    if ($Denuncia) {
        Response::message('Você não pode denunciar essa empresa de novo', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $Denuncia = new ModelCompanyReport(array(
            'user_id'           => Session::getInfo('id'),
            'company_id'        => $id,
            'company_report_commentary' => $motivo,
            'status'    => 1
        ));

        if (!$Denuncia->save()) {
            Response::message('Erro ao registrar denúncia', Response::ERROR);
            $error = true;
        } else {
            Response::message('Empresa denunciada!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'report',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>