<?php
  if (Session::isLogged()) {
    Response::message('Você já está logado', Response::ERROR);
    Response::status(false);
    Response::print();
    return;
  }

  @list($User) = User::getBy(['email' => $_POST['email'], 'status' => 1]);
  $error = false;

  if ($User) {
    $newPassword = bin2hex(openssl_random_pseudo_bytes(5));
    $User->password = md5($newPassword);

    if ($User->save()) {
      $success = Mail::send([
          $User->email => $User->name
        ], 
        'Esqueci Minha Senha', 
        'Sua nova senha foi gerada para este email: <b>'.$newPassword.'</b><br><br>Clique <a href="'.SITE_URL.'login">aqui</a> para fazer login'
      );

      if($success) {
        Response::message('Nova senha enviada por email', Response::SUCCESS);

        LogUser::insert([
          'user_id'       => $User->id,
          'log_action'    => 'renew_password',
          'log_file'      => __FILE__,
          'log_success'   => true
        ]);
      } else {
        Response::message('Erro ao enviar email', Response::ERROR);
        Response::message('Tente novamente', Response::ERROR);
        $error = true;

        LogUser::insert([
          'user_id'       => $User->id,
          'log_action'    => 'renew_password',
          'log_file'      => __FILE__,
          'log_success'   => false
        ]);
      }
    } else {
      Response::message('Erro ao salvar nova senha', Response::ERROR);
      $error = true;

      LogUser::insert([
        'user_id'       => $User->id,
        'log_action'    => 'renew_password',
        'log_file'      => __FILE__,
        'log_success'   => false
      ]);
    }
  } else {
    Response::message('Nenhum usuário com este email foi encontrado', Response::ERROR);
    $error = true;
  }

  Response::status(!$error);
  Response::print();

?>