<?php
    $dados = $_POST['dados'];
    $error = false;

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['start_date'])) {
        Response::message('Data de início vazia', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['end_date'])) {
        Response::message('Data de término vazia', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['start_time'])) {
        Response::message('Hora de início vazia', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['end_time'])) {
        Response::message('Hora de término vazia', Response::ERROR);
        $error = true;
    }
    

    if (!$error) {
        $Evento = new ModelEvent(array(
            'event_name'            => $dados['nome'],
            'event_start_date'      => $_POST['start_date'].' '.$_POST['start_time'].':00',
            'event_end_date'        => $_POST['end_date'].' '.$_POST['end_time'].':00',
            'event_value'           => $dados['event_value'],
            'address_postal_code'   => soNumeros($dados['cep']),
            'city_id'               => $dados['cidade'],
            'address_neightborhood' => $dados['bairro'],
            'address_street'        => $dados['rua'],
            'address_number'        => $dados['numero'],
            'address_complement'    => $dados['complemento'],
            'event_description'     => $dados['descricao'],
            'company_id'            => $dados['empresa'],
            'event_privacity'       => $dados['privacidade'],
            'min_age'               => $dados['idade_min'],
            'max_age'               => $dados['idade_max'],
            'to_male'               => !!@$dados['homens'],
            'to_female'             => !!@$dados['mulheres']
        ));

        $Evento->event_start_date->format = 'd/m/Y H:i:s';
        $Evento->event_end_date->format = 'd/m/Y H:i:s';
        $Evento->address_coordinates = $Evento->calculateCoordinates();
        
        $id = $Evento->save();
        if (!$id) {
            Response::message('Erro ao cadastrar registro', Response::ERROR);
            $error = true;
        } else {
            $Evento->address_coordinates = $Evento->calculateCoordinates();
            $Evento->event_url = strtolower(str_replace([' ', '%'], ['-', ''], $dados['nome'])).$id;
            $Evento->save();
            Response::message('Cadastro realizado!', Response::SUCCESS);
        }
    }

    if (!$error) {
        foreach (@$_FILES as $name => $file) {
            $imageNumber = preg_replace("/[^0-9]/", "", $name);
            $Image = Archive::upload(
                $file, 
                $id, 
                Event::_TABLE, 
                $_POST['image'][$imageNumber]['titulo'], 
                $_POST['image'][$imageNumber]['descricao'], 
                ArchiveConfigs::EVENT_IMAGES
            );

            if (!$Image) {
                Response::message('Erro ao salvar arquivo ' . $file['name'], Response::ERROR);
                $error = true;
            } else {
                $Image->save();
            }
        }

        $categories = EventCategory::getBy([
            'event_id' => $id
        ]);

        foreach (@$categories as $Category) {
            $Category->reallyDelete();
        }

        if (@$_POST['categorias'])
        foreach ($_POST['categorias'] as $categoryId) {
            EventCategory::insert(['event_id' => $id, 'category_id' => $categoryId]);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'insert',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>