<?php
    $razao = strip_tags(trim($_POST['razao']));
    $error = false;

    if (!Session::isLogged()) {
        Response::message('É preciso estar logado para avaliar um evento', Response::ERROR);
        $error = true;
    }

    if (strlen($razao) < 15) {
        Response::message('Comentário muito curto', Response::ERROR);
        $error = true;
    }

    @list($Evento) = Event::getBy([
        'event_url'        => urldecode($_POST['evento'])
    ]);

    @list($Company) = Company::getBy([
        'id'        => @$Evento->company_id,
        'status'    => 1
    ]);

    if (!Session::is(@$Company->user_id)) {
        Response::message('Você não pode cancelar esse evento ', Response::ERROR);
        $error = true;
    }

    $pastEvent = ($Evento->event_start_date)('Ymd') < date('Ymd');

    if ($pastEvent) {
        Response::message('Você não pode cancelar um Evento que já passou', Response::ERROR);
        $error = true;
    }
    
    if (!$error) {
        $Evento->set([
            'cancel_reason' => $razao,
            'date_cancel'   => new TimeDate(date('Y-m-d H:i:s')),
            'status'        => 2
        ]);
        $Evento->date_insert = null;
        $Evento->date_update = null;

        if (!$Evento->save()) {
            Response::message('Erro ao cancelar evento', Response::ERROR);
            $error = true;
        } else {
            Response::message('Evento cancelado!', Response::SUCCESS);
        }
    }

    $Users = User::getBy([
        'usuario.status' => 1,
        'event_interest.postive' => 1
    ], ['usuario.email', 'usuario.name'], false, [
        'event_follow' => [
            'user_id' => 'usuario.id',
            'event_id' => $Evento->id
        ],
        'event_interest' => [
            'event_interest.id' => 'event_follow.interest_id'
        ]
    ]);

    $emailNames = array();
    foreach ($Users as $User) {
        $emailNames[$User->email] = $User->name;
    }

    Mail::send($emailNames, 
        'Evento Cancelado!', 
        "Infelizmente avisamos que o evento <b>{$Evento->event_name}</b> foi CANCELADO devido ao motivo:<br><br>" . nl2br($razao)
    );

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'update',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>