<?php
    $error = false;

    if (!Session::isLogged()) {
        Response::message('Faça login novamente', Response::ERROR);
        $error = true;
    }

    @list($Follow) = EventFollow::getBy(['id' => $_POST['id']]);

    if (!$Follow) {
        Response::message('Esse usuário não participou desse evento', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        @list($Certificado) = EventCertificate::getBy(['event_id' => $Follow->event_id, 'user_id' => $Follow->user_id]);
    
        if (!$Certificado) {
            $Certificado = new ModelEventCertificate([
                'event_id' => $Follow->event_id,
                'user_id' => $Follow->user_id,
                'code' => unique_code(32)
            ]);
        }

        $Certificado->status = $_POST['permit'] == 'true' ? 1 :  2;

        if (!$Certificado->save()) {
            Response::message('Erro ao atualizar certificado', Response::ERROR);
            $error = true;
        } else {
            Response::message($_POST['permit'] == 'true' ? 'Certificado liberado!' : 'Certificado bloqueado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'update',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>