<?php
    $dados = $_POST['dados'];
    $error = false;

    if (!Session::isLogged()) {
        Response::message('É preciso estar logado para avaliar um evento', Response::ERROR);
        $error = true;
    }

    if (strlen($dados['comentario']) < 15) {
        Response::message('Comentário muito curto', Response::ERROR);
        $error = true;
    }
    
    @list($Comentario) = EventRating::getBy(array(
        'event_id'   => $dados['evento'],
        'user_id'    => Session::getInfo('id'),
        'status'     => 1
    ));

    $dados['nota'] = abs($dados['nota'] % 6);

    if (!$error) {
        if (!$Comentario) {
            $Comentario = new ModelEventRating(array(
                'user_id'                   => Session::getInfo('id'),
                'event_id'                  => $dados['evento'],
                'event_rating_rate'         => $dados['nota'],
                'event_rating_commentary'   => $dados['comentario'],
                'status'                    => 1
            ));
        } else {
            $Comentario->event_rating_rate = $dados['nota'];
            $Comentario->event_rating_commentary = $dados['comentario'];
        }
        
        if (!$Comentario->save()) {
            Response::message('Erro ao comentar', Response::ERROR);
            $error = true;
        } else {
            Response::message('Comentário realizado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'insert',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>