<?php 
    $dados = $_POST['dados'];
    $id = $dados['id'];
    $error = false;

    if (empty($dados['nome'])) {
        Response::message('Nome vazio', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['start_date'])) {
        Response::message('Data de início vazia', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['end_date'])) {
        Response::message('Data de término vazia', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['start_time'])) {
        Response::message('Hora de início vazia', Response::ERROR);
        $error = true;
    }
    if (empty($_POST['end_time'])) {
        Response::message('Hora de término vazia', Response::ERROR);
        $error = true;
    }
    if (empty($id)) {
        Response::message('Impossível saber qual Evento está sendo editado', Response::ERROR);
        $error = true;
    }

    list($Evento) = Event::getBy(array('id' => $id));
    list($Empresa) = Company::getBy(array('id' => $Evento->company_id));
    if (!Session::is($Empresa->user_id)) {
        Response::message('Você não é o dono dessa Evento', Response::ERROR);
        $error = true;
    }

    $pastEvent = ($Evento->event_start_date)('Ymd') < date('Ymd');

    if ($pastEvent) {
        Response::message('Você não pode editar um Evento que já passou', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        foreach (@$_FILES as $name => $file) {
            $imageNumber = preg_replace("/[^0-9]/", "", $name);
            $Image = Archive::upload(
                $file, 
                $id, 
                Event::_TABLE, 
                $_POST['image'][$imageNumber]['titulo'], 
                $_POST['image'][$imageNumber]['descricao'], 
                ArchiveConfigs::EVENT_IMAGES
            );

            if (!$Image) {
                Response::message('Erro ao salvar arquivo ' . $file['name'], Response::ERROR);
                $error = true;
            } else {
                $Image->save();
            }
        }
    }

    if (!$error) {
        $Evento->set(array(
            'id'                    => $id,
            'event_name'            => $dados['nome'],
            'event_start_date'      => $_POST['start_date'].' '.$_POST['start_time'].':00',
            'event_end_date'        => $_POST['end_date'].' '.$_POST['end_time'].':00',
            'event_value'           => $dados['event_value'],
            'address_postal_code'   => soNumeros($dados['cep']),
            'city_id'               => $dados['cidade'],
            'address_neightborhood' => $dados['bairro'],
            'address_street'        => $dados['rua'],
            'address_number'        => $dados['numero'],
            'address_complement'    => $dados['complemento'],
            'event_description'     => $dados['descricao'],
            'company_id'            => $dados['empresa'],
            'event_privacity'       => $dados['privacidade'],
            'min_age'               => $dados['idade_min'],
            'max_age'               => $dados['idade_max'],
            'to_male'               => !!@$dados['homens'],
            'to_female'             => !!@$dados['mulheres']
        ));

        $Evento->event_start_date->format = 'd/m/Y H:i:s';
        $Evento->event_end_date->format = 'd/m/Y H:i:s';
        $Evento->date_update = null;
        $Evento->date_insert = null;
        $Evento->date_cancel = null;
        $Evento->address_coordinates = $Evento->calculateCoordinates();
        
        if (!$Evento->save()) {
            Response::message('Erro ao editar registro', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cadastro editado!', Response::SUCCESS);
        }
    }

    if (!$error) {
        $categories = EventCategory::getBy([
            'event_id' => $id
        ]);

        foreach (@$categories as $Category) {
            $Category->reallyDelete();
        }

        if (@$_POST['categorias'])
        foreach ($_POST['categorias'] as $categoryId) {
            EventCategory::insert(['event_id' => $id, 'category_id' => $categoryId]);
        }

        if (@$_POST['oldImage'])
        foreach (@$_POST['oldImage'] as $id => $data) {
            $Image = new ModelArchive([
                'id' => $id,
                'titulo' => $data['titulo'],
                'descricao' => $data['descricao']
            ]);

            $Image->save();
        }

        if (@$_POST['deletedImages'])
        foreach (explode(',', $_POST['deletedImages']) as $id) {
            @list($Image) = Archive::getBy(['id' => $id]);
            
            $Image->delete(ArchiveConfigs::EVENT_IMAGES);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'update',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>