<?php 
    $dados = $_POST['dados'];
    $interesses = [
        1 => 'Interesse',
        2 => 'Vou',
        3 => 'Nao Vou'
    ];
    $error = false;

    if (empty($dados['evento'])) {
        Response::message('Impossível saber qual Evento está sendo seguido', Response::ERROR);
        $error = true;
    }

    if (!Session::isLogged()) {
        Response::message('Faça o login para poder participar', Response::ERROR);
        $error = true;
    }

    @list($Evento) = Event::getBy(array(
        'id' => $dados['evento'],
        'status' => 1
    ));
    if (!$Evento) {
        Response::message('Esse evento não está mais ativo', Response::ERROR);
        $error = true;
    }

    $pastEvent = ($Evento->event_start_date)('Ymd') < date('Ymd');

    if ($pastEvent) {
        Response::message('Você não pode seguir um Evento que já passou', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        @list($Follow) = EventFollow::getBy(array(
            'user_id'         => Session::getInfo('id'),
            'event_id'        => $Evento->id
        ));
        
        if (!$Follow) {
            $Follow = new ModelEventFollow(array(
                'user_id'         => Session::getInfo('id'),
                'event_id'        => $Evento->id
            ));
        }
        
        $Follow->interest_id = $dados['participacao'];
        if (!$Follow->save()) {
            Response::message('Erro ao registrar participação', Response::ERROR);
            $error = true;
        } else {
            Response::message('Participação registrada', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'follow',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>