<?php
    $idadeMax = $_GET['idade_max'];
    $idadeMin = $_GET['idade_min'];
    $categorias = $_GET['categorias'];
    $mulheres = $_GET['mulheres'];
    $homens = $_GET['homens'];
    $cidade = $_GET['cidade'];

    $sql = 
        'SELECT 
            state.uf,
            COUNT(DISTINCT user_category.user_id) AS per_state
        FROM user_category
            JOIN usuario ON usuario.id = user_category.id
            JOIN city ON city.id = usuario.city_id
            JOIN state ON state.id = city.state_id
        WHERE
            category_id IN (#CATEGORIES#)
            AND usuario.status = 1
            #AGE#
            #SEX#
        GROUP BY city.state_id';
    
    if ($homens == 'true' && $mulheres == 'false') {
        $sql = str_replace('#SEX#', 'AND usuario.sex = "M"', $sql);
    } else if ($homens == 'false' && $mulheres == 'true') {
        $sql = str_replace('#SEX#', 'AND usuario.sex = "F"', $sql);
    } else {
        $sql = str_replace('#SEX#', '', $sql);
    }

    $categoriesInterrogations = implode(', ', array_fill(0, sizeof($categorias), '?'));
    $sql = str_replace('#CATEGORIES#', $categoriesInterrogations, $sql);
    $args = $categorias;

    if (isset($idadeMax) && isset($idadeMax)) {
        $sql = str_replace('#AGE#', 'AND (YEAR(CURRENT_TIMESTAMP) - YEAR(usuario.birthdate) - (RIGHT(CURRENT_TIMESTAMP, 5) < RIGHT(usuario.birthdate, 5))) BETWEEN ? AND ?', $sql);
        $args[] = $idadeMin;
        $args[] = $idadeMax;
    } else {
        $sql = str_replace('#AGE#', '', $sql);
    }
    
    $Database = new Database();
    $queryResult = $Database->query($sql, $args);

    $states = [];
    if ($queryResult !== false) {
        foreach ($queryResult['result'] as $result) {
            $states[$result['uf']] = $result['per_state'];
        }
    }


    $sql = 
    'SELECT 
        state.uf,
        city.name,
        COUNT(DISTINCT user_category.user_id) AS per_city
    FROM user_category
        JOIN usuario ON usuario.id = user_category.id
        JOIN city ON city.id = usuario.city_id
        JOIN state ON state.id = city.state_id
    WHERE
        category_id IN (#CATEGORIES#)
        AND usuario.status = 1
        AND city.id = ?
        #AGE#
        #SEX#
    GROUP BY city.id';

    if ($homens == 'true' && $mulheres == 'false') {
        $sql = str_replace('#SEX#', 'AND usuario.sex = "M"', $sql);
    } else if ($homens == 'false' && $mulheres == 'true') {
        $sql = str_replace('#SEX#', 'AND usuario.sex = "F"', $sql);
    } else {
        $sql = str_replace('#SEX#', '', $sql);
    }

    $categoriesInterrogations = implode(', ', array_fill(0, sizeof($categorias), '?'));
    $sql = str_replace('#CATEGORIES#', $categoriesInterrogations, $sql);
    $args = $categorias;
    $args[] = $cidade;

    if (isset($idadeMax) && isset($idadeMax)) {
        $sql = str_replace('#AGE#', 'AND (YEAR(CURRENT_TIMESTAMP) - YEAR(usuario.birthdate) - (RIGHT(CURRENT_TIMESTAMP, 5) < RIGHT(usuario.birthdate, 5))) BETWEEN ? AND ?', $sql);
        $args[] = $idadeMin;
        $args[] = $idadeMax;
    } else {
        $sql = str_replace('#AGE#', '', $sql);
    }

    $Database = new Database();
    $queryResult = $Database->query($sql, $args);

    $cities = [];
    if ($queryResult !== false) {
        foreach ($queryResult['result'] as $result) {
            $cities[$result['name']] = ['qt' => $result['per_city'], 'uf' => $result['uf']];
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'preview',
        'log_file'      => __FILE__,
        'log_success'   => !!$states
    ]);

    Response::status(true);
    Response::data($states);
    Response::data($cities);
    Response::print();
?>