<?php
    $dados = $_POST['dados'];
    $error = false;

    if (!Session::isLogged()) {
        Response::message('É preciso estar logado para convidar', Response::ERROR);
        $error = true;
    }
    
    @list($Convite) = EventInvite::getBy(array(
        'event_id'              => $dados['evento'],
        'user_id_inviter'       => Session::getInfo('id'),
        'user_id_invited'       => $dados['convidado']
    ));

    if ($Convite) {
        Response::message('Você já convidou essa pessoa', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $Convite = new ModelEventInvite(array(
            'user_id_inviter'           => Session::getInfo('id'),
            'user_id_invited'           => $dados['convidado'],
            'event_id'                  => $dados['evento']
        ));
        
        if (!$Convite->save()) {
            Response::message('Erro ao convidar', Response::ERROR);
            $error = true;
        } else {
            Response::message('Convite realizado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'invite',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>