<?php
    $error = false;

    if (!Session::isLogged()) {
        Response::message('Refaça seu login para continuar', Response::ERROR);
        $error = true;
    }
    
    @list($Participacao) = EventFollow::getBy(array(
        EventFollow::_TABLE . '.id'          => $_POST['id'],
        'positive'    => 1
    ), [EventFollow::_TABLE . '.*'], false, [
        EventInterest::_TABLE => [
            EventFollow::_TABLE . '.interest_id' => EventInterest::_TABLE . '.id'
        ]
    ]);

    if (!$Participacao) {
        Response::message('Esse usuário não está participando desse evento', Response::ERROR);
        $error = true;
    } else {
        @list($Evento) = Event::getBy(array(
            'id'          => @$Participacao->event_id,
            'status'      => 1
        ));
    
        if (!$Evento) {
            Response::message('Esse evento não está disponível', Response::ERROR);
            $error = true;
        } else {
            @list($Empresa) = Company::getBy(array(
                'id'          => @$Evento->company_id,
                'status'      => 1
            ));

            if (!$Empresa) {
                Response::message('Esse evento não está disponível', Response::ERROR);
                $error = true;
            } else {
                if (!Session::is(@$Empresa->user_id)) {
                    Response::message('Você não pode editar esse evento ' . @$Empresa->user_id, Response::ERROR);
                    $error = true;
                }    
            }
        }
    }

    if (!$error) {

        $Participacao->office = $_POST['cargo'];
        
        if (!$Participacao->save()) {
            Response::message('Erro ao definir cargo', Response::ERROR);
            $error = true;
        } else {
            Response::message('Cargo definido!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'edit',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>