<?php 
    $id = $_POST['dados']['evento'];
    $error = false;
    $file = $_FILES['photo'];

    @list($Evento) = Event::getBy([
        'id'        => $id,
        'status'    => 1
    ]);

    @list($Company) = Company::getBy([
        'id'        => @$Evento->company_id,
        'status'    => 1
    ]);

    if (!Session::is(@$Company->user_id)) {
        Response::status(false);
        Response::message('Você não tem autorização para publicar nesse evento-', Response::ERROR);
        Response::print();
        return;
    }

    $pastEvent = ($Evento->event_start_date)('Ymd') < date('Ymd');

    if ($pastEvent) {
        Response::message('Você não pode publicar em um Evento que já passou', Response::ERROR);
        $error = true;
    }

    $Publicacao = new ModelEventPublication([
        'event_id'   => $id,
        'text'      => $_POST['texto']
    ]);

    $Publicacao->id = $Publicacao->save();

    if (!$Publicacao->id) {
        Response::status(false);
        Response::message('Erro ao tentar salvar publicação', Response::ERROR);
    } else {
        $Image = Archive::upload(
            $file, 
            $Publicacao->id, 
            EventPublication::_TABLE, 
            '', 
            '', 
            ArchiveConfigs::USER_PUBLICATION
        );
    
        if (!$Image) {
            Response::message('Erro ao salvar arquivo ' . $file['name'], Response::ERROR);
            $error = true;
        } else {
            Response::status(true);
            Response::message('Publicação realizada', Response::SUCCESS);
            $Image->save();
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'insert',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::print();