<?php 
    $id = urldecode($_POST['id']);
    $motivo = @trim($_POST['motivo']);
    $error = false;

    if (empty($id)) {
        Response::message('Impossível saber qual Evento está sendo denunciado', Response::ERROR);
        $error = true;
    }

    if (!Session::isLogged()) {
        Response::message('Faça o login para poder denunciar', Response::ERROR);
        $error = true;
    }

    if (strlen($motivo) < 15) {
        Response::message('Motivo muito curto', Response::ERROR);
        $error = true;
    }

    @list($Evento) = Event::getBy(array(
        'event_url' => $id
    ));
    if ($Evento) {
        @list($Empresa) = Company::getBy(array(
            'id' => $Evento->company_id
        ));
        if (Session::is($Empresa->user_id)) {
            Response::message('Você não pode denunciar seu próprio Evento', Response::ERROR);
            $error = true;
        }

        $pastEvent = ($Evento->event_start_date)('Ymd') < date('Ymd');

        if ($pastEvent) {
            Response::message('Você não pode denunciar um Evento que já passou', Response::ERROR);
            $error = true;
        }
    } else {
        Response::message('Evento não encontrado', Response::ERROR);
        $error = true;
    }

    @list($Denuncia) = EventReport::getBy(array(
        'event_id' => $id,
        'user_id'    => Session::getInfo('id')
    ));
    if ($Denuncia) {
        Response::message('Você não pode denunciar esse Evento de novo', Response::ERROR);
        $error = true;
    }

    @list($Evento) = Event::getBy(['event_url' => urldecode($id), 'status' => 1]);
    if (!$Evento) {
        Response::message('Não encontramos esse evento ativo no sistema', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $Denuncia = new ModelEventReport(array(
            'user_id'           => Session::getInfo('id'),
            'event_id'        => $Evento->id,
            'event_report_commentary' => $motivo,
            'status'    => 1
        ));
        
        if (!$Denuncia->save()) {
            Response::message('Erro ao registrar denúncia', Response::ERROR);
            $error = true;
        } else {
            Response::message('Evento denunciado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'report',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>