<?php 
    $idFollower = Session::getInfo('id');
    $idFollowed = $_POST['id'];
    $error = false;

    @list($Block) = UserBlock::getBy([
        'user_id'   => $idFollower,
        'user_id_block'   => $idFollowed
    ]);

    if ($Block) {
        Response::status(false);
        Response::message('Você não pode seguir um usuário bloqueado', Response::ERROR);
        Response::print();
        return;
    } 

    @list($Block) = UserBlock::getBy([
        'user_id_block' => $idFollower,
        'user_id'       => $idFollowed
    ]);
    
    if ($Block) {
        Response::status(false);
        Response::message('Esse usuário te bloqueou', Response::ERROR);
        Response::print();
        return;
    }

    $Follow = new ModelUserFollow([
        'user_id_follower'   => $idFollower,
        'user_id_followed'   => $idFollowed
    ]);

    if (!$Follow->save()) {
        Response::status(false);
        $error = true;
        Response::message('Erro ao tentar seguir usuário', Response::ERROR);
    } else {
        Response::status(true);
        Response::message('Você está seguindo esse usuário', Response::SUCCESS);
    } 

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'follow',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::print();