<?php 
    $id = $_POST['id'];
    $motivo = trim($_POST['motivo']);
    $error = false;

    if (empty($id)) {
        Response::message('Impossível saber qual Usuário está sendo denunciado', Response::ERROR);
        $error = true;
    }

    if (!Session::isLogged()) {
        Response::message('Faça o login para poder denunciar', Response::ERROR);
        $error = true;
    }

    if (strlen($motivo) < 15) {
        Response::message('Motivo muito curto', Response::ERROR);
        $error = true;
    }

    @list($Usuario) = User::getBy(array(
        'id' => $id, 
        'status' => 1
    ));

    if (Session::is($Usuario->id)) {
        Response::message('Você não pode denunciar você mesmo', Response::ERROR);
        $error = true;
    }

    @list($Denuncia) = UserReport::getBy(array(
        'user_id_reported' => $id,
        'user_id'    => Session::getInfo('id')
    ));

    if ($Denuncia) {
        Response::message('Você não pode denunciar esse Usuário de novo', Response::ERROR);
        $error = true;
    }

    if (!$error) {
        $Denuncia = new ModelUserReport(array(
            'user_id'           => Session::getInfo('id'),
            'user_id_reported'        => $Usuario->id,
            'user_report_commentary' => $motivo,
            'status'    => 1
        ));
        
        if (!$Denuncia->save()) {
            Response::message('Erro ao registrar denúncia', Response::ERROR);
            $error = true;
        } else {
            Response::message('Usuário denunciado!', Response::SUCCESS);
        }
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'report',
        'log_file'      => __FILE__,
        'log_success'   => !$error
    ]);

    Response::status(!$error);
    Response::print();
?>