$(function(){
    $('#cnpj').on('change', function(){
        if (!validarCNPJ(this.value) && this.value.length) {
            $(this).val('');
            $(this).focus();
            toast('CNPJ inválido!', 'red');
        }
    });

    $('.dataTable').DataTable({
        "lengthMenu": [[10, 25, 50], [10, 25, 50]],
        "language": dataTablePtBrTranslation
    });

    $('select:not(.custom)').material_select();

    $('.dataTable').on('click', 'tbody td', function(){
        if ($(this).closest('tr').is('.selected')) {
            $('.selected').removeClass('selected');
        } else {
            $('.selected').removeClass('selected');
            $(this).closest('tr').addClass('selected');
        }
    });

    $('.report').on('click', function(){
        swal.fire({
            title   : 'Denunciar Empresa', 
            text    : 'Qual o motivo de denunciar essa empresa?',
            showCancelButton: true,
            cancelButtonText: "Cancelar",
            confirmButtonText: "Confirmar",
            input: 'textarea',
            inputAttributes: {
                maxlength: 255
            },
            inputValidator: (value) => {
              if (value.length < 15) {
                return 'Denúncia muito curta!'
              }
            }
        }).then((motivo) => {
            if (typeof motivo.value != "undefined") {
                $.ajax({
                    url         : SITE_URL + 'empresa.ajax',
                    type        : 'post',
                    dataType    : 'json',
                    data        : {
                        type: 'report',
                        id: currentId,
                        motivo: motivo.value
                    },
                    onsuccess     : function(res) {
                        $('.report').remove();
                    }
                })
            }
        })
    });

    $('body').on('click', '.follow', function(){
        $.ajax({
            url         : '/tcc/empresa.ajax',
            type        : 'post',
            dataType    : 'json',
            data        : {
                type: 'follow',
                empresa: currentId
            },
            onsuccess     : function(res) {
                $('.follow').removeClass('follow').addClass('unfollow').text('Deixar de Seguir');
            }
        })
    })

    $('body').on('click', '.unfollow', function(){
        $.ajax({
            url         : '/tcc/empresa.ajax',
            type        : 'post',
            dataType    : 'json',
            data        : {
                type: 'unfollow',
                empresa: currentId
            },
            onsuccess     : function(res) {
                $('.unfollow').removeClass('unfollow').addClass('follow').text('Seguir');
            }
        })
    })

    $('[data-star]').off('click').on('click', function(){
        var rate = $(this).data('star');
        $('#ratingComment').val(rate);
        for (var i = 1; i <= 5 ; i++) {
            if (i <= rate) {
                $('[data-star='+i+']').removeClass('icon-star-empty')
                $('[data-star='+i+']').addClass('icon-star-full')
                $('[data-star='+i+']').css('color', '#FFC107');
            } else {
                $('[data-star='+i+']').addClass('icon-star-empty')
                $('[data-star='+i+']').removeClass('icon-star-full')
                $('[data-star='+i+']').css('color', 'black');
            }
        }
    })

    $('#pub-image').on('click', function(){
        $('form#publication input[name=photo]').click()

        $('form#publication input[name=photo]').on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#pub-image').attr('src', e.target.result);
                }
            
                reader.readAsDataURL(this.files[0]);
            }
        })
    })

    $('.delete-publication').on('click', function(){
        var container = $(this).closest('.card');
        confirm('Deseja apagar essa publicação?').then(() => {
            $('form', container).submit();
        })
    })

    $('#edit-perfil').on('click', () => {
        var FileField = $('<input type="file" accept="image/*" class="hide">');
        FileField.click();
        FileField.on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    var image = new Image();
                    image.src = e.target.result;

                    image.onload = function() {
                        var size;
                        if (this.width > this.height) {
                            size = 'auto 100%';
                        } else {
                            size = '100% auto';
                        }
                        setPefilImage(e.target.result, size);
                    };
                }
            
                reader.readAsDataURL(this.files[0]);
                FileField.attr('name', 'company');
                if ($('input[name=company]').val())
                    $('input[name=company]').remove();
                
                $('form#profile-image').append(FileField);
                $('#save-perfil').show();
                $('#delete-perfil').show();
            }
        })
    })

    $('#save-perfil').on('click', function(){
        $('form#profile-image').submit();
    });

    $('#delete-perfil').on('click', function(){
        if ($('input[name=profile]').val()) {
            $('input[name=profile]').remove()
            setPefilImage($('#perfil-image').data('image'))
            $('#save-perfil').hide();
            if (!hasInitialImage)
                $('#delete-perfil').hide();
        } else {
            confirm('Tem certeza que deseja apagar sua própria imagem de perfil?').then(() => {
                $('#delete-profile-image').submit();
            })
        }
    })

    if (!hasInitialImage)
        $('#delete-perfil').hide();
    $('#save-perfil').hide();
    setPefilImage($('#perfil-image').data('image'))

    var page = 1;
    $(window).scroll(function() {
        if (($('body').height() - $('.page-footer').height()) <= ($(window).height() + $(window).scrollTop()) && page) {
            if ($('.loadingImage').length)
                return;
            
            $('#bottom-loading').show().loading({
                'state': true,
                'image': SITE_URL + 'assets/images/spinner-circle.svg'
            });
            spinMe($('.loadingImage'))

            $.ajax({
                url: SITE_URL + 'empresa.ajax?type=getFeed&page=' + page + '&id=' + currentId,
                type: 'get',
                dataType: 'text',
                success: (html) => {
                    if (!html.trim()) {
                        page = false;
                        return;
                    }
                    page++;
                    $('#activities-container').append($(html));
                }
            }).always(() => {
                $('#bottom-loading').hide().loading({
                    'state': false
                });
            });
        }
    });

    $('.carousel').css('height', '256px')
    setTimeout(() => {
        $('.carousel').css('height', '345px')
    }, 90)
});

setPefilImage = (url, size) => {
    size = size || 'auto 100%';
    $('#perfil-image').css('background', `url(${url}) 0px 0px no-repeat`).css('background-size', size).css('background-position', 'center')
}