$(function(){
    // Read

    $('.report').on('click', function(){
        Swal.fire({
            title   : 'Denunciar Evento', 
            text    : 'Qual o motivo de denunciar esse evento?',
            input: 'text',
            allowOutsideClick: () => !Swal.isLoading(),
            confirmButtonText:  'Denunciar',
            cancelButtonText:  'Cancelar',
            showCancelButton: true,
            showCloseButton: true
        }).then((motivo) => {
            if (typeof motivo.value != "undefined") {
                $.ajax({
                    url         : '/tcc/evento.ajax',
                    type        : 'post',
                    dataType    : 'json',
                    data        : {
                        type: 'report',
                        id: currentId,
                        motivo: motivo.value
                    },
                    onsuccess     : function(res) {
                        $('.report').remove();
                    }
                })
            }
        })
    })

    $('[data-star]').off('click').on('click', function(){
        var rate = $(this).data('star');
        $('#ratingComment').val(rate);
        for (var i = 1; i <= 5 ; i++) {
            if (i <= rate) {
                $('[data-star='+i+']').removeClass('icon-star-empty')
                $('[data-star='+i+']').addClass('icon-star-full')
                $('[data-star='+i+']').css('color', '#FFC107');
            } else {
                $('[data-star='+i+']').addClass('icon-star-empty')
                $('[data-star='+i+']').removeClass('icon-star-full')
                $('[data-star='+i+']').css('color', 'black');
            }
        }
    })

    // Form

    $('#image-slider textarea').on('blur', function(){
        $(this).css('height', '');
    })

    $('#image-slider').on('click', '.delete-image', function(){
        var imageContainer = $(this).closest('.image-item');
        var id = imageContainer.data('id');

        if (imageContainer.hasClass('old')) {
            var deletedImages = $('input[type=hidden][name=deletedImages]').val();
            if (deletedImages) {
                deletedImages = deletedImages.split(',');
            } else {
                deletedImages = [];
            }

            if (imageContainer.hasClass('deleted')) {
                for( var i = 0; i < deletedImages.length; i++){ 
                    if ( deletedImages[i] == id) {
                        deletedImages.splice(i, 1);
                        break;
                    }
                }

                imageContainer.removeClass('deleted');
                $(this).attr('data-tooltip', 'Deletar Imagem').tooltip();
            } else {
                deletedImages.push(id);

                imageContainer.addClass('deleted');
                $(this).attr('data-tooltip', 'Cancelar Deleção').tooltip();
            }
            $('input[type=hidden][name=deletedImages]').val(deletedImages.join(','));
        } else {
            $('input[type=file][name=newFile'+id+']').remove()
            imageContainer.remove()
        }
        
    })

    $('#add-image').on('click', () => {
        var FileField = $('<input type="file" accept="image/*" class="hide">');
        FileField.click();
        FileField.on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                var template = 
                    $(`<div class="image-item new" data-id="${++newImageQuantity}">
                        <div class="card">
                            <div class="card-image">
                                <img src="/tcc/assets/images/no-image.svg">
                            </div>
                            <div class="card-content">
                                <input name="image[${newImageQuantity}][titulo]" type="text" placeholder="Título">
                                <textarea name="image[${newImageQuantity}][descricao]" class="materialize-textarea" maxlength="255" placeholder="Descrição"></textarea><br>
                                <i class="icon-remove red-text tooltipped clickable small-size delete-image" data-tooltip="Deletar Imagem"></i>
                            </div>
                        </div>
                    </div>`);
                reader.onload = function(e) {
                  $('img', template).attr('src', e.target.result);
                }
            
                reader.readAsDataURL(this.files[0]);
                $('#image-slider .row').append(template);

                FileField.attr('name', 'newFile' + newImageQuantity)
                $('form#meus-eventos').append(FileField);
            }
        })
    })

    // Interessados

    $('.toggle-infos').on('click', function () {
        var participante = $(this).closest('.collection-item');

        if ($(this).hasClass('icon-plus')) {
            $('.infos-content', participante).show()
            $(this).addClass('icon-minus')
            $(this).removeClass('icon-plus')
        } else {
            $('.infos-content', participante).hide()
            $(this).addClass('icon-plus')
            $(this).removeClass('icon-minus')
        }
    })

    $('.infos-content').hide()

    $('.save-office').on('click', function() {
        var participante = $(this).closest('.collection-item');
        $.ajax({
            url         : '/tcc/evento.ajax',
            type        : 'post',
            dataType    : 'json',
            data        : {
                type: 'office',
                id: participante.data('id'),
                cargo: $('input[id^=cargo]', participante).val()
            },
            onsuccess     : function(res) {
                $('.report').remove();
            }
        })
    })

    $('body').on('click', '.enable-certificate', function(){
        var participate = $(this).closest('[data-id]');
        $.ajax({
            url         : '/tcc/evento.ajax',
            type        : 'post',
            dataType    : 'json',
            data        : {
                type: 'certificate',
                id: participate.data('id'),
                permit: true
            },
            onsuccess     : function(res) {
                $('ul[data-id='+participate.data('id')+']').html(
                    `<li class="disable-certificate">Bloquear Diploma</li>
                    <li class="view-certificate" data-code="${participate.data('code')}">Visualizar Diploma</li>`
                )
            }
        })
    })

    $('body').on('click', '.disable-certificate', function(){
        var participate = $(this).closest('[data-id]');
        $.ajax({
            url         : '/tcc/evento.ajax',
            type        : 'post',
            dataType    : 'json',
            data        : {
                type: 'certificate',
                id: participate.data('id'),
                permit: false
            },
            onsuccess     : function(res) {
                $('ul[data-id='+participate.data('id')+']').html(
                    `<li class="enable-certificate">Liberar Diploma</li>`
                )
            }
        })
    })

    $('body').on('click', '.view-certificate', function(){
        location.href = SITE_URL + 'certificate.print?' + $(this).data('code')
    })

    $('#uf').on('change', function(){
        $('#uf').material_select();
        $.ajax({
            url         : SITE_URL + 'cities.ajax?id=' + $('option:selected', this).data('id'),
            type        : 'get',
            dataType    : 'json',
            success     : function(res) {
                $('#cidade').html('');
                for (var i in res) {
                    $('#cidade').append(`<option value="${res[i].id}" data-name="${res[i].name}">${res[i].name}</option>`);
                }
                $('#cidade').material_select();

                $('#cidade').val($('option[data-name="'+$('#cidade_nome').val()+'"]', '#cidade').attr('value')).material_select()
            }
        })
    })

    $('#pub-image').on('click', function(){
        $('form#publication input[name=photo]').click()

        $('form#publication input[name=photo]').on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#pub-image').attr('src', e.target.result);
                }
            
                reader.readAsDataURL(this.files[0]);
            }
        })
    })

    $('.delete-publication').on('click', function(){
        var container = $(this).closest('.card');
        confirm('Deseja apagar essa publicação?').then(() => {
            $('form', container).submit();
        })
    })

    $('.slider.mencoes, .mencoes .slides').css('height', '460px')

    $('.cancel-event').on('click', function(){
        confirm('Deseja mesmo cancelar esse evento?').then(() => {
            Swal.fire({
                title: 'Conte-nos o motivo do cancelamento',
                input: 'textarea',
                showCancelButton: true,
                cancelButtonText: "Cancelar",
                confirmButtonText: "Confirmar",
                inputAttributes: {
                    maxlength: 255
                },
                inputValidator: (value) => {
                  if (value.length < 15) {
                    return 'Motivo muito curto!'
                  }
                }
            }).then((reason) => {
                if (typeof reason.value != "undefined")
                    $.ajax({
                        url         : SITE_URL + 'evento.ajax',
                        data        : {
                            type: 'cancel',
                            evento: currentId,
                            razao: reason.value
                        },
                        onsuccess     : function(res) {
                            history.go(0)
                        }
                    })
            })
        })
    })

    $('#prevision').hide();
    $('#cidade, #idade_max, #idade_min, #mulheres, #homens, #categorias').on('change', function(){
        if (!$('#categorias').val())
            return;
        
        $.ajax({
            url         : SITE_URL + 'evento.ajax',
            type: 'get',
            data        : {
                type: 'getPrevision',
                idade_max: $('#idade_max').val(),
                idade_min: $('#idade_min').val(),
                categorias: $('#categorias').val(),
                mulheres: $('#mulheres').is(':checked'),
                homens: $('#homens').is(':checked'),
                cidade: $('#cidade').val()
            },
            onsuccess     : function(res) {
                if (!Object.keys(res).length) {
                    $('#prevision').hide();
                    return;
                }
                var states = ["AC", "AL", "AM", "AP", "BA", "CE", "DF", "ES", "GO", "MA", "MT", "MS", "MG", "PA", "PB", "PR", "PE", "PI", "RJ", "RN", "RO", "RS", "RR", "SC", "SE", "SP", "TO"];

                var table = $('<table></table>')
                table.addClass('striped')
                for (var i in states) {
                    var state = states[i]
                    table.append(`<tr data-uf="${state}"><td>${state}</td><td>${res[state] || 0}</td></tr>`)
                    delete(res[state])
                }
                $('#perState').html('').append(table);

                var table = $('<table></table>')
                table.addClass('striped')
                for (var cityName in res) {
                    var city = res[cityName]
                    table.append(`<tr><td>${cityName}</td><td>${city.qt}</td></tr>`)

                    $(`[data-uf=${city.uf}]`).addClass('light-green lighten-4')
                }
                $('#perCity').html('').append(table);

                $('#prevision').show();
            }
        })
    })

    var page = 1;
    $(window).scroll(function() {
        if (($('body').height() - $('.page-footer').height()) <= ($(window).height() + $(window).scrollTop()) && page) {
            if ($('.loadingImage').length || "undefined" === typeof currentId)
                return;
            
            $('#bottom-loading').show().loading({
                'state': true,
                'image': SITE_URL + 'assets/images/spinner-circle.svg'
            });
            spinMe($('.loadingImage'))

            $.ajax({
                url: SITE_URL + 'evento.ajax?type=getFeed&page=' + page + '&id=' + currentId,
                type: 'get',
                dataType: 'text',
                success: (html) => {
                    if (!html.trim()) {
                        page = false;
                        return;
                    }
                    page++;
                    $('#activities-container').append($(html));
                }
            }).always(() => {
                $('#bottom-loading').hide().loading({
                    'state': false
                });
            });
        }
    });
})

var newImageQuantity = 0;