function toast(msg, type, tmp) {
  var tmp = undefined === tmp ? 3000 : tmp;

  Materialize.toast(msg, tmp, type);
}

function showLoading() {

}

function hideLoading() {

}

var debug = false;

$(function () {

  // $('.button-collapse').sideNav();
  // $('.parallax').parallax();
  $('img.materialboxed').materialbox();
  $('.slider').slider();
  $('.carousel').carousel();

  $.ajaxSetup({
    type: 'post',
    dataType: 'json',
    attempt: 1,
    maxAttempts: 2,
    error: function (xhr) {
      switch (xhr.status) {
        case 500 :
          toast('Um erro ocorreu no servidor', 'red');
          break;
        case 401:
          toast('Faça o login novamente', 'red');
          setTimeout(() => {history.go(0)}, 1300);
          break;
        case 403:
          toast('Você não tem autorização para essa ação', 'red');
          break;
        default:
          if (this.attempt < this.maxAttempts) {
            toast('Tentando novamente', 'red');
            this.attempt++;
            $.ajax(this);
          } else {
            toast('Não foi possível entender a resposta do servidor', 'red');
          }
      }
    },
    success: function (data) {
      if (debug)
        debugger;
      
      if (undefined !== data.messages) {
        $.each(data.messages, function () {
          toast(this.msg, this.type, this.tmp);
        });
      }

      if (data.status && undefined !== this.onsuccess) {
        window.setTimeout(() => {
          delete(data.status)
          delete(data.messages)
          this.onsuccess(data)
        }, 1200);
      }
    }
  })

  $('body').on('submit', 'form:not(.custom)', function(e){
      if ($(this).attr('action')) {
        var error = false;
        var ajaxArgs = {
          url:            $(this).attr('action') + '.ajax',
          type:           $(this).attr('method') || 'post',
          dataType:       'json',
          updatePage:     $(this).attr('data-update'),
          onsuccess:      new Function($(this).attr('data-success-callback'))
        };

        if ($(this).attr('enctype') == 'multipart/form-data') {
          var formData = new FormData(this);
          ajaxArgs.contentType = false
          ajaxArgs.processData = false
          ajaxArgs.data        = formData

          $('input[type=file]', this).each((i, v) => {
            if (v.files)
              if (v.files[0].size > 2000000) {
                error = true;
              }
          })
        } else {
          ajaxArgs.data        = $(this).serialize()
        }
        
        e.preventDefault();

        if (error) {
          toast('Envie apenas imagens menores do que 2MB', 'red', 2000);
          return false;
        }
        
        $.ajax(ajaxArgs);
      }
      

      return false;
  });

  $('body').on('click', '[href]:not(.custom, a)', function(){
      window.location.href = $(this).attr('href');
  });

  $('body').on('click', '.logout', function () {
    $(this).closest('form').submit();
  });

  $('select:not(.custom)').material_select();

  $('.datepicker').pickadate({
    selectMonths: false, // Creates a dropdown to control month
    selectYears: 7, // Creates a dropdown of 15 years to control year,
    today: 'Hoje',
    clear: 'Zerar',
    close: 'Ok',
    closeOnSelect: false, // Close upon selecting a date,
    format: 'dd/mm/yyyy',
    months : [
      'Janeiro',
      'Fevereiro',
      'Março',
      'Abril',
      'Maio',
      'Junho',
      'Julho',
      'Agosto',
      'Setembro',
      'Outubro',
      'Novembro',
      'Dezembro'
    ],
    monthsShort: [
      'Jan',
      'Fev',
      'Mar',
      'Abr',
      'Mai',
      'Jun',
      'Jul',
      'Ago',
      'Set',
      'Out',
      'Nov',
      'Dez'
    ],
    weekdays: [
      'Domingo',
      'Segunda',
      'Terça',
      'Quarta',
      'Quinta',
      'Sexta',
      'Sábado'
    ],
    weekdaysShort: [
      'Dom',
      'Seg',
      'Ter',
      'Qua',
      'Qui',
      'Sex',
      'Sab'
    ],
    weekdaysAbbrev: ['D','S','T','Q','Q','S','S']
  });

  $('.timepicker').pickatime({
    default: 'now', // Set default time: 'now', '1:30AM', '16:30'
    fromnow: 600000,       // set default time to * milliseconds from now (using with default = 'now')
    twelvehour: false, // Use AM/PM or 24-hour format
    donetext: 'OK', // text for done-button
    cleartext: 'Zerar', // text for clear-button
    canceltext: 'Cancelar', // Text for cancel-button
    autoclose: false, // automatic close timepicker
    ampmclickable: true, // make AM PM clickable
    aftershow: function(){} //Function for after opening timepicker
  });

  $('.modal').modal();

  $('.carousel.carousel-slider').carousel({
    fullWidth: true
  });

  $('[data-mask]').each((i, v) => {
    $(v).mask($(v).data('mask'))
  })
}); // end of document ready

var dataTablePtBrTranslation = {
  "sEmptyTable": "Nenhum registro encontrado",
  "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
  "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
  "sInfoFiltered": "(Filtrados de _MAX_ registros)",
  "sInfoPostFix": "",
  "sInfoThousands": ".",
  "sLengthMenu": "resultados por página _MENU_",
  "sLoadingRecords": "Carregando...",
  "sProcessing": "Processando...",
  "sZeroRecords": "Nenhum registro encontrado",
  "sSearch": "Pesquisar",
  "oPaginate": {
      "sNext": "Próximo",
      "sPrevious": "Anterior",
      "sFirst": "Primeiro",
      "sLast": "Último"
  },
  "oAria": {
      "sSortAscending": ": Ordenar colunas de forma ascendente",
      "sSortDescending": ": Ordenar colunas de forma descendente"
  }
}

confirm = (confirmationText) => {
  return new Promise((resolve, reject) => {
    Swal.fire({
      title: "Tem certeza?",
      text: confirmationText,
      type: "warning",
      showCancelButton: true,
      cancelButtonText: "Cancelar",
      confirmButtonText: "Confirmar"
    })
    .then((willDelete) => {
      if (willDelete.value === true) {
        resolve();
      } else {
        reject();
      }
    });
  });
}