function validarCNPJ(cnpj) {
 
    cnpj = cnpj.replace(/[^\d]+/g,'');
 
    if(cnpj == '') return false;
     
    if (cnpj.length != 14)
        return false;
 
    // Elimina CNPJs invalidos conhecidos
    if (cnpj == "00000000000000" || 
        cnpj == "11111111111111" || 
        cnpj == "22222222222222" || 
        cnpj == "33333333333333" || 
        cnpj == "44444444444444" || 
        cnpj == "55555555555555" || 
        cnpj == "66666666666666" || 
        cnpj == "77777777777777" || 
        cnpj == "88888888888888" || 
        cnpj == "99999999999999")
        return false;
         
    // Valida DVs
    tamanho = cnpj.length - 2
    numeros = cnpj.substring(0,tamanho);
    digitos = cnpj.substring(tamanho);
    soma = 0;
    pos = tamanho - 7;
    for (i = tamanho; i >= 1; i--) {
      soma += numeros.charAt(tamanho - i) * pos--;
      if (pos < 2)
            pos = 9;
    }
    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
    if (resultado != digitos.charAt(0))
        return false;
         
    tamanho = tamanho + 1;
    numeros = cnpj.substring(0,tamanho);
    soma = 0;
    pos = tamanho - 7;
    for (i = tamanho; i >= 1; i--) {
      soma += numeros.charAt(tamanho - i) * pos--;
      if (pos < 2)
            pos = 9;
    }
    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
    if (resultado != digitos.charAt(1))
          return false;
           
    return true;
    
}

function spinMe($elem, angle) {
    angle = Number(angle) || 30;

    if ($elem.length) {
        $elem.css('transform', `rotate(${angle}deg)`);
        setTimeout(() => {
            spinMe($elem, (angle + 30) % 360 );
        }, 70)
    }
}

$(function(){
    $('body').on('focus', '.mask-cnpj', function(){
        $(this).mask('00.000.000/0000-00', {reverse: true});
    });
    $('body').on('focus', '.mask-cep', function(){
        $(this).mask('00000-000');
    });
    $('body').on('focus', '.mask-cpf', function(){
        $(this).mask('000.000.000-00', {reverse: true});
    });
    $('body').on('focus', '.mask-money', function(){
        $(this).mask('000.000.000,00', {reverse: true});
    });
});