$(function(){
    $('.report').on('click', function(){
        swal.fire({
            title   : 'Denunciar Usuário', 
            text    : 'Qual o motivo de denunciar esse usuário?',
            showCancelButton: true,
            cancelButtonText: "Cancelar",
            confirmButtonText: "Confirmar",
            input: 'textarea',
            inputAttributes: {
                maxlength: 255
            },
            inputValidator: (value) => {
              if (value.length < 15) {
                return 'Denúncia muito curta!'
              }
            }
        }).then((motivo) => {
            if (typeof motivo.value != "undefined") {
                $.ajax({
                    url         : '/tcc/user.ajax',
                    type        : 'post',
                    dataType    : 'json',
                    data        : {
                        type: 'report',
                        id: currentId,
                        motivo: motivo.value
                    },
                    onsuccess     : function(res) {
                        $('.report').remove();
                    }
                })
            }
        })
    })

    $('#edit-perfil').on('click', () => {
        var FileField = $('<input type="file" accept="image/*" class="hide">');
        FileField.click();
        FileField.on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    var image = new Image();
                    image.src = e.target.result;

                    image.onload = function() {
                        var size;
                        if (this.width > this.height) {
                            size = 'auto 100%';
                        } else {
                            size = '100% auto';
                        }
                        setPefilImage(e.target.result, size);
                    };
                }
            
                reader.readAsDataURL(this.files[0]);
                FileField.attr('name', 'profile');
                if ($('input[name=profile]').val())
                    $('input[name=profile]').remove();
                
                $('form#profile-image').append(FileField);
                $('#save-perfil').show();
                $('#delete-perfil').show();
            }
        })
    })

    $('#edit-cape').on('click', () => {
        var FileField = $('<input type="file" accept="image/*" class="hide">');
        FileField.click();
        FileField.on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    var image = new Image();
                    image.src = e.target.result;

                    image.onload = function() {
                        var size;
                        if (this.width > this.height) {
                            size = 'auto 100%';
                        } else {
                            size = '100% auto';
                        }
                        setCapeImage(e.target.result, size);
                    };
                }
            
                reader.readAsDataURL(this.files[0]);
                FileField.attr('name', 'cape');
                if ($('input[name=cape]').val())
                    $('input[name=cape]').remove();
                
                $('form#cape-image').append(FileField);
                $('#save-cape').show();
                $('#delete-cape').show();
            }
        })
    })

    $('#delete-cape').on('click', function(){
        if ($('input[name=cape]').val()) {
            $('input[name=cape]').remove()
            setCapeImage($('#cape-image').data('image'))
            $('#save-cape').hide();
            if (!hasInitialCape)
                $('#delete-cape').hide();
        } else {
            confirm('Tem certeza que deseja apagar sua própria imagem de capa?').then(() => {
                $('#delete-cape-image').submit();
            })
        }
    })

    $('#delete-perfil').on('click', function(){
        if ($('input[name=profile]').val()) {
            $('input[name=profile]').remove()
            setPefilImage($('#perfil-image').data('image'))
            $('#save-perfil').hide();
            if (!hasInitialImage)
                $('#delete-perfil').hide();
        } else {
            confirm('Tem certeza que deseja apagar sua própria imagem de perfil?').then(() => {
                $('#delete-profile-image').submit();
            })
        }
    })

    if (!hasInitialCape)
        $('#delete-cape').hide();
    $('#save-cape').hide();

    if (!hasInitialImage)
        $('#delete-perfil').hide();
    $('#save-perfil').hide();
    setPefilImage($('#perfil-image').data('image'))

    $('#save-perfil').on('click', function(){
        $('form#profile-image').submit();
    });

    $('#save-cape').on('click', function(){
        $('form#cape-image').submit();
    });

    $('#pub-image').on('click', function(){
        $('form#publication input[name=photo]').click()

        $('form#publication input[name=photo]').on('change', function(){
            if (this.files && this.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#pub-image').attr('src', e.target.result);
                }
            
                reader.readAsDataURL(this.files[0]);
            }
        })
    })

    $('.delete-publication').on('click', function(){
        var container = $(this).closest('.card');
        confirm('Deseja apagar essa publicação?').then(() => {
            $('form', container).submit();
        })
    })

    $('#actions').on('click', '.follow', function(){
        $.ajax({
            url: SITE_URL + 'perfil.ajax',
            data: {
                type: 'follow',
                id: currentId
            },
            onsuccess: () => {
                $('#actions .follow').removeClass('follow').addClass('unfollow').text('Deixar de Seguir')
            }
        });
    })

    $('#actions').on('click', '.unfollow', function(){
        $.ajax({
            url: SITE_URL + 'perfil.ajax',
            data: {
                type: 'unfollow',
                id: currentId
            },
            onsuccess: () => {
                $('#actions .unfollow').removeClass('unfollow').addClass('follow').text('Seguir')
            }
        });
    })

    $('#actions').on('click', '.block', function(){
        $.ajax({
            url: SITE_URL + 'perfil.ajax',
            data: {
                type: 'block',
                id: currentId
            },
            onsuccess: () => {
                $('#actions .block').removeClass('block').addClass('unblock').text('Desbloquear')
                $('#actions .unfollow').removeClass('unfollow').addClass('follow').text('Seguir')
            }
        });
    })

    $('#actions').on('click', '.unblock', function(){
        $.ajax({
            url: SITE_URL + 'perfil.ajax',
            data: {
                type: 'unblock',
                id: currentId
            },
            onsuccess: () => {
                $('#actions .unblock').removeClass('unblock').addClass('block').text('Bloquear')
            }
        });
    })

    var page = 1;
    $(window).scroll(function() {
        if (($('body').height() - $('.page-footer').height()) <= ($(window).height() + $(window).scrollTop()) && page) {
            if ($('.loadingImage').length)
                return;
            
            $('#bottom-loading').show().loading({
                'state': true,
                'image': SITE_URL + 'assets/images/spinner-circle.svg'
            });
            spinMe($('.loadingImage'))

            $.ajax({
                url: SITE_URL + 'perfil.ajax?type=getFeed&page=' + page + '&id=' + currentId,
                type: 'get',
                dataType: 'text',
                success: (html) => {
                    if (!html.trim()) {
                        page = false;
                        return;
                    }
                    page++;
                    $('#activities-container').append($(html));
                }
            }).always(() => {
                $('#bottom-loading').hide().loading({
                    'state': false
                });
            });
        }
    });
})

setPefilImage = (url, size) => {
    size = size || 'auto 100%';
    $('#perfil-image').css('background', `url(${url}) 0px 0px no-repeat`).css('background-size', size).css('background-position', 'center')
}

setCapeImage = (url, size) => {
    size = size || 'auto 100%';
    $('#cape-image img').attr('src', url)
}

$('#bottom-loading').hide()