<?php

    class Time {
        private $value;

        function __construct($value) {
            $this->value = $value;
        }


        function __toString() {
            return (string)$this('H:i:s');
        }

        function __invoke($format = 'H:i') {
            $d = DateTime::createFromFormat('H:i:s', $this->value);

            if (!$d)
                return false;
                
            return (string)$d->format($format);
        }
    }

    class Date {
        private $value;
        public $format = 'Y-m-d';
        private $initials = array(1 => 'JAN', 'FEV', 'MAR', 'ABR', 'MAI', 'JUN', 'JUL', 'AGO', 'SET', 'OUT', 'NOV', 'DEZ');
        private $monthsTranslation = array(
            'January' => 'Janeiro', 
            'February' => 'Fevereiro', 
            'March' => 'Março', 
            'April' => 'Abril', 
            'May' => 'Maio', 
            'June' => 'Junho', 
            'July' => 'Julho', 
            'August' => 'Agosto', 
            'September' => 'Setembro', 
            'October' => 'Outubro', 
            'November' => 'Novembro', 
            'December' => 'Dezembro'
        );

        function __construct($value) {
            $this->value = $value;
        }

        function __toString() {
            return (string)$this('Y-m-d');
        }

        function __invoke($format = 'd/m/Y') {
            $d = DateTime::createFromFormat($this->format, $this->value);
            
            if ($d === false)
                return false;
            
            return (string)$d->format($format);
        }

        function toMonthInitials() {
            return $this->initials[date('n', $this('U'))];
        }
    }

    class TimeDate {
        private $value;
        public $format = 'Y-m-d H:i:s';
        private $initials = array(1 => 'JAN', 'FEV', 'MAR', 'ABR', 'MAI', 'JUN', 'JUL', 'AGO', 'SET', 'OUT', 'NOV', 'DEZ');
        private $monthsTranslation = array(
            'January' => 'Janeiro', 
            'February' => 'Fevereiro', 
            'March' => 'Março', 
            'April' => 'Abril', 
            'May' => 'Maio', 
            'June' => 'Junho', 
            'July' => 'Julho', 
            'August' => 'Agosto', 
            'September' => 'Setembro', 
            'October' => 'Outubro', 
            'November' => 'Novembro', 
            'December' => 'Dezembro'
        );
        
        function __construct($value) {
            $this->value = $value;
        }

        function __toString() {
            return (string)$this('d/m/Y H:i');
        }

        function __invoke($format = 'Y-m-d H:i') {
            $d = DateTime::createFromFormat($this->format, $this->value);
            
            if ($d === false)
                return false;
            
            return (string)$d->format($format);
        }

        function toMonthInitials() {
            return $this->initials[$this('n')];
        }

        function getMonthName() {
            return (array_values($this->monthsTranslation))[$this('n') - 1];
        }
    }

?>