<?php
    class Money {
        /** @var float $value Quantidade de dinheiro */
        private $value;

        /**
         * Costrutor
         * 
         * @param numeric $value Quantidade de centavos
         * 
         * @return void
         */
        function __construct($value) {
            $this->value = preg_replace( '/[^0-9]/', '', $value ) / 100;
        }

        function add($value) {
            $this->value += $value;
        }

        function sub($value) {
            $this->value -= $value;
        }

        function mult($value) {
            $this->value *= $value;
        }

        function div($value) {
            $this->value /= $value;
        }

        function discount($value) {
            $this->value -= $this->value * $value / 100;
        }

        function promotion($value) {
            $this->value += $this->value * $value / 100;
        }

        function __toString() {
            return number_format($this->value, 2, '.', '');
        }

        function beutify() {
            return 'R$ ' . number_format($this->value, 2, ',', '.');
        }

        function isEmpty() {
            return (bool) $this->value;
        }
    }
?>