<?php
    class Point {
        /** @var float $latitude */
        private $latitude;
        /** @var float $longitude */
        private $longitude;

        /**
         * Costrutor
         * 
         * @param numeric $latitude
         * @param numeric $longitude
         * 
         * @return void
         */
        function __construct($latitude, $longitude) {
            $this->latitude = (float)$latitude;
            $this->longitude = (float)$longitude;
        }

        function setLat($value) {
            $this->latitude = (float)$value;
        }

        function setLon($value) {
            $this->longitude = (float)$value;
        }

        function getLat() {
            return $this->latitude;
        }

        function getLon() {
            return $this->longitude;
        }

        function __toString() {
            $lat = number_format($this->latitude, 7, '.', '');
            $lon = number_format($this->longitude, 7, '.', '');
            return "POINT({$lat}, {$lon})";
        }
    }
?>