<?php

class Session {
    
    static function isLogged(){
        return !empty($_SESSION[self::getCurrentlySection()]['id']);
    }

    static function getCurrentlySection() {
        return (self::isAdmin() ? 'admin' : 'site');
    }

    static function isAdmin() {
        return (bool) strpos($_SERVER['REQUEST_URI'], '/admin/');
    }

    static function is($id){
        return !empty($_SESSION[self::getCurrentlySection()]['id']) AND (string)$id === (string)$_SESSION[self::getCurrentlySection()]['id'];
    }

    static function login(&$userData){
        $_SESSION[self::getCurrentlySection()] = (array)$userData;
    }

    static function logoff(){
        unset($_SESSION[self::getCurrentlySection()]);
    }

    static function getInfo($info) {
        return @$_SESSION[self::getCurrentlySection()][$info];
    }

    static function setInfo($info, $value) {
        @$_SESSION[self::getCurrentlySection()][$info] = $value;
    }
}

?>