<?php
    class EventRating {
        use CRUD;

        const _TABLE = 'event_rating';

        static public function getRatingsFromBy($idEvent, $idUserAvoid) {
            $sql = 
                'SELECT 
                    event_rating.*, 
                    usuario.name AS user_name, 
                    IF(arquivos.arquivo IS NULL, "/no-image.svg", CONCAT("/dinamicas/usuario/", usuario.id, "/pri/pp", arquivos.arquivo)) AS foto
                FROM eventy.event_rating 
                    INNER JOIN eventy.usuario ON usuario.id = event_rating.user_id
                    LEFT JOIN eventy.arquivos ON arquivos.referencia = usuario.id AND arquivos.tabela = "usuario" AND arquivos.tipo = "pri" AND arquivos.status = 1
                WHERE event_rating.event_id = ?
                    AND event_rating.user_id != ?
                    AND event_rating.status = 1
                ORDER BY RAND()
                LIMIT 3;';
            
            $Database = new Database();
            $queryResult = $Database->query($sql, [$idEvent, $idUserAvoid]);
            
            if ($queryResult === false)
                return false;

            $objsResult = array();
            foreach ($queryResult['result'] as $result) {
                $objsResult[] = new modelEventRating($result);
            }
            return $objsResult;
        }

        static public function averageRating($idEvent) {
            $sql = 
                'SELECT IFNULL(AVG(event_rating_rate), 0) as average, COUNT(id) AS quantity
                FROM eventy.event_rating 
                WHERE event_id = ? AND status = 1;';
            
            $Database = new Database();
            $queryResult = $Database->query($sql, [$idEvent]);
            
            if ($queryResult === false)
                return false;

            return $queryResult['result'][0];
        }
    }
?>