<?php 
    class User {
        use CRUD;

        const _TABLE = 'usuario';

        static function getMainFeed($page = 0) {
            $sql =
                '(SELECT
                    event_follow.date,
                    event_image.arquivo AS image_file,
                    "MainFeedFriendInterestItem" as activity_type,
                    JSON_OBJECT(
                        "user_name", usuario.name,
                        "user_id", usuario.id,
                        "interest", event_interest.event_interest_have,
                        "event_name", `event`.event_name, 
                        "event_url", `event`.event_url, 
                        "event_id", `event`.id, 
                        "profile_picture", profile_picture.arquivo
                    ) AS extra_data
                FROM event_follow
                    JOIN user_follow ON user_follow.user_id_followed = event_follow.user_id
                    
                    JOIN usuario ON usuario.id = event_follow.user_id
                    JOIN `event` ON `event`.id = event_follow.event_id
                    JOIN event_interest ON event_interest.id = event_follow.interest_id
                    
                    LEFT JOIN arquivos event_image ON event_image.status = 1 
                        AND event_image.tabela = "event"
                        AND event_image.tipo = "pri"
                        AND event_image.referencia = `event`.id
                    
                    LEFT JOIN arquivos profile_picture ON profile_picture.status = 1 
                        AND profile_picture.tabela = "usuario"
                        AND profile_picture.tipo = "pri"
                        AND profile_picture.referencia = `usuario`.id
                WHERE
                    user_follow.user_id_follower = ?
                    AND usuario.status = 1
                GROUP BY event_follow.user_id, event_follow.event_id)

                UNION

                (SELECT 
                    event_rating.date,
                    event_image.arquivo AS image_file,
                    "MainFeedFriendEventRatingItem" as activity_type, 
                    JSON_OBJECT(
                        "event_url", event_url,
                        "event_name", event_name,
                        "event_id", `event`.id,
                        "user_id", usuario.id,
                        "user_name", usuario.name,
                        "event_rating_rate", event_rating.event_rating_rate,
                        "event_rating_commentary", event_rating.event_rating_commentary,
                        "profile_picture", profile_picture.arquivo
                    ) AS extra_data
                FROM event_rating
                    JOIN usuario ON usuario.id = event_rating.user_id
                    JOIN `event` ON `event`.id = event_rating.event_id
                    
                    LEFT JOIN arquivos event_image ON event_image.status = 1 
                        AND event_image.tabela = "event"
                        AND event_image.tipo = "pri"
                        AND event_image.referencia = `event`.id
                    
                    LEFT JOIN arquivos profile_picture ON profile_picture.status = 1 
                        AND profile_picture.tabela = "usuario"
                        AND profile_picture.tipo = "pri"
                        AND profile_picture.referencia = `usuario`.id
                        
                    JOIN user_follow ON user_follow.user_id_followed = usuario.id
                WHERE event_rating.status = 1
                    AND usuario.status = 1
                    AND `event`.status = 1
                    AND user_follow.user_id_follower = ?
                GROUP BY event_rating.id)
                
                UNION

                (SELECT 
                    company_rating.date,
                    company_image.arquivo AS image_file,
                    "MainFeedFriendCompanyRatingItem" as activity_type, 
                    JSON_OBJECT(
                        "company_name", company.company_name,
                        "company_id", `company`.id,
                        "user_id", usuario.id,
                        "user_name", usuario.name,
                        "company_rating_rate", company_rating.company_rating_rate,
                        "company_rating_commentary", company_rating.company_rating_commentary,
                        "profile_picture", profile_picture.arquivo
                    ) AS extra_data
                FROM company_rating
                    JOIN usuario ON usuario.id = company_rating.user_id
                    JOIN `company` ON `company`.id = company_rating.company_id
                    
                    LEFT JOIN arquivos company_image ON company_image.status = 1 
                        AND company_image.tabela = "company"
                        AND company_image.tipo = "pri"
                        AND company_image.referencia = `company`.id
                    
                    LEFT JOIN arquivos profile_picture ON profile_picture.status = 1 
                        AND profile_picture.tabela = "usuario"
                        AND profile_picture.tipo = "pri"
                        AND profile_picture.referencia = `usuario`.id
                        
                    JOIN user_follow ON user_follow.user_id_followed = usuario.id
                WHERE company_rating.status = 1
                    AND usuario.status = 1
                    AND `company`.status = 1
                    AND user_follow.user_id_follower = ?
                GROUP BY company_rating.id)

                UNION

                (SELECT
                    user_publication.date,
                    publication_image.arquivo AS image_file,
                    "MainFeedFriendPublicationItem" as activity_type, 
                    JSON_OBJECT(
                        "event_url", event.event_url,
                        "event_name", event.event_name,
                        "event_id", event.id,
                        "user_id", usuario.id,
                        "user_name", usuario.name,
                        "publication_id", user_publication.id,
                        "text", user_publication.text,
                        "profile_picture", profile_picture.arquivo
                    ) AS extra_data
                FROM user_publication
                    JOIN usuario ON usuario.id = user_publication.user_id
                    JOIN user_follow ON user_follow.user_id_followed = usuario.id
                    LEFT JOIN `event` ON `event`.id = user_publication.event_id
                    
                    LEFT JOIN arquivos publication_image ON publication_image.status = 1 
                        AND publication_image.tabela = "user_publication"
                        AND publication_image.tipo = "pri"
                        AND publication_image.referencia = user_publication.id
                    
                    LEFT JOIN arquivos profile_picture ON profile_picture.status = 1 
                        AND profile_picture.tabela = "usuario"
                        AND profile_picture.tipo = "pri"
                        AND profile_picture.referencia = usuario.id
                WHERE
                    user_follow.user_id_follower = ?
                    AND user_publication.status = 1
                GROUP BY user_publication.id)

                UNION 
                
                (SELECT 
                    event.date_insert AS date,
                    event_image.arquivo AS image_file,
                    "MainFeedCompanyEventItem" as activity_type, 
                    JSON_OBJECT(
                        "company_id", company.id,
                        "company_name", company.company_name,
                        "company_picture", company_picture.arquivo,
                        "event_id", event.id,
                        "event_name", event.event_name,
                        "event_url", event.event_url,
                        "event_date", event.event_start_date
                    ) AS extra_data
                FROM event 
                    JOIN company ON company.id = event.company_id
                    JOIN company_follow ON company_follow.company_id = company.id
                    
                    LEFT JOIN arquivos event_image ON event_image.status = 1 
                        AND event_image.tabela = "event"
                        AND event_image.tipo = "pri"
                        AND event_image.referencia = `event`.id
                    
                    LEFT JOIN arquivos company_picture ON company_picture.status = 1 
                        AND company_picture.tabela = "company"
                        AND company_picture.tipo = "pri"
                        AND company_picture.referencia = `company`.id
                WHERE event.status = 1
                    AND company.status = 1
                    AND company_follow.user_id = ?
                GROUP BY event.id)

                UNION

                (SELECT
                    company_publication.date,
                    publication_image.arquivo AS image_file,
                    "MainFeedCompanyPublicationItem" as activity_type, 
                    JSON_OBJECT(
                        "company_id", company.id,
                        "company_name", company.company_name,
                        "text", company_publication.text,
                        "company_picture", company_picture.arquivo,
                        "publication_id", company_publication.id
                    ) AS extra_data
                FROM company_publication
                    JOIN company ON company.id = company_publication.company_id
                    JOIN company_follow ON company_follow.company_id = company.id
                    
                    LEFT JOIN arquivos publication_image ON publication_image.status = 1 
                        AND publication_image.tabela = "company_publication"
                        AND publication_image.tipo = "pri"
                        AND publication_image.referencia = company_publication.id
                    
                    LEFT JOIN arquivos company_picture ON company_picture.status = 1 
                        AND company_picture.tabela = "company"
                        AND company_picture.tipo = "pri"
                        AND company_picture.referencia = company.id
                WHERE
                    company_follow.user_id = ?
                    AND company.status = 1
                    AND company_publication.status = 1
                GROUP BY company_publication.id)

                UNION

                (SELECT 
                    event_publication.date,
                    publication_image.arquivo AS image_file,
                    "MainFeedEventPublication" AS activity_type,
                    JSON_OBJECT(
                        "event_name", event.event_name,
                        "event_url", event.event_url,
                        "text", event_publication.text,
                        "publication_id", event_publication.id
                    ) AS extra_data
                FROM event_publication 
                    JOIN event ON event.id = event_publication.event_id
                    JOIN arquivos publication_image ON publication_image.status = 1 
                        AND publication_image.tabela = "event_publication"
                        AND publication_image.tipo = "pri"
                        AND publication_image.referencia = event_publication.id
                    JOIN event_follow ON event_follow.event_id = event.id
                    JOIN event_interest ON event_interest.id = event_follow.interest_id
                WHERE event_publication.status = 1
                    AND event.status = 1
                    AND event_follow.user_id = ?
                    AND event_interest.positive
                GROUP BY event_publication.id)

                ORDER BY date DESC
                LIMIT '.($page*5).', 5';

            $id = Session::getInfo('id');
            $Database = new Database();
            $queryResult = $Database->query($sql, [$id, $id, $id, $id, $id, $id, $id]);
            
            if ($queryResult === false)
                return false;

            $objsResult = array();
            foreach ($queryResult['result'] as $result) {
                $modelClass = 'ModelMainFeedItem\\' . $result['activity_type'];
                $objsResult[] = new $modelClass($result);
            }
            return $objsResult;
        }
    }
?>