<?php 
    $isLogged = Session::isLogged();

    if ($isLogged) {
        LogUser::insert([
            'user_id'       => Session::getInfo('id'),
            'log_action'    => 'search',
            'log_file'      => __FILE__,
            'log_success'   => true
        ]);
    } else {
        LogUser::insert([
            'log_action'    => 'search',
            'log_file'      => __FILE__,
            'log_success'   => true
        ]);
    }
    

    $searchString = trim($_GET['s']);

    $Users = User::getBy([
        '('.User::_TABLE.'.name LIKE "%'.$searchString.'%")' => 1,
        User::_TABLE.'.status' => 1
    ], [
        User::_TABLE.'.name',
        User::_TABLE.'.id',
        Archive::_TABLE.'.arquivo'
    ], false, [
        User::_TABLE.' AS logged' => [
            'logged.id' => Session::getInfo('id')
        ]
    ], [
        Archive::_TABLE => [
            Archive::_TABLE . '.referencia' => User::_TABLE . '.id',
            Archive::_TABLE . '.tabela' => '"'.User::_TABLE.'"',
            Archive::_TABLE . '.tipo' => '"pri"',
            Archive::_TABLE . '.status' => 1
        ]
    ], User::_TABLE.'.id', false, User::_TABLE.'.address_coordinates IS NULL, ST_DISTANCE_SPHERE('.User::_TABLE.'.address_coordinates, logged.address_coordinates)', '5');

    $Companies = Company::getBy([
        '('.Company::_TABLE.'.company_name LIKE "%'.$searchString.'%")' => 1,
        'company.status' => 1
    ], [
        Company::_TABLE.'.company_name AS name',
        Company::_TABLE.'.id',
        Archive::_TABLE.'.arquivo'
    ], false, [], [
        Archive::_TABLE => [
            Archive::_TABLE . '.referencia' => Company::_TABLE . '.id',
            Archive::_TABLE . '.tabela' => '"'.Company::_TABLE.'"',
            Archive::_TABLE . '.tipo' => '"pri"',
            Archive::_TABLE . '.status' => 1
        ]
    ], Company::_TABLE.'.id', false, false, '5');

    $Events = Event::smartSearch($searchString, 0);
?>

<div class="content center-align row container" id="events">

    <?php if ($Users) : ?>
        <div class="col s12 title">
            <h4 class="left">Usuários</h4>
        </div>
        <ul id="user-list" class="col s12 offset-m2 m8 offset-l3 l6 collection">
            <?php foreach ($Users as $User) : ?>
                <li class="collection-item avatar" data-id="<?=$User->id?>">
                    <a href="<?=SITE_URL?>perfil/<?=$User->id?>">
                        <img src="<?=$User->arquivo ? IMG_PATH . 'dinamicas/usuario/' . $User->id . '/pri/pp' . $User->arquivo : NO_IMAGE?>" alt="<?=$User->name?>" class="circle user-image">
                    </a>
                    <b class="title"><?=$User->name?></b> 
                </li>
            <?php endforeach ?>
        </ul>
        <?php if (sizeof($Users) == 5) : ?>
            <div class="col s12">
                <button class="btn main-color darken-1 icon-plus" id="plus-user"> Carregar Mais</button>
            </div>
        <?php endif ?>
    <?php endif ?>
    <?php if ($Companies) : ?>
        <div class="col s12 title">
            <h4 class="left">Empresas</h4>
        </div>
        <ul id="company-list" class="col s12 offset-m2 m8 offset-l3 l6 collection">
            <?php foreach ($Companies as $Company) : ?>
                <li class="collection-item avatar" data-id="<?=$Company->id?>">
                    <a href="<?=SITE_URL?>empresa/<?=$Company->id?>">
                        <img src="<?=$Company->arquivo ? IMG_PATH . 'dinamicas/company/' . $Company->id . '/pri/pp' . $Company->arquivo : NO_IMAGE?>" alt="<?=$Company->name?>" class="circle user-image">
                    </a>
                    <b class="title"><?=$Company->name?></b> 
                </li>
            <?php endforeach ?>
        </ul>
        <?php if (sizeof($Companies) == 5) : ?>
            <div class="col s12">
                <button class="btn main-color darken-1 icon-plus" id="plus-company"> Carregar Mais</button>
            </div>
        <?php endif ?>
    <?php endif ?>
    <?php if ($Events) : ?>
        <div class="col s12 title">
            <h4 class="left">Eventos</h4>
        </div>
        <ul id="event-list" class="col s12 offset-m2 m8 offset-l3 l6 collection">
            <?php foreach ($Events as $Event) : ?>
                <li class="collection-item avatar" data-id="<?=$Event->id?>">
                    <a href="<?=SITE_URL?>evento/<?=$Event->event_url?>">
                        <img src="<?=$Event->arquivo ? IMG_PATH . 'dinamicas/event/' . $Event->id . '/pri/pp' . $Event->arquivo : NO_IMAGE?>" alt="<?=$Event->event_name?>" class="circle user-image">
                    </a>
                    <b class="title"><?=$Event->event_name?></b> 
                    <?php if ($Event->status == 2) : ?>
                        <br><span class="red-text">CANCELADO: <?=$Event->cancel_reason?><span>
                    <?php endif ?>
                </li>
            <?php endforeach ?>
        </ul>
        <?php if (sizeof($Events) == 5) : ?>
            <div class="col s12">
                <button class="btn main-color darken-1 icon-plus" id="plus-event"> Carregar Mais</button>
            </div>
        <?php endif ?>
    <?php endif ?>

</div>

<script type="text/javascript">
    var currentSearch = '<?=$searchString?>';
</script>