<?php 
    if (!Session::isLogged()) {
        return getErrorPage(401);
    }

    $usuarios =User::getBy(array('status' => 1, 'email' => Session::getInfo('email')));
    $dadosUsuario = $usuarios[0];

    @list($City) = City::getBy(['id' => $dadosUsuario->city_id]);
    $state_id = $City ? $City->state_id : 1;

    $states = State::getBy(['country_id' => 1]);
    $cities = City::getBy(['state_id' => $state_id]);

    $Categorias = Category::getBy([
        Category::_TABLE . '.status' => 1
    ], [
        Category::_TABLE . '.*',
        UserCategory::_TABLE . '.user_id IS NOT NULL AS selected'
    ], false, [], [
        UserCategory::_TABLE => [
            UserCategory::_TABLE . '.category_id' => Category::_TABLE . '.id',
            UserCategory::_TABLE . '.user_id' => Session::getInfo('id')
        ]
    ], false, false, Category::_TABLE . '.category_name');

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>
<div class="container row">
    <form id="editar-perfil" action="<?=SITE_URL?>editar-perfil" data-success-callback="location.href = '<?=SITE_URL?>dados-cadastrais'">
        <h4>Dados Cadastrais</h4>
        <div class="input-field col s12 m8 offset-m2">
            <input id="nome" type="text" class="validate" required name="dados[nome]" value="<?=$dadosUsuario->name?>">
            <label for="nome" class="active">Nome</label>
        </div>

        <div class="col s12 m8 offset-m2 info-box">
            <i class="icon-info left"></i>
            <div class="content-info">Seus dados não serão mostrados para ninguém. Apenas usaremos para pesquisar por eventos mais adequados a você.</div>
        </div>

        <div class="input-field col s12 m4 offset-m2">
            <select id="sexo" name="dados[sexo]" required>
                <option value="F" <?=(@$dadosUsuario->sex == 'F' ? 'selected="selected"' : '')?>>Feminino</option>
                <option value="M" <?=(@$dadosUsuario->sex == 'M' ? 'selected="selected"' : '')?>>Masculino</option>
            </select>
            <label for="sexo">Sexo</label>
        </div>

        <div class="input-field col s12 m4">
            <input id="nascimento" type="date" class="validate" required name="dados[nascimento]" value="<?=@$dadosUsuario->birthdate?>">
            <label for="nascimento" class="active">Data de Nascimento</label>
        </div>

        <div class="row address">
            <div class="input-field col s12 m4 offset-m2">
                <input id="cep" type="text" class="validate" name="dados[cep]" value="<?=@$dadosUsuario->address_postal_code?>" data-cep="user-address" data-mask="00000-000">
                <label for="cep" class="active">CEP</label>
            </div>
            <div class="input-field col s12 m2 offset-m2">
                <select id="uf" data-user-address="uf">
                    <?php foreach ($states as $State) : ?>
                        <option value="<?=$State->uf?>" data-id="<?=$State->id?>" <?=($State->id == $state_id ? 'selected="selected"' : '')?>><?=$State->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="uf">UF</label>
            </div>
            <div class="input-field col s12 m3">
                <input type="hidden" value="" id="cidade_nome" data-user-address="localidade">
                <select id="cidade" name="dados[cidade]">
                    <?php foreach ($cities as $City) : ?>
                        <option value="<?=$City->id?>" <?=($City->id == $dadosUsuario->city_id ? 'selected="selected"' : '')?>><?=$City->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="cidade">Cidade</label>
            </div>
            <div class="input-field col s12 m3">
                <input id="bairro" type="text" class="validate" name="dados[bairro]" value="<?=@$dadosUsuario->address_neightborhood?>" data-user-address="bairro">
                <label for="bairro" class="active">Bairro</label>
            </div>
            <div class="input-field col s12 m6 offset-m2">
                <input id="rua" type="text" class="validate" name="dados[rua]" value="<?=@$dadosUsuario->address_street?>" data-user-address="logradouro">
                <label for="rua" class="active">Rua</label>
            </div>
            <div class="input-field col s12 m2">
                <input id="numero" type="number" class="validate" name="dados[numero]" value="<?=@$dadosUsuario->address_number?>">
                <label for="numero" class="active">Número</label>
            </div>
        </div>

        <div class="input-field col s12 m8 offset-m2">
            <select id="categorias" name="categorias[]" multiple>
                <option disabled="disabled">Selecione o Tipo de Evento que Você Prefere</option>
                <?php foreach ($Categorias as $Categoria) : ?>
                    <option value="<?=$Categoria->id?>" <?=(@$Categoria->selected ? 'selected="selected"' : '')?>><?=$Categoria->category_name?></option>
                <?php endforeach ?>
            </select>
            <label for="categorias">Categorias Preferidas</label>
        </div>
        
        <div class="input-field col s12 m8 offset-m2">
            <input id="email" type="email" readonly="readonly" value="<?=$dadosUsuario->email?>">
            <label for="email" class="active">Email</label>
        </div>
        <div class="input-field col s12 m8 offset-m2">
            <input id="senha" type="password" class="validate" name="dados[senha]" autocomplete="off">
            <label for="senha" class="active">Senha</label>
        </div>
        <div class="col right-align s12 m8 offset-m2">
            <button class="btn main-color darken-1">Alterar Dados</button><br>
        </div>
    </form>
</div>