<?php 
    $listaEventos = Event::getBy(array('company_id' => @$Empresa->id));
    $isNovo = !is_numeric($referencia);

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>

<div class="container row">
    <form action="<?=SITE_URL?>empresa" data-success-callback="location.href = '<?=SITE_URL?>minhas-empresas'">
        <input type="hidden" name="type" value="<?=($isNovo ? 'add' : 'edit')?>">
        <input type="hidden" name="id" value="<?=@$Empresa->id?>">
        <h4>Empresa <i><?=@$Empresa->company_name?></i></h4>
        <div class="input-field col s12">
            <input id="nome" type="text" class="validate" required name="dados[nome]" value="<?=@$Empresa->company_name?>">
            <label for="nome" class="active">Nome</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="email" type="email" class="validate" required name="dados[email]" value="<?=($isNovo ? Session::getInfo('email') : @$Empresa->company_email)?>">
            <label for="email" class="active">Email</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="cnpj" type="text" class="validate mask-cnpj" required name="dados[cnpj]" value="<?=@$Empresa->company_cnpj?>">
            <label for="cnpj" class="active">CNPJ</label>
        </div>

        <div class="input-field col s12">
            <input id="site" type="text" name="dados[site]" value="<?=@$Empresa->company_site?>">
            <label for="site" class="active"><i class="icon-earth"></i> Site</label>
        </div>
        <div class="input-field col s12">
            <input id="facebook" type="text" name="dados[facebook]" value="<?=@$Empresa->company_facebook?>">
            <label for="facebook" class="active"><i class="icon-facebook2"></i> Facebook</label>
        </div>
        <div class="input-field col s12">
            <input id="twitter" type="text" name="dados[twitter]" value="<?=@$Empresa->company_twitter?>">
            <label for="twitter" class="active"><i class="icon-twitter"></i> Twitter</label>
        </div>
        <div class="input-field col s12">
            <input id="youtube" type="text" name="dados[youtube]" value="<?=@$Empresa->company_youtube?>">
            <label for="youtube" class="active"><i class="icon-youtube"></i> Youtube</label>
        </div>
        <div class="input-field col s12">
            <input id="spotify" type="text" name="dados[spotify]" value="<?=@$Empresa->company_spotify?>">
            <label for="spotify" class="active"><i class="icon-spotify"></i> Spotify</label>
        </div>
        <div class="input-field col s12">
            <input id="soundcloud" type="text" name="dados[soundcloud]" value="<?=@$Empresa->company_soundcloud?>">
            <label for="soundcloud" class="active"><i class="icon-soundcloud"></i> Soundcloud</label>
        </div>
        <div class="input-field col s12">
            <input id="steam" type="text" name="dados[steam]" value="<?=@$Empresa->company_steam?>">
            <label for="steam" class="active"><i class="icon-steam2"></i> Steam</label>
        </div>
        <div class="input-field col s12">
            <input id="vimeo" type="text" name="dados[vimeo]" value="<?=@$Empresa->company_vimeo?>">
            <label for="vimeo" class="active"><i class="icon-vimeo2"></i> Vimeo</label>
        </div>
        <div class="input-field col s12">
            <input id="whatsapp" type="text" name="dados[whatsapp]" value="<?=@$Empresa->company_whatsapp?>">
            <label for="whatsapp" class="active"><i class="icon-whatsapp"></i> Whatsapp</label>
        </div>
        <div class="input-field col s12">
            <input id="telegram" type="text" name="dados[telegram]" value="<?=@$Empresa->company_telegram?>">
            <label for="telegram" class="active"><i class="icon-telegram"></i> Telegram</label>
        </div>
        <div class="input-field col s12">
            <input id="instagram" type="text" name="dados[instagram]" value="<?=@$Empresa->company_instagram?>">
            <label for="instagram" class="active"><i class="icon-instagram"></i> Instagram</label>
        </div>
        <div class="input-field col s12">
            <input id="pinterest" type="text" name="dados[pinterest]" value="<?=@$Empresa->company_pinterest?>">
            <label for="pinterest" class="active"><i class="icon-pinterest"></i> Pinterest</label>
        </div>
        <div class="input-field col s12">
            <input id="amazon" type="text" name="dados[amazon]" value="<?=@$Empresa->company_amazon?>">
            <label for="amazon" class="active"><i class="icon-amazon"></i> Amazon</label>
        </div>
        <div class="input-field col s12">
            <input id="mercadolivre" type="text" name="dados[mercadolivre]" value="<?=@$Empresa->company_mercadolivre?>">
            <label for="mercadolivre" class="active"><i class="icon-mercadolivre"></i> Mercado Livre</label>
        </div>

        <div class="input-field col s12">
            <textarea id="descricao" class="materialize-textarea" name="dados[descricao]"><?=@$Empresa->company_description?></textarea>
            <label for="descricao">Descrição</label>
        </div>
        <div class="col right-align s12 m8 offset-m2">
            <button class="btn main-color darken-1">Salvar</button><br>
        </div>
    </form>

    <?php if (!$isNovo) : ?>
        <table class="dataTable highlight">
            <thead>
                <tr>
                    <td>Nome</td>
                    <td></td>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($listaEventos as $Evento) : ?>
                    <tr data-id="<?=$Evento->id?>">
                        <td><?=$Evento->event_name?></td>
                        <td class="right-align">
                            <a class="main-color-text" href="<?=SITE_URL?>evento/<?=$Evento->event_url?>"><i class="icon-eye"></i></a/a>
                            <a class="edit main-color-text"><i class="icon-pencil"></i></a>
                        </td>
                    </tr>
                <?php endforeach ?>
            </tbody>
        </table>
    <?php endif ?>
</div>