<?php 
    $isDono = Session::is($Empresa->user_id);

    @list($Denuncia) = CompanyReport::getBy(array(
        'company_id' => $referencia,
        'user_id'    => Session::getInfo('id')
    ));

    @list($Comentario) = CompanyRating::getBy(array(
        'company_id' => $referencia,
        'user_id'    => Session::getInfo('id'),
        'status'     => 1
    ));

    $listaComentarios = CompanyRating::getBy(array(
        'company_id' => $referencia
    ));

    @list($seguindo) = CompanyFollow::getBy(array(
        'company_id' => $Empresa->id,
        'user_id'    => Session::getInfo('id'),
        'status'     => 1
    ));

    @list($PerfilImage) = Archive::getBy(array(
        'tabela'    => Company::_TABLE,
        'tipo'      => 'pri',
        'referencia'=> $Empresa->id,
        'status'    => 1
    ));

    $listaEventos = $Empresa->getEventos();

    $imagesFolder = [
        'user_publication' => UserPublication::_TABLE,
        'event_publication' => EventPublication::_TABLE,
        'company_publication' => CompanyPublication::_TABLE,
        'event_follow' => Event::_TABLE,
        'event_rating' => Event::_TABLE,
        'company_rating' => Company::_TABLE,
        'event_certificate' => Event::_TABLE,
    ];

    $listaPublicacoes = $Empresa->getPublications(0);

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>
<div class="container">
    <div class="row">
        <div class="col s12 m4 center-align">
            
            <div class="circle" id="perfil-image" data-image="<?=$PerfilImage ? $PerfilImage->getUrl() : NO_IMAGE?>">
                <?php if ($isDono) : ?>
                    <div id="actions-content">
                        <span><i class="icon-pencil circle white-text perfil-button tooltipped" data-tooltip="Editar" id="edit-perfil"></i></span>
                        <span><i class="icon-save circle white-text perfil-button tooltipped" data-tooltip="Salvar" id="save-perfil"></i></span>
                        <span><i class="icon-trash circle white-text perfil-button tooltipped" data-tooltip="Deletar" id="delete-perfil"></i></span>
                    </div>
                <?php endif ?>
            </div>
            <br>

            <?php if ($Empresa->rating_average) : ?>
                <br>
                <?php 
                    $whole = floor((float)$Empresa->rating_average);
                    $fraction = (float)$Empresa->rating_average - $whole;
                ?>
                <div class="yellow-text text-darken-2 rating-stars">
                    <?php for ($i = 1; $i <= 5; $i++) : ?>
                        <?php if ((float)$Empresa->rating_average >= $i) { ?>
                            <i class="icon-star-full"></i>
                        <?php } else if ($fraction < 0.25) { $fraction = 0; ?>
                            <i class="icon-star-empty"></i>
                        <?php } else if ($fraction <= 0.75) { $fraction = 0; ?>
                            <i class="icon-star-half"></i>
                        <?php } else if ($fraction > 0.75) { $fraction = 0; ?>
                            <i class="icon-star-full"></i>
                        <?php } else { ?>
                            <i class="icon-star-empty"></i>
                        <?php } ?>
                    <?php endfor ?>
                </div>
            <?php endif ?>
            <br>
            <div class="collection">
                <?php if ($isDono) : ?>
                    <a href="#publication" class="collection-item modal-trigger">Publicar</a>
                    <a href="<?=SITE_URL?>empresa/<?=$referencia?>/form" class="collection-item modal-trigger">Editar</a>
                <?php else : ?>
                    <?php if (!$seguindo) : ?>
                        <a href="javascript:void(0)" class="collection-item follow">Seguir</a>
                    <?php else : ?>
                        <a href="javascript:void(0)" class="collection-item unfollow">Deixar de Seguir</a>
                    <?php endif ?>
                    <?php if (!$Denuncia) : ?>
                        <a href="javascript:void(0)" class="collection-item report">Denunciar</a>
                    <?php endif ?>
                    <?php if (!$Comentario) : ?>
                        <a href="#comentario" class="collection-item comment modal-trigger">Comentar</a>
                    <?php endif ?>
                <?php endif ?>
            </div>
            <?=($Empresa->company_site ? "<a href=\"{$Empresa->company_site}\" class=\"icon-earth large-size main-color-text\" title=\"Site\"></a>" : '')?>
            <?=($Empresa->company_facebook ? "<a href=\"{$Empresa->company_facebook}\" class=\"icon-facebook2 large-size main-color-text\" title=\"Facebook\"></a>" : '')?>
            <?=($Empresa->company_twitter ? "<a href=\"{$Empresa->company_twitter}\" class=\"icon-twitter large-size main-color-text\" title=\"Twitter\"></a>" : '')?>
            <?=($Empresa->company_youtube ? "<a href=\"{$Empresa->company_youtube}\" class=\"icon-youtube large-size main-color-text\" title=\"Youtube\"></a>" : '')?>
            <?=($Empresa->company_spotify ? "<a href=\"{$Empresa->company_spotify}\" class=\"icon-spotify large-size main-color-text\" title=\"Spotify\"></a>" : '')?>
            <?=($Empresa->company_soundcloud ? "<a href=\"{$Empresa->company_soundcloud}\" class=\"icon-soundcloud large-size main-color-text\" title=\"Soundcloud\"></a>" : '')?>
            <?=($Empresa->company_steam ? "<a href=\"{$Empresa->company_steam}\" class=\"icon-steam large-size main-color-text\" title=\"Steam\"></a>" : '')?>
            <?=($Empresa->company_vimeo ? "<a href=\"{$Empresa->company_vimeo}\" class=\"icon-vimeo large-size main-color-text\" title=\"Vimeo\"></a>" : '')?>
            <?=($Empresa->company_instagram ? "<a href=\"{$Empresa->company_instagram}\" class=\"icon-instagram large-size main-color-text\" title=\"Instagram\"></a>" : '')?>
            <?=($Empresa->company_pinterest ? "<a href=\"{$Empresa->company_pinterest}\" class=\"icon-pinterest large-size main-color-text\" title=\"Pinterest\"></a>" : '')?>
            <?=($Empresa->company_amazon ? "<a href=\"{$Empresa->company_amazon}\" class=\"icon-amazon large-size main-color-text\" title=\"Amazon\"></a>" : '')?>
            <?=($Empresa->company_mercadolivre ? "<a href=\"{$Empresa->company_mercadolivre}\" class=\"icon-mercadolivre large-size main-color-text\" title=\"Mercado Livre\"></a>" : '')?>

            <div class="collection numbers">
                <?php if ($Empresa->company_whatsapp) : ?>
                    <span class="collection-item"><i class="icon-whatsapp large-size main-color-text" title="whatsapp"></i> <?=$Empresa->company_whatsapp?></span>
                <?php endif ?>
                <?php if ($Empresa->company_telegram) : ?>
                    <span class="collection-item"><i class="icon-telegram large-size main-color-text" title="telegram"></i> <?=$Empresa->company_telegram?></span>
                <?php endif ?>
            </div>
        </div>
        <div class="col s12 m8 title">
            <h2 class="truncate">
                <?=$Empresa->company_name?>
            </h2>
        </div>
        <div class="col s12 m4">
        </div>
        <div class="col s12 m8">
            <div class="carousel carousel-slider">
                <?php foreach ($listaEventos as $Evento) : ?>
                    <a class="carousel-item" href="<?=SITE_URL?>evento/<?=$Evento->event_url?>">
                        <img src="<?=($Evento->arquivo ? IMG_PATH . 'dinamicas/event/'.$Evento->id.'/pri/pub' . $Evento->arquivo : NO_IMAGE)?>">
                        <span><?=$Evento->event_name?></span>
                        <span class="right"><?=($Evento->event_start_date)('d/m/Y')?></span>
                    </a>
                <?php endforeach ?>
            </div>
            <?php if ($listaPublicacoes) : ?>
                <div class="col s12 m8" id="activities-container">
                    <h4>Atividades</h4>
                    <?php foreach ($listaPublicacoes as $Publicacao) : ?>
                        <div class="card large" data-id="<?=$Publicacao->id?>">
                            <form class="hide" action="<?=SITE_URL?>empresa" data-success-callback="$('div.card[data-id=<?=$Publicacao->id?>]').remove()">
                                <input type="hidden" name="type" value="deletePublication">
                                <input type="hidden" name="id" value="<?=$Publicacao->id?>">
                            </form>
                            <div class="card-image">
                                <?php if ($Publicacao->arquivo) : ?>
                                    <img src="<?=IMG_PATH?>dinamicas/<?=CompanyPublication::_TABLE?>/<?=$Publicacao->id?>/pri/p<?=$Publicacao->arquivo?>" class="publication-img">
                                <?php else : ?>
                                    <img src="<?=NO_IMAGE?>" class="publication-img">
                                <?php endif ?>
                                <?php if ($isDono) : ?>
                                    <i class="icon-trash circle white-text publication-button tooltipped center-align clickable delete-publication" data-tooltip="Deletar"></i>
                                <?php endif ?>
                            </div>
                            <?php if ($Publicacao->text) : ?>
                                <div class="card-content">
                                    <p><?=$Publicacao->text?></p>
                                </div>
                            <?php endif ?>
                            <p class="publication-date right-align grey-text"><?=$Publicacao->date?></p>
                        </div>
                    <?php endforeach ?>

                    <div class="col s12" id="bottom-loading">
                        
                    </div>
                </div>
            <?php endif ?>
        </div>
        <div class="col s12">
            <ul class="collection">
                <?php foreach ($listaComentarios as $Comentario) : ?>
                    <?php 
                        @list($Usuario) =User::getBy(array(
                            'id'    => $Comentario->user_id,
                            'status'=> 1
                        ));

                        if (!$Usuario)
                            continue;

                        @list($Foto) = Archive::getBy(array(
                            'tabela'    =>User::_TABLE,
                            'tipo'      => 'pri',
                            'referencia'=> $Comentario->user_id,
                            'status'    => 1
                        ));
                    ?>
                    <li class="collection-item avatar">
                        <img src="<?=($Foto ? $Foto->getUrl() : NO_IMAGE)?>" alt="" class="circle">
                        <span class="title"><?=$Usuario->name?></span>
                        <p><?=$Comentario->company_rating_commentary?></p>
                        <span class="secondary-content">
                            <?php for ($i = 1; $i <= 5; $i++) : ?>
                                <?php if ($Comentario->company_rating_rate >= $i) : ?>
                                    <i class="icon-star-full"></i>
                                <?php else : ?>
                                    <i class="icon-star-empty"></i>
                                <?php endif ?>
                            <?php endfor ?>
                        </span>
                    </li>
                <?php endforeach ?>
            </ul>
        </div>
    </div>
</div>

<script type="text/javascript">
    var currentId = '<?=$referencia?>',
        noImage = '<?=NO_IMAGE?>',
        hasInitialImage = <?=$PerfilImage ? 'true' : 'false'?>;
</script>

<form class="hide" id="profile-image" action="<?=SITE_URL?>empresa" data-success-callback="location.href = '<?=SITE_URL?>empresa/<?=$referencia?>'" enctype="multipart/form-data">
    <input type="hidden" name="type" value="perfilPhoto">
    <input type="hidden" name="empresa" value="<?=$Empresa->id?>">
</form>
<form class="hide" id="delete-profile-image" action="<?=SITE_URL?>empresa" data-success-callback="setPefilImage(noImage); $('#delete-perfil').hide();">
    <input type="hidden" name="type" value="deletePerfilPhoto">
    <input type="hidden" name="empresa" value="<?=$Empresa->id?>">
</form>

<!-- Modal Structure -->
<form id="comentario" class="modal" action="<?=SITE_URL?>empresa" data-success-callback="location.reload()">
    <input type="hidden" name="type" value="comment">
    <input type="hidden" name="dados[empresa]" value="<?=$Empresa->id?>">
    <input type="hidden" id="ratingComment" name="dados[nota]" value="1">

    <div class="modal-content">
        <h4>Novo Comentário</h4>
        <div class="row">
            <div class="input-field col s12 center-align">
                <i class="icon-star-full clickable yellow-text text-darken-2" data-star="1"></i>
                <i class="icon-star-empty clickable" data-star="2"></i>
                <i class="icon-star-empty clickable" data-star="3"></i>
                <i class="icon-star-empty clickable" data-star="4"></i>
                <i class="icon-star-empty clickable" data-star="5"></i>
            </div>
            <div class="input-field col s12">
                <input type="text" id="pub_text" name="dados[comentario]">
                <label for="pub_text">
                    Comentário
                </label>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
        <button type="submit" class="modal-action waves-effect waves-green btn small">Comentar</button>
    </div>
</form>

<form id="publication" class="modal" action="<?=SITE_URL?>empresa" data-success-callback="location.reload()" enctype="multipart/form-data">
    <input type="hidden" name="type" value="publication">
    <input type="hidden" name="dados[empresa]" value="<?=$Empresa->id?>">
    <input type="file" name="photo" class="hide">

    <div class="modal-content">
        <h4>Publicar</h4>
        <div class="row">
            <div class="col s12 center">
                <img src="<?=IMG_PATH?>add_photo.svg" id="pub-image" class="clickable">
            </div>
            <div class="input-field col s12">
                <input type="text" id="pub_text" name="texto" maxlenght="255">
                <label for="pub_text">
                    Escreva algo
                </label>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
        <button type="submit" class="modal-action waves-effect waves-green btn small">Publicar</button>
    </div>
</form>