<?php 
    $isNovo = $referencia == 'new';

    if ($isNovo) {
        $Evento = new ModelEvent(array());
        $Categorias = Category::getBy(['status' => 1]);
    } else {
        $Categorias = Category::getBy([
            Category::_TABLE . '.status' => 1
        ], [
            Category::_TABLE . '.*',
            EventCategory::_TABLE . '.event_id IS NOT NULL AS selected'
        ], false, [], [
            EventCategory::_TABLE => [
                EventCategory::_TABLE . '.category_id' => Category::_TABLE . '.id',
                EventCategory::_TABLE . '.event_id' => $Evento->id
            ]
        ], false, false, Category::_TABLE . '.category_name');
    }

    $listaEmpresas = Company::getBy(array(
        'user_id'       => Session::getInfo('id'),
        'status'        => 1
    ));

    $Images = Archive::getBy(array(
        'tabela'    => Event::_TABLE,
        'tipo'      => 'pri',
        'referencia'=> $Evento->id,
        'status'    => 1
    ));

    @list($City) = City::getBy(['id' => @$Evento->city_id]);
    $state_id = $City ? $City->state_id : 1;

    $states = State::getBy(['country_id' => 1]);
    $cities = City::getBy(['state_id' => $state_id]);

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>

<div class="content center-align" id="events">
    <form id="meus-eventos" class="row container" action="<?=SITE_URL?>evento" data-success-callback="location.href = '<?=SITE_URL?>meus-eventos'" enctype="multipart/form-data">
        <input type="hidden" name="type" value="<?=($isNovo ? 'add' : 'edit')?>">
        <input type="hidden" name="dados[id]" value="<?=@$Evento->id?>">
        <input type="hidden" name="deletedImages" value="">

        <div class="col s12 title">
            <h4 class="left">Dados do Evento</h4>
        </div>

        <div class="input-field col s12">
            <select id="empresa" name="dados[empresa]">
                <?php foreach ($listaEmpresas as $Empresa) : ?>
                    <option value="<?=$Empresa->id?>" <?=(@$Evento->company_id == $Empresa->id ? 'selected="selected"' : '')?>><?=$Empresa->company_name?></option>
                <?php endforeach ?>
            </select>
            <label for="empresa">Empresa</label>
        </div>
        <div class="input-field col s12">
            <input id="nome" type="text" class="validate" required name="dados[nome]" value="<?=@$Evento->event_name?>">
            <label for="nome" class="active">Título</label>
        </div>

        <div class="input-field col s12 m6">
            <input id="start_date" type="text" class="validate datepicker" required name="start_date" value="<?=(@$Evento->event_start_date)('d/m/Y')?>">
            <label for="start_date" class="active">Data de Início</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="start_time" type="text" class="validate timepicker" required name="start_time" value="<?=(@$Evento->event_start_date)('H:i')?>">
            <label for="start_time" class="active">Hora de Início</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="end_date" type="text" class="validate datepicker" required name="end_date" value="<?=@($Evento->event_end_date)('d/m/Y')?>">
            <label for="end_date" class="active">Data de Término</label>
        </div>
        <div class="input-field col s12 m6">
            <input id="end_time" type="text" class="validate timepicker" required name="end_time" value="<?=(@$Evento->event_end_date)('H:i')?>">
            <label for="end_time" class="active">Hora de Término</label>
        </div>
        <div class="input-field col s12 m6">
            <select id="privacidade" name="dados[privacidade]">
                <option value="1" <?=(@$Evento->event_privacity == 1 ? 'selected="selected"' : '')?>>Somente convidados</option>
                <option value="2" <?=(@$Evento->event_privacity != 1 ? 'selected="selected"' : '')?>>Público</option>
            </select>
            <label for="privacidade">Privacidade</label>
        </div>
        <div class="input-field col s12 m3 offset-m3">
            <input id="event_value" type="text" class="validate mask-money" name="dados[event_value]" value="<?=@$Evento->event_value?>">
            <label for="event_value" class="active">Valor</label>
        </div>

        <div class="input-field col s12">
            <textarea id="descricao" class="materialize-textarea" name="dados[descricao]"><?=@$Evento->event_description?></textarea>
            <label for="descricao" class="active">Descrição</label>
        </div>
        
        <!-- Imagens -->
        <div class="col s12 title">
            <h4 class="left">Imagens</h4>
        </div>

        <div class="col s12" id="image-slider">
            <label class="active left">Imagens</label><br>

            <div class="row">
                <?php foreach ($Images as $Image) : ?>
                    <div class="image-item old" data-id="<?=$Image->id?>">
                        <div class="card">
                            <div class="card-image">
                                <img src="<?=$Image->getUrl('pp')?>">
                            </div>
                            <div class="card-content">
                                <input name="oldImage[<?=$Image->id?>][titulo]" type="text" value="<?=$Image->titulo?>">
                                <textarea name="oldImage[<?=$Image->id?>][descricao]" class="materialize-textarea" maxlength="255"><?=$Image->descricao?></textarea><br>
                                
                                <i class="icon-remove red-text tooltipped clickable small-size delete-image" data-tooltip="Deletar Imagem"></i>
                            </div>
                        </div>
                    </div>
                <?php endforeach ?>
            </div>

            <i class="icon-add-image main-color-text right tooltipped clickable large-size" id="add-image" data-tooltip="Nova Imagem"></i>
        </div>
        <!-- END Imagens -->

        <div class="col s12 title">
            <h4 class="left">Endereço</h4>
        </div>

        <div class="row address">
            <div class="input-field col s12 m4">
                <input id="cep" type="text" class="validate" name="dados[cep]" value="<?=@$Evento->address_postal_code?>" data-cep="event-address" data-mask="00000-000">
                <label for="cep" class="active">CEP</label>
            </div>
            <div class="input-field col s12 m2">
                <select id="uf" data-event-address="uf">
                    <?php foreach ($states as $State) : ?>
                        <option value="<?=$State->uf?>" data-id="<?=$State->id?>" <?=($State->id == $state_id ? 'selected="selected"' : '')?>><?=$State->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="uf">UF</label>
            </div>
            <div class="input-field col s12 m3">
                <input type="hidden" value="" id="cidade_nome" data-event-address="localidade">
                <select id="cidade" name="dados[cidade]">
                    <?php foreach ($cities as $City) : ?>
                        <option value="<?=$City->id?>" <?=($City->id == @$Evento->city_id ? 'selected="selected"' : '')?>><?=$City->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="cidade">Cidade</label>
            </div>
            <div class="input-field col s12 m5">
                <input id="bairro" type="text" class="" name="dados[bairro]" value="<?=@$Evento->address_neightborhood?>" data-event-address="bairro">
                <label for="bairro" class="active">Bairro</label>
            </div>
            <div class="input-field col s12 m9">
                <input id="rua" type="text" class="" name="dados[rua]" value="<?=@$Evento->address_street?>" data-event-address="logradouro">
                <label for="rua" class="active">Rua</label>
            </div>
            <div class="input-field col s12 m3">
                <input id="numero" type="number" name="dados[numero]" value="<?=@$Evento->address_number?>">
                <label for="numero" class="active">Número</label>
            </div>
            <div class="input-field col s12">
                <input id="complemento" type="text" name="dados[complemento]" value="<?=@$Evento->address_complement?>">
                <label for="complemento" class="active">Complemento</label>
            </div>
        </div>

        <!-- Público Alvo -->
        <div class="col s12 title">
            <h4 class="left">Perfil de Público-alvo</h4>
        </div>

        <div class="col s12 m8 offset-m2 info-box">
            <i class="icon-info left"></i>
            <div class="content-info">Os dados aqui não definem que o seu evento não será mostrado para pessoas que não se encaixem nesses requisitos, apenas que será mostrado preferencialmente para quem se encaixa nessas informações</div>
        </div>

        <div class="input-field col s12">
            <select id="categorias" name="categorias[]" multiple>
                <option disabled="disabled">Selecione as categorias do evento</option>
                <?php foreach ($Categorias as $Categoria) : ?>
                    <option value="<?=$Categoria->id?>" <?=(@$Categoria->selected ? 'selected="selected"' : '')?>><?=$Categoria->category_name?></option>
                <?php endforeach ?>
            </select>
            <label for="categorias">Categorias</label>
        </div>

        <div class="input-field col s12 m6 switch">
            <label for="homens" class="lever-title active">Para Homens</label><br>
            <label class="lever-container">
                Não
                <input id="homens" type="checkbox" name="dados[homens]" <?=@$Evento->to_male ? 'checked' : ''?>>
                <span class="lever"></span>
                Sim
            </label>
        </div>

        <div class="input-field col s12 m6 switch">
            <label for="mulheres" class="lever-title">Para Mulheres</label><br>
            <label class="lever-container">
                Não
                <input id="mulheres" type="checkbox" name="dados[mulheres]" <?=@$Evento->to_female ? 'checked' : ''?>>
                <span class="lever"></span>
                Sim
            </label>
        </div>

        <div class="input-field col s12 m6">
            <input id="idade_min" type="number" name="dados[idade_min]" value="<?=@$Evento->min_age?>">
            <label for="idade_min" class="active">Idade Mínima</label>
        </div>

        <div class="input-field col s12 m6">
            <input id="idade_max" type="number" name="dados[idade_max]" value="<?=@$Evento->max_age?>">
            <label for="idade_max" class="active">Idade Máxima</label>
        </div>
        <!-- END Público Alvo -->

        <!-- Previsão de Público -->
        <div id="prevision">
            <div class="col s12 m8 offset-m2 info-box">
                <i class="icon-info left"></i>
                <div class="content-info">Isso é uma previsão segundo nosso sistema de quantos usuários se encaixam nessa descrição na cidade do evento e em cada estado do Brasil</div>
            </div>

            <div class="col s12 m4 offset-m4" id="perCity">

            </div>

            <div class="col s12 m4 offset-m4" id="perState">

            </div>
        </div>
        <!-- END Previsão de Público -->

        <div class="col right-align s12 m8 offset-m2">
            <button class="btn main-color darken-1">Salvar</button>
        </div>
    </form>
</div>