<?php 
    $Follows = EventFollow::getBy([
            Event::_TABLE . '.event_url'   => $referencia,
            EventInterest::_TABLE . '.positive'    => 1
        ], [
            EventFollow::_TABLE . '.*',
            User::_TABLE . '.name',
            Archive::_TABLE . '.arquivo',
            EventCertificate::_TABLE . '.status AS certificated',
            EventCertificate::_TABLE . '.code',
            EventInterest::_TABLE . '.event_interest_name AS interest'
        ], false, [
            User::_TABLE => [
                EventFollow::_TABLE . '.user_id' => User::_TABLE . '.id'
            ],
            Event::_TABLE => [
                EventFollow::_TABLE . '.event_id' => Event::_TABLE . '.id'
            ],
            EventInterest::_TABLE => [
                EventFollow::_TABLE . '.interest_id' => EventInterest::_TABLE . '.id'
            ]
        ], [
            Archive::_TABLE => [
                Archive::_TABLE . '.referencia' => User::_TABLE . '.id',
                Archive::_TABLE . '.tabela' => '"'.User::_TABLE.'"',
                Archive::_TABLE . '.tipo' => '"pri"',
                Archive::_TABLE . '.status' => 1
            ],
            EventCertificate::_TABLE => [
                EventCertificate::_TABLE . '.user_id' => User::_TABLE . '.id',
                EventCertificate::_TABLE . '.event_id' => Event::_TABLE . '.id'
            ]
        ], 
        User::_TABLE . '.name', 
        false, 
        EventFollow::_TABLE . '.office DESC, ' . User::_TABLE . '.name'
    );

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);

?>

<div class="container row interessados">

    <div class="col s12 title bottom-divider">
        <h2 class="truncate">
            Interessados
        </h2>
    </div>

    <ul class="col s12 m8 offset-m2 l6 offset-l3 collection">
        <?php foreach ($Follows as $Follow) : ?>
            <li class="collection-item avatar" data-id="<?=$Follow->id?>">
                <a href="<?=SITE_URL?>perfil/<?=$Follow->user_id?>"><img src="<?=$Follow->arquivo ? IMG_PATH . 'dinamicas/usuario/' . $Follow->user_id . '/pri/pp' . $Follow->arquivo : NO_IMAGE?>" alt="<?=$Follow->name?>" class="circle follow-image"></a>
                <b class="title"><?=$Follow->name?></b> 
                <?php if ($isDono) : ?>
                    <div class="btn-group right">
                        <i class="dropdown icon-certificate1 clickable main-color-text"></i>
                        <ul class="dropdown-menu" data-id="<?=$Follow->id?>" data-code="<?=$Follow->code?>">
                            <?php if ($Follow->certificated == 1) : ?>
                                <li class="disable-certificate">Bloquear Diploma</li>
                                <li class="view-certificate" data-code="<?=$Follow->code?>">Visualizar Diploma</li>
                            <?php else : ?>
                                <li class="enable-certificate">Liberar Diploma</li>
                            <?php endif ?>
                        </ul>
                    </div>
                    <i class="icon-plus right toggle-infos clickable main-color-text"></i>
                    <div class="infos-content">
                        <div class="input-field col s12">
                            <input id="cargo<?=$Follow->id?>" type="text" name="dados[cargo]" value="<?=@$Follow->office?>">
                            <label for="cargo<?=$Follow->id?>" class="active">Cargo</label>
                            <i class="icon-save right save-office clickable main-color-text tooltipped" data-tooltip="Salvar"></i>
                        </div>
                    </div>
                <?php else : ?>
                    <div>
                        <div class="col s12">
                            <?=@$Follow->office?>
                        </div>
                    </div>
                <?php endif ?>
            </li>
        <?php endforeach ?>
    </ul>
</div>