<?php 
    $EventItemList = Event::getUserEvents();
    $InterestingEventItemList = Event::getRecomendedEvents(Session::getInfo('id'));

    $Feed = User::getMainFeed();

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>

<script type="text/javascript">
    $(function(){
        var page = 1;
        $(window).scroll(function() {
            if (($('body').height() - $('.page-footer').height()) <= ($(window).height() + $(window).scrollTop()) && page) {
                if ($('.loadingImage').length)
                    return;
                
                $('#bottom-loading').show().loading({
                    'state': true,
                    'image': SITE_URL + 'assets/images/spinner-circle.svg'
                });
                spinMe($('.loadingImage'))

                $.ajax({
                    url: SITE_URL + 'main-feed.ajax?page=' + page,
                    type: 'get',
                    dataType: 'text',
                    success: (html) => {
                        if (!html.trim()) {
                            page = false;
                            return;
                        }
                        page++;
                        $('#activities-container').append($(html));
                    }
                }).always(() => {
                    $('#bottom-loading').hide().loading({
                        'state': false
                    });
                });
            }
        })
    })

    $('#bottom-loading').hide()
</script>

<div class="container row">
    <?php if ($EventItemList) : ?>
        <div class="col s12 title bottom-divider">
            <h3 class="truncate">
                Seus Eventos
            </h3>
        </div>
        <div class="col s12 event-container">
            <div class="event-list">
                <?php foreach ($EventItemList as $EventItem) : ?>
                    <?=$EventItem->getHTML()?>
                <?php endforeach ?>
            </div>
        </div>
    <?php endif ?>

    <?php if ($InterestingEventItemList) : ?>
        <div class="col s12 title bottom-divider">
            <h3 class="truncate">
                Eventos Interessantes
            </h3>
        </div>
        <div class="col s12 event-container">
            <div class="event-list">
                <?php foreach ($InterestingEventItemList as $EventItem) : ?>
                    <?=$EventItem->getHTML()?>
                <?php endforeach ?>
            </div>
        </div>
    <?php endif ?>

    <div class="col s12 title bottom-divider">
        <h3 class="truncate">
            Atividades
        </h3>
    </div>

    <div id="activities-container">
        <?php foreach ($Feed as $FeedItem) : ?>
            <div class="col s12 m8 offset-m2 feed">
                <?=$FeedItem->getHTML()?>
            </div>
        <?php endforeach ?>
    </div>

    <div class="col s12" id="bottom-loading">
            
    </div>
</div>