<?php 
    if (necessitaLogin())
        return;

    if (is_numeric($referencia)) {
        $listaEventos = Event::getBy(array(
            'company_id'    => $referencia,
            'status'        => [1, 2]
        ));

        @list($Empresa) = Company::getBy(array(
            'id'            => $referencia,
            'user_id'       => Session::getInfo('id'),
            'status'        => 1
        ));
    } else {
        $listaEventos = Event::getBy(array(
            Event::_TABLE . '.status'      => 1,
            'company.status'                => 1,
            'company.user_id'               => Session::getInfo('id')
        ),
        array('*'),
        false,
        array('company' => array(Company::_TABLE . '.id' => Event::_TABLE . '.company_id')));
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>

<div class="row container">
    <div class="col s12">
        <?php if (is_numeric($referencia)) : ?>
            <h1>Eventos de <i><?=$Empresa->company_name?></i></h1>
        <?php else : ?>
            <h1>Seus Eventos</h1>
        <?php endif ?>
    </div>
    <div class="col s12 m3 center-align">
        <button class="btn main-color darken-1 add">Novo</button><br><br>
        <a class="btn main-color darken-1" href="<?=SITE_URL?>minhas-empresas">Empresas</a>
    </div>
    <div class="col s12 m9">
        <table class="dataTable highlight">
            <thead>
                <tr>
                    <td>Data</td>
                    <td>Nome</td>
                    <td></td>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($listaEventos as $Evento) : ?>
                    <tr data-id="<?=$Evento->event_url?>">
                        <td><?=($Evento->event_start_date)('d/m/Y H:i')?></td>
                        <td><?=$Evento->event_name?></td>
                        <td class="right-align">
                            <a class="main-color-text" title="Visualizar" href="<?=$Evento->getUrl()?>"><i class="icon-eye"></i></a>
                            <a class="main-color-text clickable" title="Editar" href="<?=$Evento->getUrl()?>/form"><i class="icon-pencil"></i></a>
                            <i class="cancel red-text icon-remove clickable" title="Cancelar"></i>
                        </td>
                    </tr>
                <?php endforeach ?>
            </tbody>
        </table>
    </div>
</div>
