<?php 
    if (!Session::isLogged()) {
        return getErrorPage(401);
    }

    $month = @$_GET['month'] ? $_GET['month'] : date('m-Y');
    list($month, $year) = explode('-', $month);
    $month = (int)$month;

    if (!$month || !$year) {
        $month = date('m-Y');
        list($month, $year) = explode('-', $month);
        $month = (int)$month;
    }

    $isRealCurrentMonth = $month == date('n') && $year == date('Y');

    $MONTHS = ['Dezembro', 'Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro', 'Janeiro'];
    $WEEKDAYS = ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'];
    if ($month == 0)
        $month = 12;
    
    if ($month == 13)
        $month = 1;

    $currentMonth = strtotime("{$year}-{$month}-1");
    $pastMonth = strtotime('-1 month', $currentMonth);
    $nextMonth = strtotime('+1 month', $currentMonth);

    $firstWeekDay = date('N', $currentMonth) % 7;
    $lastMonthDay = date('t', $currentMonth);
    $currentMonthDay = 0;
    $realCurrentMonthDay = date('j');
    
    $currentDayArray = [];
    $eventDayArray = [];

    $currentDayInCalendar = function ($currentDay) use ($firstWeekDay, &$currentDayArray) {
        $currentDayPosition = ($firstWeekDay + $currentDay);
        $currentDayWeek = (int)($currentDayPosition / 7);
        $currentDayWeekDay = ($currentDayPosition - 1) % 7;
        
        $currentDayArray[$currentDayWeek][$currentDayWeekDay] = 'actual-day';
    };

    $eventInCalendar = function ($eventDay) use ($firstWeekDay, &$eventDayArray) {
        $eventDayPosition = ($firstWeekDay + $eventDay);
        $eventDayWeek = (int)($eventDayPosition / 7);
        $eventDayWeekDay = ($eventDayPosition - 1) % 7;
        
        $eventDayArray[$eventDayWeek][$eventDayWeekDay] = 'event-day';
    };

    if ($isRealCurrentMonth)
        $currentDayInCalendar($realCurrentMonthDay);

    $Events = Event::getUserEventsForMonth($currentMonth);
    $EventsOrderedArray = ['o' => 'b'];
    foreach ($Events as $Event) {
        $eventInCalendar(date('j', strtotime($Event->event_date)));
        $Event->event_start_date = new TimeDate($Event->event_date);
        $Event->event_start_date = ($Event->event_start_date)('d/m/Y H:i');
        $EventsOrderedArray[date('j', strtotime($Event->event_date))][] = $Event;
    }

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>
<div class="container row">
    <div class="col s12 title bottom-divider">
        <h4><?=$MONTHS[$month]?>/<?=$year?></h4>
    </div>
    <div id="calendar" class="col s12">
        <table>
            <thead>
                <tr class="center-align">
                    <th class="center-align">Domingo</th>
                    <th class="center-align">Segunda</th>
                    <th class="center-align">Terça</th>
                    <th class="center-align">Quarta</th>
                    <th class="center-align">Quinta</th>
                    <th class="center-align">Sexta</th>
                    <th class="center-align">Sábado</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="<?=$eventDayArray[0][0]?>"><span class="day-number <?=$currentDayArray[0][0]?>"><?=($firstWeekDay == 0 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[0][1]?>"><span class="day-number <?=$currentDayArray[0][1]?>"><?=($firstWeekDay <= 1 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[0][2]?>"><span class="day-number <?=$currentDayArray[0][2]?>"><?=($firstWeekDay <= 2 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[0][3]?>"><span class="day-number <?=$currentDayArray[0][3]?>"><?=($firstWeekDay <= 3 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[0][4]?>"><span class="day-number <?=$currentDayArray[0][4]?>"><?=($firstWeekDay <= 4 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[0][5]?>"><span class="day-number <?=$currentDayArray[0][5]?>"><?=($firstWeekDay <= 5 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[0][6]?>"><span class="day-number <?=$currentDayArray[0][6]?>"><?=($firstWeekDay <= 6 ? ++$currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                </tr>
                <tr>
                    <td class="<?=$eventDayArray[1][0]?>"><span class="day-number <?=$currentDayArray[1][0]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[1][1]?>"><span class="day-number <?=$currentDayArray[1][1]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[1][2]?>"><span class="day-number <?=$currentDayArray[1][2]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[1][3]?>"><span class="day-number <?=$currentDayArray[1][3]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[1][4]?>"><span class="day-number <?=$currentDayArray[1][4]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[1][5]?>"><span class="day-number <?=$currentDayArray[1][5]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[1][6]?>"><span class="day-number <?=$currentDayArray[1][6]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                </tr>
                <tr>
                    <td class="<?=$eventDayArray[2][0]?>"><span class="day-number <?=$currentDayArray[2][0]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[2][1]?>"><span class="day-number <?=$currentDayArray[2][1]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[2][2]?>"><span class="day-number <?=$currentDayArray[2][2]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[2][3]?>"><span class="day-number <?=$currentDayArray[2][3]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[2][4]?>"><span class="day-number <?=$currentDayArray[2][4]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[2][5]?>"><span class="day-number <?=$currentDayArray[2][5]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[2][6]?>"><span class="day-number <?=$currentDayArray[2][6]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                </tr>
                <tr>
                    <td class="<?=$eventDayArray[3][0]?>"><span class="day-number <?=$currentDayArray[3][0]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[3][1]?>"><span class="day-number <?=$currentDayArray[3][1]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[3][2]?>"><span class="day-number <?=$currentDayArray[3][2]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[3][3]?>"><span class="day-number <?=$currentDayArray[3][3]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[3][4]?>"><span class="day-number <?=$currentDayArray[3][4]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[3][5]?>"><span class="day-number <?=$currentDayArray[3][5]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[3][6]?>"><span class="day-number <?=$currentDayArray[3][6]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                </tr>
                <tr>
                    <td class="<?=$eventDayArray[4][0]?>"><span class="day-number <?=$currentDayArray[4][0]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[4][1]?>"><span class="day-number <?=$currentDayArray[4][1]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[4][2]?>"><span class="day-number <?=$currentDayArray[4][2]?>"><?=++$currentMonthDay?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[4][3]?>"><span class="day-number <?=$currentDayArray[4][3]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[4][4]?>"><span class="day-number <?=$currentDayArray[4][4]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[4][5]?>"><span class="day-number <?=$currentDayArray[4][5]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    <td class="<?=$eventDayArray[4][6]?>"><span class="day-number <?=$currentDayArray[4][6]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                </tr>
                <?php if ($currentMonthDay < $lastMonthDay) : ?>
                    <tr>
                        <td class="<?=$eventDayArray[5][0]?>"><span class="day-number <?=$currentDayArray[5][0]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                        <td class="<?=$eventDayArray[5][1]?>"><span class="day-number <?=$currentDayArray[5][1]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                        <td class="<?=$eventDayArray[5][2]?>"><span class="day-number <?=$currentDayArray[5][2]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                        <td class="<?=$eventDayArray[5][3]?>"><span class="day-number <?=$currentDayArray[5][3]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                        <td class="<?=$eventDayArray[5][4]?>"><span class="day-number <?=$currentDayArray[5][4]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                        <td class="<?=$eventDayArray[5][5]?>"><span class="day-number <?=$currentDayArray[5][5]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                        <td class="<?=$eventDayArray[5][6]?>"><span class="day-number <?=$currentDayArray[5][6]?>"><?=(++$currentMonthDay <= $lastMonthDay ? $currentMonthDay : '')?></span><span class="icon-event event-icon"></span></td>
                    </tr>
                <?php endif ?>
            </tbody>
        </table>
    </div>
    <div class="col s12">
        <a href="<?=SITE_URL?>minha-agenda?month=<?=date('n-Y', $pastMonth)?>" class="btn main-color darken-1 left"><i class="icon-circle-left" style="font-size: 1rem"></i> <?=$MONTHS[(int)date('m', $pastMonth)]?>/<?=date('Y', $pastMonth)?></a>
        <a href="<?=SITE_URL?>minha-agenda?month=<?=date('n-Y', $nextMonth)?>" class="btn main-color darken-1 right"><?=$MONTHS[(int)date('m', $nextMonth)]?>/<?=date('Y', $nextMonth)?> <i class="icon-circle-right" style="font-size: 1rem"></i></a>
    </div>
    <div class="col s12 event-container">
        <div class="event-list">
            
        </div>
    </div>
</div>

<script type="text/javascript">
    var events = <?=json_encode($EventsOrderedArray)?>,
        NO_IMAGE = '<?=NO_IMAGE?>';
</script>