<?php 
    if (necessitaLogin())
        return;
    
    $listaEmpresas = Company::getBy(array(
        'user_id'       => Session::getInfo('id'),
        'status'        => 1
    ));

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>

<div class="row container">
    <div class="col s12">
        <h1>Suas Empresas</h1>
    </div>
    <div class="col s12 m3 center-align">
        <button class="btn main-color darken-1 add">Nova</button><br><br>
        <a class="btn main-color darken-1" href="<?=SITE_URL?>meus-eventos">Eventos</a>
    </div>
    <div class="col s12 m9">
        <table class="dataTable highlight">
            <thead>
                <tr>
                    <td>Nome</td>
                    <td></td>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($listaEmpresas as $Empresa) : ?>
                    <tr data-id="<?=$Empresa->id?>">
                        <td><?=$Empresa->company_name?></td>
                        <td class="right-align">
                            <a class="view main-color-text" title="Visualizar" href="<?=SITE_URL?>empresa/<?=$Empresa->id?>"><i class="icon-eye"></i></a>
                            <a class="view main-color-text" title="Eventos" href="<?=SITE_URL?>meus-eventos/<?=$Empresa->id?>"><i class="icon-view-list"></i></a>
                            <a class="edit main-color-text clickable" title="Editar"><i class="icon-pencil"></i></a>
                        </td>
                    </tr>
                <?php endforeach ?>
            </tbody>
        </table>
    </div>
</div>
