<?php
    if (!Session::isLogged()) {
        return getErrorPage(401);
    }

    $Categorias = Category::getBy([
        Category::_TABLE . '.status' => 1
    ], [
        Category::_TABLE . '.*',
        UserCategory::_TABLE . '.user_id IS NOT NULL AS selected'
    ], false, [], [
        UserCategory::_TABLE => [
            UserCategory::_TABLE . '.category_id' => Category::_TABLE . '.id',
            UserCategory::_TABLE . '.user_id' => Session::getInfo('id')
        ]
    ], false, false, Category::_TABLE . '.category_name');

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>

<div class="content center-align" id="user-perfil">
    <form id="meus-perfil" class="row container" action="<?=SITE_URL?>perfil-evento">
        <div class="col s12 title bottom-divider">
            <h2 class="truncate">
                Preferências
            </h2>
        </div>
    
        <div class="input-field col s12">
            <select id="categorias" name="categorias[]" multiple>
                <option disabled="disabled">Selecione o Tipo de Evento que Você Prefere</option>
                <?php foreach ($Categorias as $Categoria) : ?>
                    <option value="<?=$Categoria->id?>" <?=(@$Categoria->selected ? 'selected="selected"' : '')?>><?=$Categoria->category_name?></option>
                <?php endforeach ?>
            </select>
            <label for="categorias">Categorias Preferidas</label>
        </div>

        <div class="col right-align s12">
            <button class="btn main-color darken-1">Salvar</button><br>
        </div>
    </form>
</div>