<?php 
    if (empty($referencia))
        $referencia = Session::getInfo('id');

    @list($Usuario) =User::getBy(array('id' => $referencia, 'status' => 1));

    if (!$Usuario)
        return getErrorPage(404);

    @list($Denuncia) = UserReport::getBy(array(
        'user_id' => Session::getInfo('id'),
        'user_id_reported'    => $Usuario->id
    ));

    $listaPublicacoes = $Usuario->getFeed(0);
    $listaEventos = $Usuario->getInterestEvents();

    $isDono = Session::is($referencia);

    @list($PerfilImage) = Archive::getBy(array(
        'tabela'    =>User::_TABLE,
        'tipo'      => 'pri',
        'referencia'=> $Usuario->id,
        'status'    => 1
    ));

    @list($CapeImage) = Archive::getBy(array(
        'tabela'    =>User::_TABLE,
        'tipo'      => 'cap',
        'referencia'=> $Usuario->id,
        'status'    => 1
    ));

    $imagesFolder = [
        'user_publication' => UserPublication::_TABLE,
        'event_publication' => EventPublication::_TABLE,
        'company_publication' => CompanyPublication::_TABLE,
        'event_follow' => Event::_TABLE,
        'event_rating' => Event::_TABLE,
        'company_rating' => Company::_TABLE,
        'event_certificate' => Event::_TABLE,
    ];

    @list($Follow) = UserFollow::getBy([
        'user_id_follower'   => Session::getInfo('id'),
        'user_id_followed'   => $referencia
    ]);
    @list($Block) = UserBlock::getBy([
        'user_id'           => Session::getInfo('id'),
        'user_id_block'     => $referencia
    ]);

    LogUser::insert([
        'user_id'       => Session::getInfo('id'),
        'log_action'    => 'view_screen',
        'log_file'      => __FILE__,
        'log_success'   => true
    ]);
?>
<div class="container">
    <div class="row">
        <div class="parallax-container background-div" id="cape-image" data-image="<?=$CapeImage ? $CapeImage->getUrl() : NO_IMAGE?>">
            <div class="parallax">
                <img src="<?=$CapeImage ? $CapeImage->getUrl() : NO_IMAGE?>" alt="Foto de Capa de <?=$Usuario->name?>" id="cape-image">
            </div>

            <?php if ($isDono) : ?>
                <div id="cape-actions-content" class="right-align">
                    <span><i class="icon-pencil center-align clickable circle white-text cape-button tooltipped" data-tooltip="Editar" id="edit-cape"></i></span>
                    <span><i class="icon-save center-align clickable circle white-text cape-button tooltipped" data-tooltip="Salvar" id="save-cape"></i></span>
                    <span><i class="icon-trash center-align clickable circle white-text cape-button tooltipped" data-tooltip="Deletar" id="delete-cape"></i></span>
                </div>
            <?php endif ?>
        </div>
    </div>
    <div class="row">
        <div class="col s12 m4 row-top center-align">
            <div class="circle" id="perfil-image" data-image="<?=$PerfilImage ? $PerfilImage->getUrl() : NO_IMAGE?>">
                <?php if ($isDono) : ?>
                    <div id="actions-content">
                        <span><i class="icon-pencil circle white-text perfil-button tooltipped" data-tooltip="Editar" id="edit-perfil"></i></span>
                        <span><i class="icon-save circle white-text perfil-button tooltipped" data-tooltip="Salvar" id="save-perfil"></i></span>
                        <span><i class="icon-trash circle white-text perfil-button tooltipped" data-tooltip="Deletar" id="delete-perfil"></i></span>
                    </div>
                <?php endif ?>
            </div>
            <br>
            <?php if (Session::isLogged()) : ?>
                <div class="collection" id="actions">
                    <?php if ($isDono) : ?>
                        <a href="#publication" class="collection-item modal-trigger">Publicar</a>
                        <a href="<?=SITE_URL?>minha-agenda" class="collection-item">Agenda</a>
                        <a href="<?=SITE_URL?>dados-cadastrais" class="collection-item">Editar Perfil</a>
                        <a href="<?=SITE_URL?>estou-seguindo" class="collection-item">Seguindo</a>
                        <a href="<?=SITE_URL?>meus-seguidores" class="collection-item">Seguidores</a>
                    <?php else : ?>
                        <?php if (!@$Follow) : ?>
                            <a href="javascript:void(0)" class="collection-item follow">Seguir</a>
                        <?php else : ?>
                            <a href="javascript:void(0)" class="collection-item unfollow">Deixar de Seguir</a>
                        <?php endif ?>
                        <?php if (!$Denuncia) : ?>
                            <a href="javascript:void(0)" class="collection-item report">Denunciar</a>
                        <?php endif ?>
                        <?php if (!@$Block) : ?>
                            <a href="javascript:void(0)" class="collection-item block">Bloquear</a>
                        <?php else : ?>
                            <a href="javascript:void(0)" class="collection-item unblock">Desbloquear</a>
                        <?php endif ?>
                    <?php endif ?>
                    <a href="<?=SITE_URL?>certificados/<?=$referencia?>" class="collection-item">Certificados</a>
                </div>
            <?php endif ?>
        </div>
        <div class="col s12 m8 title">
            <h2 class="truncate">
                <?=$Usuario->name?>
            </h2>
        </div>
        <div class="col s12 m4">
        </div>
        <div class="col s12 m8" id="activities-container">
            <h4>Atividades</h4>
            <?php foreach ($listaPublicacoes as $Publicacao) : ?>
                <div class="card large" data-id="<?=$Publicacao->id?>">
                    <form class="hide" action="<?=SITE_URL?>perfil" data-success-callback="$('div.card[data-id=<?=$Publicacao->id?>]').remove()">
                        <input type="hidden" name="type" value="deletePublication">
                        <input type="hidden" name="id" value="<?=$Publicacao->id?>">
                    </form>
                    <div class="card-image valign-wrapper">
                        <?php if ($Publicacao->arquivo) : ?>
                            <img src="<?=IMG_PATH?>dinamicas/<?=$imagesFolder[$Publicacao->activity_type]?>/<?=$Publicacao->activity_type == 'user_publication' ? $Publicacao->id : $Publicacao->event_id?>/pri/<?=$imagesFolder[$Publicacao->activity_type] != 'event' ? 'p' : 'pub'?><?=$Publicacao->arquivo?>" class="publication-img">
                        <?php else : ?>
                            <img src="<?=NO_IMAGE?>" class="publication-img">
                        <?php endif ?>
                        <?php if ($isDono && $Publicacao->activity_type == 'user_publication') : ?>
                            <i class="icon-trash circle white-text publication-button tooltipped center-align clickable delete-publication" data-tooltip="Deletar"></i>
                        <?php endif ?>
                    </div>
                    <?php if ($Publicacao->text || $Publicacao->event_name) : ?>
                        <div class="card-content">
                            <?php if ($Publicacao->event_name) : ?>
                                <span class="card-title grey-text text-darken-4 truncate">
                                    <span class="left">
                                        <?php if ($Publicacao->event_url) : ?>
                                            <a href="<?=SITE_URL?>evento/<?=$Publicacao->event_url?>"><?=$Publicacao->event_name?></a>
                                        <?php else : ?>
                                            <?php if ($Publicacao->activity_type == 'company_rating'): ?>
                                                <a href="<?=SITE_URL?>empresa/<?=$Publicacao->event_id?>"><?=$Publicacao->event_name?></a>
                                            <?php else : ?>
                                                <?=$Publicacao->event_name?>
                                            <?php endif ?>
                                        <?php endif ?>
                                    </span>
                                    <?php if ($Publicacao->activity_type == 'event_rating' || $Publicacao->activity_type == 'company_rating') : ?>
                                        <span class="right activity-rating">
                                            <?php for ($i = 1; $i <= 5; $i++) : ?>
                                                <?php if ($Publicacao->rating >= $i) { ?>
                                                    <i class="icon-star-full yellow-text text-darken-2 small-size" data-star="<?=$i?>"></i>
                                                <?php } else { ?>
                                                    <i class="icon-star-empty yellow-text text-darken-2 small-size" data-star="<?=$i?>"></i>
                                                <?php } ?>
                                            <?php endfor ?>
                                        </span>
                                    <?php endif ?>
                                </span>
                                <br>
                            <?php endif ?>
                            <p><?=$Publicacao->text?></p>
                        </div>
                    <?php endif ?>
                    <p class="publication-date right-align grey-text"><?=$Publicacao->date?></p>
                </div>
            <?php endforeach ?>

            <div class="col s12" id="bottom-loading">
                
            </div>
        </div>
    </div>
</div>
 
<script type="text/javascript">
    var currentId = '<?=$referencia?>',
        noImage = '<?=NO_IMAGE?>',
        hasInitialImage = <?=$PerfilImage ? 'true' : 'false'?>,
        hasInitialCape = <?=@$CapeImage ? 'true' : 'false'?>;
</script>

<form class="hide" id="profile-image" action="<?=SITE_URL?>perfil" data-success-callback="location.href = '<?=SITE_URL?>perfil'" enctype="multipart/form-data">
    <input type="hidden" name="type" value="perfilPhoto">
</form>
<form class="hide" id="delete-profile-image" action="<?=SITE_URL?>perfil" data-success-callback="setPefilImage(noImage); $('#delete-perfil').hide();" enctype="multipart/form-data">
    <input type="hidden" name="type" value="deletePerfilPhoto">
</form>

<form class="hide" id="cape-image" action="<?=SITE_URL?>perfil" data-success-callback="location.href = '<?=SITE_URL?>perfil'" enctype="multipart/form-data">
    <input type="hidden" name="type" value="capePhoto">
</form>
<form class="hide" id="delete-cape-image" action="<?=SITE_URL?>perfil" data-success-callback="setCapeImage(noImage); $('#delete-cape').hide();" enctype="multipart/form-data">
    <input type="hidden" name="type" value="deleteCapePhoto">
</form>

<!-- Modal Structure -->
<form id="publication" class="modal" action="<?=SITE_URL?>perfil" data-success-callback="location.href = '<?=SITE_URL?>perfil'" enctype="multipart/form-data">
    <div class="modal-content">
        <input type="hidden" name="type" value="publication" require>
        <input type="file" name="photo" class="hide">
        <h4>Nova Publicação</h4>
        <div class="row">
            <div class="col s12 center">
                <img src="<?=IMG_PATH?>add_photo.svg" id="pub-image" class="clickable">
            </div>
            <div class="input-field col s12">
                <select id="evento" name="evento">
                    <option value="">Nenhum evento</option>
                    <?php foreach ($listaEventos as $Evento) : ?>
                        <option value="<?=$Evento->id?>"><?=$Evento->name?></option>
                    <?php endforeach ?>
                </select>
                <label for="evento">Evento</label>
            </div>
            <div class="input-field col s12">
                <input type="text" id="pub_text" name="texto" maxlenght="255">
                <label for="pub_text">
                    Escreva algo
                </label>
            </div>
        </div>
</div>
    <div class="modal-footer">
        <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
        <button href="#!" class="modal-action waves-effect waves-green btn-flat">Publicar</button>
    </div>
</form>