<?php
    class ModelCompany {
        use Model;

        var $id, 
            $user_id, 
            $company_name, 
            $company_email, 
            $company_cnpj, 
            $company_description, 
            $company_site, 
            $company_facebook, 
            $company_twitter, 
            $company_youtube, 
            $company_spotify, 
            $company_soundcloud, 
            $company_steam, 
            $company_vimeo, 
            $company_whatsapp, 
            $company_telegram, 
            $company_instagram, 
            $company_pinterest, 
            $company_amazon, 
            $company_mercadolivre,
            $status;

        const _require = array('user_id', 'company_name', 'company_email', 'company_cnpj');
        const _key = array('company_id');
        const _filters = array( );
        const _not_empty = array('id');

        function getUrl() {
            return ROOT_URL . 'empresa/' . $this->id;
        }

        function getEventos() {
            return Event::getBy([
                Event::_TABLE.'.company_id' => $this->id,
                Event::_TABLE.'.status' => 1,
                '('.Event::_TABLE.'.event_start_date >= NOW())' => 1
            ], [
                Event::_TABLE.'.*',
                Archive::_TABLE.'.arquivo'
            ], false, [], [
                Archive::_TABLE => [
                    'tabela'    => '"'.Event::_TABLE.'"',
                    'tipo'      => '"pri"',
                    'referencia'=> Event::_TABLE.'.id',
                    Archive::_TABLE.'.status'    => 1
                ]
            ], Event::_TABLE.'.id', false, Event::_TABLE.'.event_start_date');
        }

        function getPublications($page = 0) {
            return CompanyPublication::getBy([
                CompanyPublication::_TABLE . '.company_id'  => $this->id,
                CompanyPublication::_TABLE . '.status'    => 1
            ], [
                CompanyPublication::_TABLE . '.id',
                CompanyPublication::_TABLE . '.company_id',
                CompanyPublication::_TABLE . '.text',
                CompanyPublication::_TABLE . '.date',
                Archive::_TABLE . '.arquivo'
            ], false, [
                Archive::_TABLE => [
                    Archive::_TABLE . '.tabela'    => '"'.CompanyPublication::_TABLE.'"',
                    Archive::_TABLE . '.tipo'      => '"pri"',
                    Archive::_TABLE . '.referencia'=> CompanyPublication::_TABLE . '.id',
                    Archive::_TABLE . '.status'    => 1
                ]
            ], [], false, false, CompanyPublication::_TABLE . '.date DESC', ($page * 5).', 5');
        }
    }

?>