<?php 
    class ModelEventListItem {
        use Model {
            __construct as protected constructor;
        }

        var $event_id, 
            $event_url, 
            $event_name, 
            $event_date,
            $event_image_file,
            $event_categories,
            $company_id,
            $company_name,
            $friends_quantity,
            $friends_names,
            $cancel_reason,
            $interest;

        const _require = array();
        const _key = array('id');
        const _filters = array();
        const _not_empty = array();

        function __construct($campos) {
            $this->date = new TimeDate(NULL);
            $this->constructor($campos);
        }

        function getHTML() {
            $html = 
                "<div class=\"card event-item left\">
                    <div class=\"card-image waves-effect waves-block waves-light\">
                        ".($this->cancel_reason ? "<div class=\"cancelled-flag\">CANCELADO</div>" : '' )."
                        ".($this->event_image_file ? "<img class=\"activator\" src=\"/tcc/assets/images/dinamicas/event/{$this->event_id}/pri/pp{$this->event_image_file}\">" : "<img class=\"activator\" src=\"".NO_IMAGE."\">")."
                    </div>
                    <div class=\"card-content\">
                        <span class=\"card-title activator grey-text text-darken-4\">{$this->event_name}<i class=\"icon-menu right\"></i></span>
                    </div>
                    <div class=\"card-reveal\">
                        <span class=\"card-title grey-text text-darken-4\">{$this->event_name}<i class=\"icon-remove right\"></i></span>
                        <p href=\"".SITE_URL."evento/{$this->event_url}\" class=\"clickable\">
                            <span class=\"date main-color-text\">".date('d/m/Y H:i', strtotime($this->event_date))."</span>
                            <span class=\"categories truncate tooltipped\" data-tooltip=\"{$this->event_categories}\">{$this->event_categories}</span>
                            <span class=\"friends truncate\">" . ($this->friends_quantity ? "<a class=\"tooltipped\" data-tooltip=\"{$this->friends_names}\">{$this->friends_quantity} amigos</a> tem interesse" : ' ')."</span>
                            <span class=\"company truncate\"><a href=\"".SITE_URL."empresa/{$this->company_id}\">{$this->company_name}</a></span>
                        </p>
                    </div>
                </div>";

            return $html;
        }
    }
?>