<?php

namespace ModelMainFeedItem;

class MainFeedCompanyEventItem extends \ModelMainFeedItem {
    var $company_name, 
        $company_id,
        $company_picture,
        $event_id,
        $event_name,
        $event_url,
        $event_date;

    function getHTML() {
        $siteUrl = SITE_URL;
        $imageUrl = $this->image_file ? "<img class=\"activator\" src=\"{$siteUrl}assets/images/dinamicas/event/{$this->event_id}/pri/pub{$this->image_file}\">" : '<img class="activator" src="'.NO_IMAGE.'">';
        $profilePic = $this->company_picture ? "<img class=\"user-photo circle left\" src=\"{$siteUrl}assets/images/dinamicas/company/{$this->company_id}/pri/pp{$this->company_picture}\">" : '<img class="user-photo circle left" src="'.NO_IMAGE.'">';

        $this->event_date = new \TimeDate(substr($this->event_date, 0, 19));

        $html = <<< HTML
            <div class="card large">
                <div class="card-image valign-wrapper">
                    {$imageUrl}
                </div>
                    <div class="card-content">
                        <span class="card-title grey-text text-darken-4 truncate">
                            <span class="left">
                                <a href="{$siteUrl}evento/{$this->event_url}">{$this->event_name}</a>
                            </span>
                        </span>
                        <br>
                        {$profilePic}
                        <p class="activity-text"><b><a href="{$siteUrl}empresa/{$this->company_id}">{$this->company_name}</a></b><br>Novo evento dia {$this->event_date}</p>
                    </div>
                <p class="publication-date right-align grey-text">{$this->date}</p>
            </div>
HTML;
        return $html;
    }
}