<?php

namespace ModelMainFeedItem;

class MainFeedFriendCompanyRatingItem extends \ModelMainFeedItem {
    var $company_name, 
        $company_id,
        $user_id,
        $user_name,
        $company_rating_rate,
        $company_rating_commentary,
        $profile_picture;

    function getHTML() {
        $siteUrl = SITE_URL;
        $imageUrl = $this->image_file ? "<img class=\"activator\" src=\"{$siteUrl}assets/images/dinamicas/company/{$this->company_id}/pri/pub{$this->image_file}\">" : '<img class="activator" src="'.NO_IMAGE.'">';
        $profilePic = $this->profile_picture ? "<img class=\"user-photo circle left\" src=\"{$siteUrl}assets/images/dinamicas/usuario/{$this->user_id}/pri/pp{$this->profile_picture}\">" : '<img class="user-photo circle left" src="'.NO_IMAGE.'">';
        
        $stars = '';
        for ($i = 1; $i <= 5; $i++) {
            if ($this->company_rating_rate >= $i) { 
                $stars .= '<i class="icon-star-full yellow-text text-darken-2 small-size"></i>';
            } else {
                $stars .= '<i class="icon-star-empty yellow-text text-darken-2 small-size"></i>';
            }
        }

        $html = <<< HTML
            <div class="card large">
                <div class="card-image valign-wrapper">
                    {$imageUrl}
                </div>
                    <div class="card-content">
                        <span class="right activity-rating">
                            {$stars}
                        </span>
                        <span class="card-title grey-text text-darken-4 truncate">
                            <span class="left">
                                <a href="{$siteUrl}empresa/{$this->company_id}">{$this->company_name}</a>
                            </span>
                        </span>
                        <br>
                        {$profilePic}
                        <p class="activity-text"><b><a href="{$siteUrl}perfil/{$this->user_id}">{$this->user_name}</a></b><br> {$this->company_rating_commentary}</p>
                    </div>
                <p class="publication-date right-align grey-text">{$this->date}</p>
            </div>
HTML;
        return $html;
    }
}