<?php
    namespace ModelMainFeedItem;

    class MainFeedFriendPublicationItem extends \ModelMainFeedItem {
        var $event_url, 
            $event_name,
            $event_id, 
            $user_id,
            $user_name,
            $text,
            $profile_picture;

        function getHTML() {
            $siteUrl = SITE_URL;
            $imageUrl = $this->image_file ? "<img class=\"activator\" src=\"{$siteUrl}assets/images/dinamicas/user_publication/{$this->publication_id}/pri/p{$this->image_file}\">" : '<img class="activator" src="'.NO_IMAGE.'">';
            $profilePic = "<img class=\"user-photo circle left\" src=\"". ($this->profile_picture ? "{$siteUrl}assets/images/dinamicas/usuario/{$this->user_id}/pri/pp{$this->profile_picture}" : NO_IMAGE). "\">";

            $title = !$this->event_name ? '' : <<<HTML
                <span class="card-title grey-text text-darken-4 truncate">
                    <span class="left">
                        <a href="{$siteUrl}evento/{$this->event_url}?>">{$this->event_name}</a>
                    </span>
                </span>
HTML;

            $html = <<< HTML
                <div class="card large">
                    <div class="card-image valign-wrapper">
                        {$imageUrl}
                    </div>
                    <div class="card-content">
                        {$title}
                        {$profilePic}
                        <p class="activity-text">
                            <b><a href="{$siteUrl}perfil/{$this->user_id}">{$this->user_name}</a> publicou</b> <br>
                            {$this->text}
                        </p>
                    </div>
                    <p class="publication-date right-align grey-text">{$this->date}</p>
                </div>
HTML;
            return $html;
        }
    }